#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# deREferencing - by @danigargu
#
# Windows LastError codes
#

system_error_codes = {
  0: "ERROR_SUCCESS",
  1: "ERROR_INVALID_FUNCTION",
  2: "ERROR_FILE_NOT_FOUND",
  3: "ERROR_PATH_NOT_FOUND",
  4: "ERROR_TOO_MANY_OPEN_FILES",
  5: "ERROR_ACCESS_DENIED",
  6: "ERROR_INVALID_HANDLE",
  7: "ERROR_ARENA_TRASHED",
  8: "ERROR_NOT_ENOUGH_MEMORY",
  9: "ERROR_INVALID_BLOCK",
  10: "ERROR_BAD_ENVIRONMENT",
  11: "ERROR_BAD_FORMAT",
  12: "ERROR_INVALID_ACCESS",
  13: "ERROR_INVALID_DATA",
  14: "ERROR_OUTOFMEMORY",
  15: "ERROR_INVALID_DRIVE",
  16: "ERROR_CURRENT_DIRECTORY",
  17: "ERROR_NOT_SAME_DEVICE",
  18: "ERROR_NO_MORE_FILES",
  19: "ERROR_WRITE_PROTECT",
  20: "ERROR_BAD_UNIT",
  21: "ERROR_NOT_READY",
  22: "ERROR_BAD_COMMAND",
  23: "ERROR_CRC",
  24: "ERROR_BAD_LENGTH",
  25: "ERROR_SEEK",
  26: "ERROR_NOT_DOS_DISK",
  27: "ERROR_SECTOR_NOT_FOUND",
  28: "ERROR_OUT_OF_PAPER",
  29: "ERROR_WRITE_FAULT",
  30: "ERROR_READ_FAULT",
  31: "ERROR_GEN_FAILURE",
  32: "ERROR_SHARING_VIOLATION",
  33: "ERROR_LOCK_VIOLATION",
  34: "ERROR_WRONG_DISK",
  36: "ERROR_SHARING_BUFFER_EXCEEDED",
  38: "ERROR_HANDLE_EOF",
  39: "ERROR_HANDLE_DISK_FULL",
  50: "ERROR_NOT_SUPPORTED",
  51: "ERROR_REM_NOT_LIST",
  52: "ERROR_DUP_NAME",
  53: "ERROR_BAD_NETPATH",
  54: "ERROR_NETWORK_BUSY",
  55: "ERROR_DEV_NOT_EXIST",
  56: "ERROR_TOO_MANY_CMDS",
  57: "ERROR_ADAP_HDW_ERR",
  58: "ERROR_BAD_NET_RESP",
  59: "ERROR_UNEXP_NET_ERR",
  60: "ERROR_BAD_REM_ADAP",
  61: "ERROR_PRINTQ_FULL",
  62: "ERROR_NO_SPOOL_SPACE",
  63: "ERROR_PRINT_CANCELLED",
  64: "ERROR_NETNAME_DELETED",
  65: "ERROR_NETWORK_ACCESS_DENIED",
  66: "ERROR_BAD_DEV_TYPE",
  67: "ERROR_BAD_NET_NAME",
  68: "ERROR_TOO_MANY_NAMES",
  69: "ERROR_TOO_MANY_SESS",
  70: "ERROR_SHARING_PAUSED",
  71: "ERROR_REQ_NOT_ACCEP",
  72: "ERROR_REDIR_PAUSED",
  80: "ERROR_FILE_EXISTS",
  82: "ERROR_CANNOT_MAKE",
  83: "ERROR_FAIL_I24",
  84: "ERROR_OUT_OF_STRUCTURES",
  85: "ERROR_ALREADY_ASSIGNED",
  86: "ERROR_INVALID_PASSWORD",
  87: "ERROR_INVALID_PARAMETER",
  88: "ERROR_NET_WRITE_FAULT",
  89: "ERROR_NO_PROC_SLOTS",
  100: "ERROR_TOO_MANY_SEMAPHORES",
  101: "ERROR_EXCL_SEM_ALREADY_OWNED",
  102: "ERROR_SEM_IS_SET",
  103: "ERROR_TOO_MANY_SEM_REQUESTS",
  104: "ERROR_INVALID_AT_INTERRUPT_TIME",
  105: "ERROR_SEM_OWNER_DIED",
  106: "ERROR_SEM_USER_LIMIT",
  107: "ERROR_DISK_CHANGE",
  108: "ERROR_DRIVE_LOCKED",
  109: "ERROR_BROKEN_PIPE",
  110: "ERROR_OPEN_FAILED",
  111: "ERROR_BUFFER_OVERFLOW",
  112: "ERROR_DISK_FULL",
  113: "ERROR_NO_MORE_SEARCH_HANDLES",
  114: "ERROR_INVALID_TARGET_HANDLE",
  117: "ERROR_INVALID_CATEGORY",
  118: "ERROR_INVALID_VERIFY_SWITCH",
  119: "ERROR_BAD_DRIVER_LEVEL",
  120: "ERROR_CALL_NOT_IMPLEMENTED",
  121: "ERROR_SEM_TIMEOUT",
  122: "ERROR_INSUFFICIENT_BUFFER",
  123: "ERROR_INVALID_NAME",
  124: "ERROR_INVALID_LEVEL",
  125: "ERROR_NO_VOLUME_LABEL",
  126: "ERROR_MOD_NOT_FOUND",
  127: "ERROR_PROC_NOT_FOUND",
  128: "ERROR_WAIT_NO_CHILDREN",
  129: "ERROR_CHILD_NOT_COMPLETE",
  130: "ERROR_DIRECT_ACCESS_HANDLE",
  131: "ERROR_NEGATIVE_SEEK",
  132: "ERROR_SEEK_ON_DEVICE",
  133: "ERROR_IS_JOIN_TARGET",
  134: "ERROR_IS_JOINED",
  135: "ERROR_IS_SUBSTED",
  136: "ERROR_NOT_JOINED",
  137: "ERROR_NOT_SUBSTED",
  138: "ERROR_JOIN_TO_JOIN",
  139: "ERROR_SUBST_TO_SUBST",
  140: "ERROR_JOIN_TO_SUBST",
  141: "ERROR_SUBST_TO_JOIN",
  142: "ERROR_BUSY_DRIVE",
  143: "ERROR_SAME_DRIVE",
  144: "ERROR_DIR_NOT_ROOT",
  145: "ERROR_DIR_NOT_EMPTY",
  146: "ERROR_IS_SUBST_PATH",
  147: "ERROR_IS_JOIN_PATH",
  148: "ERROR_PATH_BUSY",
  149: "ERROR_IS_SUBST_TARGET",
  150: "ERROR_SYSTEM_TRACE",
  151: "ERROR_INVALID_EVENT_COUNT",
  152: "ERROR_TOO_MANY_MUXWAITERS",
  153: "ERROR_INVALID_LIST_FORMAT",
  154: "ERROR_LABEL_TOO_LONG",
  155: "ERROR_TOO_MANY_TCBS",
  156: "ERROR_SIGNAL_REFUSED",
  157: "ERROR_DISCARDED",
  158: "ERROR_NOT_LOCKED",
  159: "ERROR_BAD_THREADID_ADDR",
  160: "ERROR_BAD_ARGUMENTS",
  161: "ERROR_BAD_PATHNAME",
  162: "ERROR_SIGNAL_PENDING",
  164: "ERROR_MAX_THRDS_REACHED",
  167: "ERROR_LOCK_FAILED",
  170: "ERROR_BUSY",
  171: "ERROR_DEVICE_SUPPORT_IN_PROGRESS",
  173: "ERROR_CANCEL_VIOLATION",
  174: "ERROR_ATOMIC_LOCKS_NOT_SUPPORTED",
  180: "ERROR_INVALID_SEGMENT_NUMBER",
  182: "ERROR_INVALID_ORDINAL",
  183: "ERROR_ALREADY_EXISTS",
  186: "ERROR_INVALID_FLAG_NUMBER",
  187: "ERROR_SEM_NOT_FOUND",
  188: "ERROR_INVALID_STARTING_CODESEG",
  189: "ERROR_INVALID_STACKSEG",
  190: "ERROR_INVALID_MODULETYPE",
  191: "ERROR_INVALID_EXE_SIGNATURE",
  192: "ERROR_EXE_MARKED_INVALID",
  193: "ERROR_BAD_EXE_FORMAT",
  194: "ERROR_ITERATED_DATA_EXCEEDS_64k",
  195: "ERROR_INVALID_MINALLOCSIZE",
  196: "ERROR_DYNLINK_FROM_INVALID_RING",
  197: "ERROR_IOPL_NOT_ENABLED",
  198: "ERROR_INVALID_SEGDPL",
  199: "ERROR_AUTODATASEG_EXCEEDS_64k",
  200: "ERROR_RING2SEG_MUST_BE_MOVABLE",
  201: "ERROR_RELOC_CHAIN_XEEDS_SEGLIM",
  202: "ERROR_INFLOOP_IN_RELOC_CHAIN",
  203: "ERROR_ENVVAR_NOT_FOUND",
  205: "ERROR_NO_SIGNAL_SENT",
  206: "ERROR_FILENAME_EXCED_RANGE",
  207: "ERROR_RING2_STACK_IN_USE",
  208: "ERROR_META_EXPANSION_TOO_LONG",
  209: "ERROR_INVALID_SIGNAL_NUMBER",
  210: "ERROR_THREAD_1_INACTIVE",
  212: "ERROR_LOCKED",
  214: "ERROR_TOO_MANY_MODULES",
  215: "ERROR_NESTING_NOT_ALLOWED",
  216: "ERROR_EXE_MACHINE_TYPE_MISMATCH",
  217: "ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY",
  218: "ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY",
  220: "ERROR_FILE_CHECKED_OUT",
  221: "ERROR_CHECKOUT_REQUIRED",
  222: "ERROR_BAD_FILE_TYPE",
  223: "ERROR_FILE_TOO_LARGE",
  224: "ERROR_FORMS_AUTH_REQUIRED",
  225: "ERROR_VIRUS_INFECTED",
  226: "ERROR_VIRUS_DELETED",
  229: "ERROR_PIPE_LOCAL",
  230: "ERROR_BAD_PIPE",
  231: "ERROR_PIPE_BUSY",
  232: "ERROR_NO_DATA",
  233: "ERROR_PIPE_NOT_CONNECTED",
  234: "ERROR_MORE_DATA",
  235: "ERROR_NO_WORK_DONE",
  240: "ERROR_VC_DISCONNECTED",
  254: "ERROR_INVALID_EA_NAME",
  255: "ERROR_EA_LIST_INCONSISTENT",
  258: "WAIT_TIMEOUT",
  259: "ERROR_NO_MORE_ITEMS",
  266: "ERROR_CANNOT_COPY",
  267: "ERROR_DIRECTORY",
  275: "ERROR_EAS_DIDNT_FIT",
  276: "ERROR_EA_FILE_CORRUPT",
  277: "ERROR_EA_TABLE_FULL",
  278: "ERROR_INVALID_EA_HANDLE",
  282: "ERROR_EAS_NOT_SUPPORTED",
  288: "ERROR_NOT_OWNER",
  298: "ERROR_TOO_MANY_POSTS",
  299: "ERROR_PARTIAL_COPY",
  300: "ERROR_OPLOCK_NOT_GRANTED",
  301: "ERROR_INVALID_OPLOCK_PROTOCOL",
  302: "ERROR_DISK_TOO_FRAGMENTED",
  303: "ERROR_DELETE_PENDING",
  304: "ERROR_INCOMPATIBLE_WITH_GLOBAL_SHORT_NAME_REGISTRY_SETTING",
  305: "ERROR_SHORT_NAMES_NOT_ENABLED_ON_VOLUME",
  306: "ERROR_SECURITY_STREAM_IS_INCONSISTENT",
  307: "ERROR_INVALID_LOCK_RANGE",
  308: "ERROR_IMAGE_SUBSYSTEM_NOT_PRESENT",
  309: "ERROR_NOTIFICATION_GUID_ALREADY_DEFINED",
  310: "ERROR_INVALID_EXCEPTION_HANDLER",
  311: "ERROR_DUPLICATE_PRIVILEGES",
  312: "ERROR_NO_RANGES_PROCESSED",
  313: "ERROR_NOT_ALLOWED_ON_SYSTEM_FILE",
  314: "ERROR_DISK_RESOURCES_EXHAUSTED",
  315: "ERROR_INVALID_TOKEN",
  316: "ERROR_DEVICE_FEATURE_NOT_SUPPORTED",
  317: "ERROR_MR_MID_NOT_FOUND",
  318: "ERROR_SCOPE_NOT_FOUND",
  319: "ERROR_UNDEFINED_SCOPE",
  320: "ERROR_INVALID_CAP",
  321: "ERROR_DEVICE_UNREACHABLE",
  322: "ERROR_DEVICE_NO_RESOURCES",
  323: "ERROR_DATA_CHECKSUM_ERROR",
  324: "ERROR_INTERMIXED_KERNEL_EA_OPERATION",
  326: "ERROR_FILE_LEVEL_TRIM_NOT_SUPPORTED",
  327: "ERROR_OFFSET_ALIGNMENT_VIOLATION",
  328: "ERROR_INVALID_FIELD_IN_PARAMETER_LIST",
  329: "ERROR_OPERATION_IN_PROGRESS",
  330: "ERROR_BAD_DEVICE_PATH",
  331: "ERROR_TOO_MANY_DESCRIPTORS",
  332: "ERROR_SCRUB_DATA_DISABLED",
  333: "ERROR_NOT_REDUNDANT_STORAGE",
  334: "ERROR_RESIDENT_FILE_NOT_SUPPORTED",
  335: "ERROR_COMPRESSED_FILE_NOT_SUPPORTED",
  336: "ERROR_DIRECTORY_NOT_SUPPORTED",
  337: "ERROR_NOT_READ_FROM_COPY",
  338: "ERROR_FT_WRITE_FAILURE",
  339: "ERROR_FT_DI_SCAN_REQUIRED",
  340: "ERROR_INVALID_KERNEL_INFO_VERSION",
  341: "ERROR_INVALID_PEP_INFO_VERSION",
  342: "ERROR_OBJECT_NOT_EXTERNALLY_BACKED",
  343: "ERROR_EXTERNAL_BACKING_PROVIDER_UNKNOWN",
  344: "ERROR_COMPRESSION_NOT_BENEFICIAL",
  345: "ERROR_STORAGE_TOPOLOGY_ID_MISMATCH",
  346: "ERROR_BLOCKED_BY_PARENTAL_CONTROLS",
  347: "ERROR_BLOCK_TOO_MANY_REFERENCES",
  348: "ERROR_MARKED_TO_DISALLOW_WRITES",
  349: "ERROR_ENCLAVE_FAILURE",
  350: "ERROR_FAIL_NOACTION_REBOOT",
  351: "ERROR_FAIL_SHUTDOWN",
  352: "ERROR_FAIL_RESTART",
  353: "ERROR_MAX_SESSIONS_REACHED",
  354: "ERROR_NETWORK_ACCESS_DENIED_EDP",
  355: "ERROR_DEVICE_HINT_NAME_BUFFER_TOO_SMALL",
  356: "ERROR_EDP_POLICY_DENIES_OPERATION",
  357: "ERROR_EDP_DPL_POLICY_CANT_BE_SATISFIED",
  358: "ERROR_CLOUD_FILE_SYNC_ROOT_METADATA_CORRUPT",
  359: "ERROR_DEVICE_IN_MAINTENANCE",
  360: "ERROR_NOT_SUPPORTED_ON_DAX",
  361: "ERROR_DAX_MAPPING_EXISTS",
  362: "ERROR_CLOUD_FILE_PROVIDER_NOT_RUNNING",
  363: "ERROR_CLOUD_FILE_METADATA_CORRUPT",
  364: "ERROR_CLOUD_FILE_METADATA_TOO_LARGE",
  365: "ERROR_CLOUD_FILE_PROPERTY_BLOB_TOO_LARGE",
  366: "ERROR_CLOUD_FILE_PROPERTY_BLOB_CHECKSUM_MISMATCH",
  367: "ERROR_CHILD_PROCESS_BLOCKED",
  368: "ERROR_STORAGE_LOST_DATA_PERSISTENCE",
  369: "ERROR_FILE_SYSTEM_VIRTUALIZATION_UNAVAILABLE",
  370: "ERROR_FILE_SYSTEM_VIRTUALIZATION_METADATA_CORRUPT",
  371: "ERROR_FILE_SYSTEM_VIRTUALIZATION_BUSY",
  372: "ERROR_FILE_SYSTEM_VIRTUALIZATION_PROVIDER_UNKNOWN",
  373: "ERROR_GDI_HANDLE_LEAK",
  374: "ERROR_CLOUD_FILE_TOO_MANY_PROPERTY_BLOBS",
  375: "ERROR_CLOUD_FILE_PROPERTY_VERSION_NOT_SUPPORTED",
  376: "ERROR_NOT_A_CLOUD_FILE",
  377: "ERROR_CLOUD_FILE_NOT_IN_SYNC",
  378: "ERROR_CLOUD_FILE_ALREADY_CONNECTED",
  379: "ERROR_CLOUD_FILE_NOT_SUPPORTED",
  380: "ERROR_CLOUD_FILE_INVALID_REQUEST",
  381: "ERROR_CLOUD_FILE_READ_ONLY_VOLUME",
  382: "ERROR_CLOUD_FILE_CONNECTED_PROVIDER_ONLY",
  383: "ERROR_CLOUD_FILE_VALIDATION_FAILED",
  384: "ERROR_SMB1_NOT_AVAILABLE",
  385: "ERROR_FILE_SYSTEM_VIRTUALIZATION_INVALID_OPERATION",
  386: "ERROR_CLOUD_FILE_AUTHENTICATION_FAILED",
  387: "ERROR_CLOUD_FILE_INSUFFICIENT_RESOURCES",
  388: "ERROR_CLOUD_FILE_NETWORK_UNAVAILABLE",
  389: "ERROR_CLOUD_FILE_UNSUCCESSFUL",
  390: "ERROR_CLOUD_FILE_NOT_UNDER_SYNC_ROOT",
  391: "ERROR_CLOUD_FILE_IN_USE",
  392: "ERROR_CLOUD_FILE_PINNED",
  393: "ERROR_CLOUD_FILE_REQUEST_ABORTED",
  394: "ERROR_CLOUD_FILE_PROPERTY_CORRUPT",
  395: "ERROR_CLOUD_FILE_ACCESS_DENIED",
  396: "ERROR_CLOUD_FILE_INCOMPATIBLE_HARDLINKS",
  397: "ERROR_CLOUD_FILE_PROPERTY_LOCK_CONFLICT",
  398: "ERROR_CLOUD_FILE_REQUEST_CANCELED",
  399: "ERROR_EXTERNAL_SYSKEY_NOT_SUPPORTED",
  400: "ERROR_THREAD_MODE_ALREADY_BACKGROUND",
  401: "ERROR_THREAD_MODE_NOT_BACKGROUND",
  402: "ERROR_PROCESS_MODE_ALREADY_BACKGROUND",
  403: "ERROR_PROCESS_MODE_NOT_BACKGROUND",
  450: "ERROR_CAPAUTHZ_NOT_DEVUNLOCKED",
  451: "ERROR_CAPAUTHZ_CHANGE_TYPE",
  452: "ERROR_CAPAUTHZ_NOT_PROVISIONED",
  453: "ERROR_CAPAUTHZ_NOT_AUTHORIZED",
  454: "ERROR_CAPAUTHZ_NO_POLICY",
  455: "ERROR_CAPAUTHZ_DB_CORRUPTED",
  456: "ERROR_CAPAUTHZ_SCCD_INVALID_CATALOG",
  457: "ERROR_CAPAUTHZ_SCCD_NO_AUTH_ENTITY",
  458: "ERROR_CAPAUTHZ_SCCD_PARSE_ERROR",
  459: "ERROR_CAPAUTHZ_SCCD_DEV_MODE_REQUIRED",
  460: "ERROR_CAPAUTHZ_SCCD_NO_CAPABILITY_MATCH",
  480: "ERROR_PNP_QUERY_REMOVE_DEVICE_TIMEOUT",
  481: "ERROR_PNP_QUERY_REMOVE_RELATED_DEVICE_TIMEOUT",
  482: "ERROR_PNP_QUERY_REMOVE_UNRELATED_DEVICE_TIMEOUT",
  483: "ERROR_DEVICE_HARDWARE_ERROR",
  487: "ERROR_INVALID_ADDRESS",
  500: "ERROR_USER_PROFILE_LOAD",
  534: "ERROR_ARITHMETIC_OVERFLOW",
  535: "ERROR_PIPE_CONNECTED",
  536: "ERROR_PIPE_LISTENING",
  537: "ERROR_VERIFIER_STOP",
  538: "ERROR_ABIOS_ERROR",
  539: "ERROR_WX86_WARNING",
  540: "ERROR_WX86_ERROR",
  541: "ERROR_TIMER_NOT_CANCELED",
  542: "ERROR_UNWIND",
  543: "ERROR_BAD_STACK",
  544: "ERROR_INVALID_UNWIND_TARGET",
  545: "ERROR_INVALID_PORT_ATTRIBUTES",
  546: "ERROR_PORT_MESSAGE_TOO_LONG",
  547: "ERROR_INVALID_QUOTA_LOWER",
  548: "ERROR_DEVICE_ALREADY_ATTACHED",
  549: "ERROR_INSTRUCTION_MISALIGNMENT",
  550: "ERROR_PROFILING_NOT_STARTED",
  551: "ERROR_PROFILING_NOT_STOPPED",
  552: "ERROR_COULD_NOT_INTERPRET",
  553: "ERROR_PROFILING_AT_LIMIT",
  554: "ERROR_CANT_WAIT",
  555: "ERROR_CANT_TERMINATE_SELF",
  556: "ERROR_UNEXPECTED_MM_CREATE_ERR",
  557: "ERROR_UNEXPECTED_MM_MAP_ERROR",
  558: "ERROR_UNEXPECTED_MM_EXTEND_ERR",
  559: "ERROR_BAD_FUNCTION_TABLE",
  560: "ERROR_NO_GUID_TRANSLATION",
  561: "ERROR_INVALID_LDT_SIZE",
  563: "ERROR_INVALID_LDT_OFFSET",
  564: "ERROR_INVALID_LDT_DESCRIPTOR",
  565: "ERROR_TOO_MANY_THREADS",
  566: "ERROR_THREAD_NOT_IN_PROCESS",
  567: "ERROR_PAGEFILE_QUOTA_EXCEEDED",
  568: "ERROR_LOGON_SERVER_CONFLICT",
  569: "ERROR_SYNCHRONIZATION_REQUIRED",
  570: "ERROR_NET_OPEN_FAILED",
  571: "ERROR_IO_PRIVILEGE_FAILED",
  572: "ERROR_CONTROL_C_EXIT",
  573: "ERROR_MISSING_SYSTEMFILE",
  574: "ERROR_UNHANDLED_EXCEPTION",
  575: "ERROR_APP_INIT_FAILURE",
  576: "ERROR_PAGEFILE_CREATE_FAILED",
  577: "ERROR_INVALID_IMAGE_HASH",
  578: "ERROR_NO_PAGEFILE",
  579: "ERROR_ILLEGAL_FLOAT_CONTEXT",
  580: "ERROR_NO_EVENT_PAIR",
  581: "ERROR_DOMAIN_CTRLR_CONFIG_ERROR",
  582: "ERROR_ILLEGAL_CHARACTER",
  583: "ERROR_UNDEFINED_CHARACTER",
  584: "ERROR_FLOPPY_VOLUME",
  585: "ERROR_BIOS_FAILED_TO_CONNECT_INTERRUPT",
  586: "ERROR_BACKUP_CONTROLLER",
  587: "ERROR_MUTANT_LIMIT_EXCEEDED",
  588: "ERROR_FS_DRIVER_REQUIRED",
  589: "ERROR_CANNOT_LOAD_REGISTRY_FILE",
  590: "ERROR_DEBUG_ATTACH_FAILED",
  591: "ERROR_SYSTEM_PROCESS_TERMINATED",
  592: "ERROR_DATA_NOT_ACCEPTED",
  593: "ERROR_VDM_HARD_ERROR",
  594: "ERROR_DRIVER_CANCEL_TIMEOUT",
  595: "ERROR_REPLY_MESSAGE_MISMATCH",
  596: "ERROR_LOST_WRITEBEHIND_DATA",
  597: "ERROR_CLIENT_SERVER_PARAMETERS_INVALID",
  598: "ERROR_NOT_TINY_STREAM",
  599: "ERROR_STACK_OVERFLOW_READ",
  600: "ERROR_CONVERT_TO_LARGE",
  601: "ERROR_FOUND_OUT_OF_SCOPE",
  602: "ERROR_ALLOCATE_BUCKET",
  603: "ERROR_MARSHALL_OVERFLOW",
  604: "ERROR_INVALID_VARIANT",
  605: "ERROR_BAD_COMPRESSION_BUFFER",
  606: "ERROR_AUDIT_FAILED",
  607: "ERROR_TIMER_RESOLUTION_NOT_SET",
  608: "ERROR_INSUFFICIENT_LOGON_INFO",
  609: "ERROR_BAD_DLL_ENTRYPOINT",
  610: "ERROR_BAD_SERVICE_ENTRYPOINT",
  611: "ERROR_IP_ADDRESS_CONFLICT1",
  612: "ERROR_IP_ADDRESS_CONFLICT2",
  613: "ERROR_REGISTRY_QUOTA_LIMIT",
  614: "ERROR_NO_CALLBACK_ACTIVE",
  615: "ERROR_PWD_TOO_SHORT",
  616: "ERROR_PWD_TOO_RECENT",
  617: "ERROR_PWD_HISTORY_CONFLICT",
  618: "ERROR_UNSUPPORTED_COMPRESSION",
  619: "ERROR_INVALID_HW_PROFILE",
  620: "ERROR_INVALID_PLUGPLAY_DEVICE_PATH",
  621: "ERROR_QUOTA_LIST_INCONSISTENT",
  622: "ERROR_EVALUATION_EXPIRATION",
  623: "ERROR_ILLEGAL_DLL_RELOCATION",
  624: "ERROR_DLL_INIT_FAILED_LOGOFF",
  625: "ERROR_VALIDATE_CONTINUE",
  626: "ERROR_NO_MORE_MATCHES",
  627: "ERROR_RANGE_LIST_CONFLICT",
  628: "ERROR_SERVER_SID_MISMATCH",
  629: "ERROR_CANT_ENABLE_DENY_ONLY",
  630: "ERROR_FLOAT_MULTIPLE_FAULTS",
  631: "ERROR_FLOAT_MULTIPLE_TRAPS",
  632: "ERROR_NOINTERFACE",
  633: "ERROR_DRIVER_FAILED_SLEEP",
  634: "ERROR_CORRUPT_SYSTEM_FILE",
  635: "ERROR_COMMITMENT_MINIMUM",
  636: "ERROR_PNP_RESTART_ENUMERATION",
  637: "ERROR_SYSTEM_IMAGE_BAD_SIGNATURE",
  638: "ERROR_PNP_REBOOT_REQUIRED",
  639: "ERROR_INSUFFICIENT_POWER",
  640: "ERROR_MULTIPLE_FAULT_VIOLATION",
  641: "ERROR_SYSTEM_SHUTDOWN",
  642: "ERROR_PORT_NOT_SET",
  643: "ERROR_DS_VERSION_CHECK_FAILURE",
  644: "ERROR_RANGE_NOT_FOUND",
  646: "ERROR_NOT_SAFE_MODE_DRIVER",
  647: "ERROR_FAILED_DRIVER_ENTRY",
  648: "ERROR_DEVICE_ENUMERATION_ERROR",
  649: "ERROR_MOUNT_POINT_NOT_RESOLVED",
  650: "ERROR_INVALID_DEVICE_OBJECT_PARAMETER",
  651: "ERROR_MCA_OCCURED",
  652: "ERROR_DRIVER_DATABASE_ERROR",
  653: "ERROR_SYSTEM_HIVE_TOO_LARGE",
  654: "ERROR_DRIVER_FAILED_PRIOR_UNLOAD",
  655: "ERROR_VOLSNAP_PREPARE_HIBERNATE",
  656: "ERROR_HIBERNATION_FAILURE",
  657: "ERROR_PWD_TOO_LONG",
  665: "ERROR_FILE_SYSTEM_LIMITATION",
  668: "ERROR_ASSERTION_FAILURE",
  669: "ERROR_ACPI_ERROR",
  670: "ERROR_WOW_ASSERTION",
  671: "ERROR_PNP_BAD_MPS_TABLE",
  672: "ERROR_PNP_TRANSLATION_FAILED",
  673: "ERROR_PNP_IRQ_TRANSLATION_FAILED",
  674: "ERROR_PNP_INVALID_ID",
  675: "ERROR_WAKE_SYSTEM_DEBUGGER",
  676: "ERROR_HANDLES_CLOSED",
  677: "ERROR_EXTRANEOUS_INFORMATION",
  678: "ERROR_RXACT_COMMIT_NECESSARY",
  679: "ERROR_MEDIA_CHECK",
  680: "ERROR_GUID_SUBSTITUTION_MADE",
  681: "ERROR_STOPPED_ON_SYMLINK",
  682: "ERROR_LONGJUMP",
  683: "ERROR_PLUGPLAY_QUERY_VETOED",
  684: "ERROR_UNWIND_CONSOLIDATE",
  685: "ERROR_REGISTRY_HIVE_RECOVERED",
  686: "ERROR_DLL_MIGHT_BE_INSECURE",
  687: "ERROR_DLL_MIGHT_BE_INCOMPATIBLE",
  688: "ERROR_DBG_EXCEPTION_NOT_HANDLED",
  689: "ERROR_DBG_REPLY_LATER",
  690: "ERROR_DBG_UNABLE_TO_PROVIDE_HANDLE",
  691: "ERROR_DBG_TERMINATE_THREAD",
  692: "ERROR_DBG_TERMINATE_PROCESS",
  693: "ERROR_DBG_CONTROL_C",
  694: "ERROR_DBG_PRINTEXCEPTION_C",
  695: "ERROR_DBG_RIPEXCEPTION",
  696: "ERROR_DBG_CONTROL_BREAK",
  697: "ERROR_DBG_COMMAND_EXCEPTION",
  698: "ERROR_OBJECT_NAME_EXISTS",
  699: "ERROR_THREAD_WAS_SUSPENDED",
  700: "ERROR_IMAGE_NOT_AT_BASE",
  701: "ERROR_RXACT_STATE_CREATED",
  702: "ERROR_SEGMENT_NOTIFICATION",
  703: "ERROR_BAD_CURRENT_DIRECTORY",
  704: "ERROR_FT_READ_RECOVERY_FROM_BACKUP",
  705: "ERROR_FT_WRITE_RECOVERY",
  706: "ERROR_IMAGE_MACHINE_TYPE_MISMATCH",
  707: "ERROR_RECEIVE_PARTIAL",
  708: "ERROR_RECEIVE_EXPEDITED",
  709: "ERROR_RECEIVE_PARTIAL_EXPEDITED",
  710: "ERROR_EVENT_DONE",
  711: "ERROR_EVENT_PENDING",
  712: "ERROR_CHECKING_FILE_SYSTEM",
  713: "ERROR_FATAL_APP_EXIT",
  714: "ERROR_PREDEFINED_HANDLE",
  715: "ERROR_WAS_UNLOCKED",
  716: "ERROR_SERVICE_NOTIFICATION",
  717: "ERROR_WAS_LOCKED",
  718: "ERROR_LOG_HARD_ERROR",
  719: "ERROR_ALREADY_WIN32",
  720: "ERROR_IMAGE_MACHINE_TYPE_MISMATCH_EXE",
  721: "ERROR_NO_YIELD_PERFORMED",
  722: "ERROR_TIMER_RESUME_IGNORED",
  723: "ERROR_ARBITRATION_UNHANDLED",
  724: "ERROR_CARDBUS_NOT_SUPPORTED",
  725: "ERROR_MP_PROCESSOR_MISMATCH",
  726: "ERROR_HIBERNATED",
  727: "ERROR_RESUME_HIBERNATION",
  728: "ERROR_FIRMWARE_UPDATED",
  729: "ERROR_DRIVERS_LEAKING_LOCKED_PAGES",
  730: "ERROR_WAKE_SYSTEM",
  731: "ERROR_WAIT_1",
  732: "ERROR_WAIT_2",
  733: "ERROR_WAIT_3",
  734: "ERROR_WAIT_63",
  735: "ERROR_ABANDONED_WAIT_0",
  736: "ERROR_ABANDONED_WAIT_63",
  737: "ERROR_USER_APC",
  738: "ERROR_KERNEL_APC",
  739: "ERROR_ALERTED",
  740: "ERROR_ELEVATION_REQUIRED",
  741: "ERROR_REPARSE",
  742: "ERROR_OPLOCK_BREAK_IN_PROGRESS",
  743: "ERROR_VOLUME_MOUNTED",
  744: "ERROR_RXACT_COMMITTED",
  745: "ERROR_NOTIFY_CLEANUP",
  746: "ERROR_PRIMARY_TRANSPORT_CONNECT_FAILED",
  747: "ERROR_PAGE_FAULT_TRANSITION",
  748: "ERROR_PAGE_FAULT_DEMAND_ZERO",
  749: "ERROR_PAGE_FAULT_COPY_ON_WRITE",
  750: "ERROR_PAGE_FAULT_GUARD_PAGE",
  751: "ERROR_PAGE_FAULT_PAGING_FILE",
  752: "ERROR_CACHE_PAGE_LOCKED",
  753: "ERROR_CRASH_DUMP",
  754: "ERROR_BUFFER_ALL_ZEROS",
  755: "ERROR_REPARSE_OBJECT",
  756: "ERROR_RESOURCE_REQUIREMENTS_CHANGED",
  757: "ERROR_TRANSLATION_COMPLETE",
  758: "ERROR_NOTHING_TO_TERMINATE",
  759: "ERROR_PROCESS_NOT_IN_JOB",
  760: "ERROR_PROCESS_IN_JOB",
  761: "ERROR_VOLSNAP_HIBERNATE_READY",
  762: "ERROR_FSFILTER_OP_COMPLETED_SUCCESSFULLY",
  763: "ERROR_INTERRUPT_VECTOR_ALREADY_CONNECTED",
  764: "ERROR_INTERRUPT_STILL_CONNECTED",
  765: "ERROR_WAIT_FOR_OPLOCK",
  766: "ERROR_DBG_EXCEPTION_HANDLED",
  767: "ERROR_DBG_CONTINUE",
  768: "ERROR_CALLBACK_POP_STACK",
  769: "ERROR_COMPRESSION_DISABLED",
  770: "ERROR_CANTFETCHBACKWARDS",
  771: "ERROR_CANTSCROLLBACKWARDS",
  772: "ERROR_ROWSNOTRELEASED",
  773: "ERROR_BAD_ACCESSOR_FLAGS",
  774: "ERROR_ERRORS_ENCOUNTERED",
  775: "ERROR_NOT_CAPABLE",
  776: "ERROR_REQUEST_OUT_OF_SEQUENCE",
  777: "ERROR_VERSION_PARSE_ERROR",
  778: "ERROR_BADSTARTPOSITION",
  779: "ERROR_MEMORY_HARDWARE",
  780: "ERROR_DISK_REPAIR_DISABLED",
  781: "ERROR_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE",
  782: "ERROR_SYSTEM_POWERSTATE_TRANSITION",
  783: "ERROR_SYSTEM_POWERSTATE_COMPLEX_TRANSITION",
  784: "ERROR_MCA_EXCEPTION",
  785: "ERROR_ACCESS_AUDIT_BY_POLICY",
  786: "ERROR_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY",
  787: "ERROR_ABANDON_HIBERFILE",
  788: "ERROR_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED",
  789: "ERROR_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR",
  790: "ERROR_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR",
  791: "ERROR_BAD_MCFG_TABLE",
  792: "ERROR_DISK_REPAIR_REDIRECTED",
  793: "ERROR_DISK_REPAIR_UNSUCCESSFUL",
  794: "ERROR_CORRUPT_LOG_OVERFULL",
  795: "ERROR_CORRUPT_LOG_CORRUPTED",
  796: "ERROR_CORRUPT_LOG_UNAVAILABLE",
  797: "ERROR_CORRUPT_LOG_DELETED_FULL",
  798: "ERROR_CORRUPT_LOG_CLEARED",
  799: "ERROR_ORPHAN_NAME_EXHAUSTED",
  800: "ERROR_OPLOCK_SWITCHED_TO_NEW_HANDLE",
  801: "ERROR_CANNOT_GRANT_REQUESTED_OPLOCK",
  802: "ERROR_CANNOT_BREAK_OPLOCK",
  803: "ERROR_OPLOCK_HANDLE_CLOSED",
  804: "ERROR_NO_ACE_CONDITION",
  805: "ERROR_INVALID_ACE_CONDITION",
  806: "ERROR_FILE_HANDLE_REVOKED",
  807: "ERROR_IMAGE_AT_DIFFERENT_BASE",
  808: "ERROR_ENCRYPTED_IO_NOT_POSSIBLE",
  809: "ERROR_FILE_METADATA_OPTIMIZATION_IN_PROGRESS",
  810: "ERROR_QUOTA_ACTIVITY",
  811: "ERROR_HANDLE_REVOKED",
  812: "ERROR_CALLBACK_INVOKE_INLINE",
  813: "ERROR_CPU_SET_INVALID",
  814: "ERROR_ENCLAVE_NOT_TERMINATED",
  994: "ERROR_EA_ACCESS_DENIED",
  995: "ERROR_OPERATION_ABORTED",
  996: "ERROR_IO_INCOMPLETE",
  997: "ERROR_IO_PENDING",
  998: "ERROR_NOACCESS",
  999: "ERROR_SWAPERROR",
  1001: "ERROR_STACK_OVERFLOW",
  1002: "ERROR_INVALID_MESSAGE",
  1003: "ERROR_CAN_NOT_COMPLETE",
  1004: "ERROR_INVALID_FLAGS",
  1005: "ERROR_UNRECOGNIZED_VOLUME",
  1006: "ERROR_FILE_INVALID",
  1007: "ERROR_FULLSCREEN_MODE",
  1008: "ERROR_NO_TOKEN",
  1009: "ERROR_BADDB",
  1010: "ERROR_BADKEY",
  1011: "ERROR_CANTOPEN",
  1012: "ERROR_CANTREAD",
  1013: "ERROR_CANTWRITE",
  1014: "ERROR_REGISTRY_RECOVERED",
  1015: "ERROR_REGISTRY_CORRUPT",
  1016: "ERROR_REGISTRY_IO_FAILED",
  1017: "ERROR_NOT_REGISTRY_FILE",
  1018: "ERROR_KEY_DELETED",
  1019: "ERROR_NO_LOG_SPACE",
  1020: "ERROR_KEY_HAS_CHILDREN",
  1021: "ERROR_CHILD_MUST_BE_VOLATILE",
  1022: "ERROR_NOTIFY_ENUM_DIR",
  1051: "ERROR_DEPENDENT_SERVICES_RUNNING",
  1052: "ERROR_INVALID_SERVICE_CONTROL",
  1053: "ERROR_SERVICE_REQUEST_TIMEOUT",
  1054: "ERROR_SERVICE_NO_THREAD",
  1055: "ERROR_SERVICE_DATABASE_LOCKED",
  1056: "ERROR_SERVICE_ALREADY_RUNNING",
  1057: "ERROR_INVALID_SERVICE_ACCOUNT",
  1058: "ERROR_SERVICE_DISABLED",
  1059: "ERROR_CIRCULAR_DEPENDENCY",
  1060: "ERROR_SERVICE_DOES_NOT_EXIST",
  1061: "ERROR_SERVICE_CANNOT_ACCEPT_CTRL",
  1062: "ERROR_SERVICE_NOT_ACTIVE",
  1063: "ERROR_FAILED_SERVICE_CONTROLLER_CONNECT",
  1064: "ERROR_EXCEPTION_IN_SERVICE",
  1065: "ERROR_DATABASE_DOES_NOT_EXIST",
  1066: "ERROR_SERVICE_SPECIFIC_ERROR",
  1067: "ERROR_PROCESS_ABORTED",
  1068: "ERROR_SERVICE_DEPENDENCY_FAIL",
  1069: "ERROR_SERVICE_LOGON_FAILED",
  1070: "ERROR_SERVICE_START_HANG",
  1071: "ERROR_INVALID_SERVICE_LOCK",
  1072: "ERROR_SERVICE_MARKED_FOR_DELETE",
  1073: "ERROR_SERVICE_EXISTS",
  1074: "ERROR_ALREADY_RUNNING_LKG",
  1075: "ERROR_SERVICE_DEPENDENCY_DELETED",
  1076: "ERROR_BOOT_ALREADY_ACCEPTED",
  1077: "ERROR_SERVICE_NEVER_STARTED",
  1078: "ERROR_DUPLICATE_SERVICE_NAME",
  1079: "ERROR_DIFFERENT_SERVICE_ACCOUNT",
  1080: "ERROR_CANNOT_DETECT_DRIVER_FAILURE",
  1081: "ERROR_CANNOT_DETECT_PROCESS_ABORT",
  1082: "ERROR_NO_RECOVERY_PROGRAM",
  1083: "ERROR_SERVICE_NOT_IN_EXE",
  1084: "ERROR_NOT_SAFEBOOT_SERVICE",
  1100: "ERROR_END_OF_MEDIA",
  1101: "ERROR_FILEMARK_DETECTED",
  1102: "ERROR_BEGINNING_OF_MEDIA",
  1103: "ERROR_SETMARK_DETECTED",
  1104: "ERROR_NO_DATA_DETECTED",
  1105: "ERROR_PARTITION_FAILURE",
  1106: "ERROR_INVALID_BLOCK_LENGTH",
  1107: "ERROR_DEVICE_NOT_PARTITIONED",
  1108: "ERROR_UNABLE_TO_LOCK_MEDIA",
  1109: "ERROR_UNABLE_TO_UNLOAD_MEDIA",
  1110: "ERROR_MEDIA_CHANGED",
  1111: "ERROR_BUS_RESET",
  1112: "ERROR_NO_MEDIA_IN_DRIVE",
  1113: "ERROR_NO_UNICODE_TRANSLATION",
  1114: "ERROR_DLL_INIT_FAILED",
  1115: "ERROR_SHUTDOWN_IN_PROGRESS",
  1116: "ERROR_NO_SHUTDOWN_IN_PROGRESS",
  1117: "ERROR_IO_DEVICE",
  1118: "ERROR_SERIAL_NO_DEVICE",
  1119: "ERROR_IRQ_BUSY",
  1120: "ERROR_MORE_WRITES",
  1121: "ERROR_COUNTER_TIMEOUT",
  1122: "ERROR_FLOPPY_ID_MARK_NOT_FOUND",
  1123: "ERROR_FLOPPY_WRONG_CYLINDER",
  1124: "ERROR_FLOPPY_UNKNOWN_ERROR",
  1125: "ERROR_FLOPPY_BAD_REGISTERS",
  1126: "ERROR_DISK_RECALIBRATE_FAILED",
  1127: "ERROR_DISK_OPERATION_FAILED",
  1128: "ERROR_DISK_RESET_FAILED",
  1129: "ERROR_EOM_OVERFLOW",
  1130: "ERROR_NOT_ENOUGH_SERVER_MEMORY",
  1131: "ERROR_POSSIBLE_DEADLOCK",
  1132: "ERROR_MAPPED_ALIGNMENT",
  1140: "ERROR_SET_POWER_STATE_VETOED",
  1141: "ERROR_SET_POWER_STATE_FAILED",
  1142: "ERROR_TOO_MANY_LINKS",
  1150: "ERROR_OLD_WIN_VERSION",
  1151: "ERROR_APP_WRONG_OS",
  1152: "ERROR_SINGLE_INSTANCE_APP",
  1153: "ERROR_RMODE_APP",
  1154: "ERROR_INVALID_DLL",
  1155: "ERROR_NO_ASSOCIATION",
  1156: "ERROR_DDE_FAIL",
  1157: "ERROR_DLL_NOT_FOUND",
  1158: "ERROR_NO_MORE_USER_HANDLES",
  1159: "ERROR_MESSAGE_SYNC_ONLY",
  1160: "ERROR_SOURCE_ELEMENT_EMPTY",
  1161: "ERROR_DESTINATION_ELEMENT_FULL",
  1162: "ERROR_ILLEGAL_ELEMENT_ADDRESS",
  1163: "ERROR_MAGAZINE_NOT_PRESENT",
  1164: "ERROR_DEVICE_REINITIALIZATION_NEEDED",
  1165: "ERROR_DEVICE_REQUIRES_CLEANING",
  1166: "ERROR_DEVICE_DOOR_OPEN",
  1167: "ERROR_DEVICE_NOT_CONNECTED",
  1168: "ERROR_NOT_FOUND",
  1169: "ERROR_NO_MATCH",
  1170: "ERROR_SET_NOT_FOUND",
  1171: "ERROR_POINT_NOT_FOUND",
  1172: "ERROR_NO_TRACKING_SERVICE",
  1173: "ERROR_NO_VOLUME_ID",
  1175: "ERROR_UNABLE_TO_REMOVE_REPLACED",
  1176: "ERROR_UNABLE_TO_MOVE_REPLACEMENT",
  1177: "ERROR_UNABLE_TO_MOVE_REPLACEMENT_2",
  1178: "ERROR_JOURNAL_DELETE_IN_PROGRESS",
  1179: "ERROR_JOURNAL_NOT_ACTIVE",
  1180: "ERROR_POTENTIAL_FILE_FOUND",
  1181: "ERROR_JOURNAL_ENTRY_DELETED",
  1183: "ERROR_VRF_CFG_ENABLED",
  1184: "ERROR_PARTITION_TERMINATING",
  1190: "ERROR_SHUTDOWN_IS_SCHEDULED",
  1191: "ERROR_SHUTDOWN_USERS_LOGGED_ON",
  1200: "ERROR_BAD_DEVICE",
  1201: "ERROR_CONNECTION_UNAVAIL",
  1202: "ERROR_DEVICE_ALREADY_REMEMBERED",
  1203: "ERROR_NO_NET_OR_BAD_PATH",
  1204: "ERROR_BAD_PROVIDER",
  1205: "ERROR_CANNOT_OPEN_PROFILE",
  1206: "ERROR_BAD_PROFILE",
  1207: "ERROR_NOT_CONTAINER",
  1208: "ERROR_EXTENDED_ERROR",
  1209: "ERROR_INVALID_GROUPNAME",
  1210: "ERROR_INVALID_COMPUTERNAME",
  1211: "ERROR_INVALID_EVENTNAME",
  1212: "ERROR_INVALID_DOMAINNAME",
  1213: "ERROR_INVALID_SERVICENAME",
  1214: "ERROR_INVALID_NETNAME",
  1215: "ERROR_INVALID_SHARENAME",
  1216: "ERROR_INVALID_PASSWORDNAME",
  1217: "ERROR_INVALID_MESSAGENAME",
  1218: "ERROR_INVALID_MESSAGEDEST",
  1219: "ERROR_SESSION_CREDENTIAL_CONFLICT",
  1220: "ERROR_REMOTE_SESSION_LIMIT_EXCEEDED",
  1221: "ERROR_DUP_DOMAINNAME",
  1222: "ERROR_NO_NETWORK",
  1223: "ERROR_CANCELLED",
  1224: "ERROR_USER_MAPPED_FILE",
  1225: "ERROR_CONNECTION_REFUSED",
  1226: "ERROR_GRACEFUL_DISCONNECT",
  1227: "ERROR_ADDRESS_ALREADY_ASSOCIATED",
  1228: "ERROR_ADDRESS_NOT_ASSOCIATED",
  1229: "ERROR_CONNECTION_INVALID",
  1230: "ERROR_CONNECTION_ACTIVE",
  1231: "ERROR_NETWORK_UNREACHABLE",
  1232: "ERROR_HOST_UNREACHABLE",
  1233: "ERROR_PROTOCOL_UNREACHABLE",
  1234: "ERROR_PORT_UNREACHABLE",
  1235: "ERROR_REQUEST_ABORTED",
  1236: "ERROR_CONNECTION_ABORTED",
  1237: "ERROR_RETRY",
  1238: "ERROR_CONNECTION_COUNT_LIMIT",
  1239: "ERROR_LOGIN_TIME_RESTRICTION",
  1240: "ERROR_LOGIN_WKSTA_RESTRICTION",
  1241: "ERROR_INCORRECT_ADDRESS",
  1242: "ERROR_ALREADY_REGISTERED",
  1243: "ERROR_SERVICE_NOT_FOUND",
  1244: "ERROR_NOT_AUTHENTICATED",
  1245: "ERROR_NOT_LOGGED_ON",
  1246: "ERROR_CONTINUE",
  1247: "ERROR_ALREADY_INITIALIZED",
  1248: "ERROR_NO_MORE_DEVICES",
  1249: "ERROR_NO_SUCH_SITE",
  1250: "ERROR_DOMAIN_CONTROLLER_EXISTS",
  1251: "ERROR_ONLY_IF_CONNECTED",
  1252: "ERROR_OVERRIDE_NOCHANGES",
  1253: "ERROR_BAD_USER_PROFILE",
  1254: "ERROR_NOT_SUPPORTED_ON_SBS",
  1255: "ERROR_SERVER_SHUTDOWN_IN_PROGRESS",
  1256: "ERROR_HOST_DOWN",
  1257: "ERROR_NON_ACCOUNT_SID",
  1258: "ERROR_NON_DOMAIN_SID",
  1259: "ERROR_APPHELP_BLOCK",
  1260: "ERROR_ACCESS_DISABLED_BY_POLICY",
  1261: "ERROR_REG_NAT_CONSUMPTION",
  1262: "ERROR_CSCSHARE_OFFLINE",
  1263: "ERROR_PKINIT_FAILURE",
  1264: "ERROR_SMARTCARD_SUBSYSTEM_FAILURE",
  1265: "ERROR_DOWNGRADE_DETECTED",
  1271: "ERROR_MACHINE_LOCKED",
  1272: "ERROR_SMB_GUEST_LOGON_BLOCKED",
  1273: "ERROR_CALLBACK_SUPPLIED_INVALID_DATA",
  1274: "ERROR_SYNC_FOREGROUND_REFRESH_REQUIRED",
  1275: "ERROR_DRIVER_BLOCKED",
  1276: "ERROR_INVALID_IMPORT_OF_NON_DLL",
  1277: "ERROR_ACCESS_DISABLED_WEBBLADE",
  1278: "ERROR_ACCESS_DISABLED_WEBBLADE_TAMPER",
  1279: "ERROR_RECOVERY_FAILURE",
  1280: "ERROR_ALREADY_FIBER",
  1281: "ERROR_ALREADY_THREAD",
  1282: "ERROR_STACK_BUFFER_OVERRUN",
  1283: "ERROR_PARAMETER_QUOTA_EXCEEDED",
  1284: "ERROR_DEBUGGER_INACTIVE",
  1285: "ERROR_DELAY_LOAD_FAILED",
  1286: "ERROR_VDM_DISALLOWED",
  1287: "ERROR_UNIDENTIFIED_ERROR",
  1288: "ERROR_INVALID_CRUNTIME_PARAMETER",
  1289: "ERROR_BEYOND_VDL",
  1290: "ERROR_INCOMPATIBLE_SERVICE_SID_TYPE",
  1291: "ERROR_DRIVER_PROCESS_TERMINATED",
  1292: "ERROR_IMPLEMENTATION_LIMIT",
  1293: "ERROR_PROCESS_IS_PROTECTED",
  1294: "ERROR_SERVICE_NOTIFY_CLIENT_LAGGING",
  1295: "ERROR_DISK_QUOTA_EXCEEDED",
  1296: "ERROR_CONTENT_BLOCKED",
  1297: "ERROR_INCOMPATIBLE_SERVICE_PRIVILEGE",
  1298: "ERROR_APP_HANG",
  1299: "ERROR_INVALID_LABEL",
  1300: "ERROR_NOT_ALL_ASSIGNED",
  1301: "ERROR_SOME_NOT_MAPPED",
  1302: "ERROR_NO_QUOTAS_FOR_ACCOUNT",
  1303: "ERROR_LOCAL_USER_SESSION_KEY",
  1304: "ERROR_NULL_LM_PASSWORD",
  1305: "ERROR_UNKNOWN_REVISION",
  1306: "ERROR_REVISION_MISMATCH",
  1307: "ERROR_INVALID_OWNER",
  1308: "ERROR_INVALID_PRIMARY_GROUP",
  1309: "ERROR_NO_IMPERSONATION_TOKEN",
  1310: "ERROR_CANT_DISABLE_MANDATORY",
  1311: "ERROR_NO_LOGON_SERVERS",
  1312: "ERROR_NO_SUCH_LOGON_SESSION",
  1313: "ERROR_NO_SUCH_PRIVILEGE",
  1314: "ERROR_PRIVILEGE_NOT_HELD",
  1315: "ERROR_INVALID_ACCOUNT_NAME",
  1316: "ERROR_USER_EXISTS",
  1317: "ERROR_NO_SUCH_USER",
  1318: "ERROR_GROUP_EXISTS",
  1319: "ERROR_NO_SUCH_GROUP",
  1320: "ERROR_MEMBER_IN_GROUP",
  1321: "ERROR_MEMBER_NOT_IN_GROUP",
  1322: "ERROR_LAST_ADMIN",
  1323: "ERROR_WRONG_PASSWORD",
  1324: "ERROR_ILL_FORMED_PASSWORD",
  1325: "ERROR_PASSWORD_RESTRICTION",
  1326: "ERROR_LOGON_FAILURE",
  1327: "ERROR_ACCOUNT_RESTRICTION",
  1328: "ERROR_INVALID_LOGON_HOURS",
  1329: "ERROR_INVALID_WORKSTATION",
  1330: "ERROR_PASSWORD_EXPIRED",
  1331: "ERROR_ACCOUNT_DISABLED",
  1332: "ERROR_NONE_MAPPED",
  1333: "ERROR_TOO_MANY_LUIDS_REQUESTED",
  1334: "ERROR_LUIDS_EXHAUSTED",
  1335: "ERROR_INVALID_SUB_AUTHORITY",
  1336: "ERROR_INVALID_ACL",
  1337: "ERROR_INVALID_SID",
  1338: "ERROR_INVALID_SECURITY_DESCR",
  1340: "ERROR_BAD_INHERITANCE_ACL",
  1341: "ERROR_SERVER_DISABLED",
  1342: "ERROR_SERVER_NOT_DISABLED",
  1343: "ERROR_INVALID_ID_AUTHORITY",
  1344: "ERROR_ALLOTTED_SPACE_EXCEEDED",
  1345: "ERROR_INVALID_GROUP_ATTRIBUTES",
  1346: "ERROR_BAD_IMPERSONATION_LEVEL",
  1347: "ERROR_CANT_OPEN_ANONYMOUS",
  1348: "ERROR_BAD_VALIDATION_CLASS",
  1349: "ERROR_BAD_TOKEN_TYPE",
  1350: "ERROR_NO_SECURITY_ON_OBJECT",
  1351: "ERROR_CANT_ACCESS_DOMAIN_INFO",
  1352: "ERROR_INVALID_SERVER_STATE",
  1353: "ERROR_INVALID_DOMAIN_STATE",
  1354: "ERROR_INVALID_DOMAIN_ROLE",
  1355: "ERROR_NO_SUCH_DOMAIN",
  1356: "ERROR_DOMAIN_EXISTS",
  1357: "ERROR_DOMAIN_LIMIT_EXCEEDED",
  1358: "ERROR_INTERNAL_DB_CORRUPTION",
  1359: "ERROR_INTERNAL_ERROR",
  1360: "ERROR_GENERIC_NOT_MAPPED",
  1361: "ERROR_BAD_DESCRIPTOR_FORMAT",
  1362: "ERROR_NOT_LOGON_PROCESS",
  1363: "ERROR_LOGON_SESSION_EXISTS",
  1364: "ERROR_NO_SUCH_PACKAGE",
  1365: "ERROR_BAD_LOGON_SESSION_STATE",
  1366: "ERROR_LOGON_SESSION_COLLISION",
  1367: "ERROR_INVALID_LOGON_TYPE",
  1368: "ERROR_CANNOT_IMPERSONATE",
  1369: "ERROR_RXACT_INVALID_STATE",
  1370: "ERROR_RXACT_COMMIT_FAILURE",
  1371: "ERROR_SPECIAL_ACCOUNT",
  1372: "ERROR_SPECIAL_GROUP",
  1373: "ERROR_SPECIAL_USER",
  1374: "ERROR_MEMBERS_PRIMARY_GROUP",
  1375: "ERROR_TOKEN_ALREADY_IN_USE",
  1376: "ERROR_NO_SUCH_ALIAS",
  1377: "ERROR_MEMBER_NOT_IN_ALIAS",
  1378: "ERROR_MEMBER_IN_ALIAS",
  1379: "ERROR_ALIAS_EXISTS",
  1380: "ERROR_LOGON_NOT_GRANTED",
  1381: "ERROR_TOO_MANY_SECRETS",
  1382: "ERROR_SECRET_TOO_LONG",
  1383: "ERROR_INTERNAL_DB_ERROR",
  1384: "ERROR_TOO_MANY_CONTEXT_IDS",
  1385: "ERROR_LOGON_TYPE_NOT_GRANTED",
  1386: "ERROR_NT_CROSS_ENCRYPTION_REQUIRED",
  1387: "ERROR_NO_SUCH_MEMBER",
  1388: "ERROR_INVALID_MEMBER",
  1389: "ERROR_TOO_MANY_SIDS",
  1390: "ERROR_LM_CROSS_ENCRYPTION_REQUIRED",
  1391: "ERROR_NO_INHERITANCE",
  1392: "ERROR_FILE_CORRUPT",
  1393: "ERROR_DISK_CORRUPT",
  1394: "ERROR_NO_USER_SESSION_KEY",
  1395: "ERROR_LICENSE_QUOTA_EXCEEDED",
  1396: "ERROR_WRONG_TARGET_NAME",
  1397: "ERROR_MUTUAL_AUTH_FAILED",
  1398: "ERROR_TIME_SKEW",
  1399: "ERROR_CURRENT_DOMAIN_NOT_ALLOWED",
  1400: "ERROR_INVALID_WINDOW_HANDLE",
  1401: "ERROR_INVALID_MENU_HANDLE",
  1402: "ERROR_INVALID_CURSOR_HANDLE",
  1403: "ERROR_INVALID_ACCEL_HANDLE",
  1404: "ERROR_INVALID_HOOK_HANDLE",
  1405: "ERROR_INVALID_DWP_HANDLE",
  1406: "ERROR_TLW_WITH_WSCHILD",
  1407: "ERROR_CANNOT_FIND_WND_CLASS",
  1408: "ERROR_WINDOW_OF_OTHER_THREAD",
  1409: "ERROR_HOTKEY_ALREADY_REGISTERED",
  1410: "ERROR_CLASS_ALREADY_EXISTS",
  1411: "ERROR_CLASS_DOES_NOT_EXIST",
  1412: "ERROR_CLASS_HAS_WINDOWS",
  1413: "ERROR_INVALID_INDEX",
  1414: "ERROR_INVALID_ICON_HANDLE",
  1415: "ERROR_PRIVATE_DIALOG_INDEX",
  1416: "ERROR_LISTBOX_ID_NOT_FOUND",
  1417: "ERROR_NO_WILDCARD_CHARACTERS",
  1418: "ERROR_CLIPBOARD_NOT_OPEN",
  1419: "ERROR_HOTKEY_NOT_REGISTERED",
  1420: "ERROR_WINDOW_NOT_DIALOG",
  1421: "ERROR_CONTROL_ID_NOT_FOUND",
  1422: "ERROR_INVALID_COMBOBOX_MESSAGE",
  1423: "ERROR_WINDOW_NOT_COMBOBOX",
  1424: "ERROR_INVALID_EDIT_HEIGHT",
  1425: "ERROR_DC_NOT_FOUND",
  1426: "ERROR_INVALID_HOOK_FILTER",
  1427: "ERROR_INVALID_FILTER_PROC",
  1428: "ERROR_HOOK_NEEDS_HMOD",
  1429: "ERROR_GLOBAL_ONLY_HOOK",
  1430: "ERROR_JOURNAL_HOOK_SET",
  1431: "ERROR_HOOK_NOT_INSTALLED",
  1432: "ERROR_INVALID_LB_MESSAGE",
  1433: "ERROR_SETCOUNT_ON_BAD_LB",
  1434: "ERROR_LB_WITHOUT_TABSTOPS",
  1435: "ERROR_DESTROY_OBJECT_OF_OTHER_THREAD",
  1436: "ERROR_CHILD_WINDOW_MENU",
  1437: "ERROR_NO_SYSTEM_MENU",
  1438: "ERROR_INVALID_MSGBOX_STYLE",
  1439: "ERROR_INVALID_SPI_VALUE",
  1440: "ERROR_SCREEN_ALREADY_LOCKED",
  1441: "ERROR_HWNDS_HAVE_DIFF_PARENT",
  1442: "ERROR_NOT_CHILD_WINDOW",
  1443: "ERROR_INVALID_GW_COMMAND",
  1444: "ERROR_INVALID_THREAD_ID",
  1445: "ERROR_NON_MDICHILD_WINDOW",
  1446: "ERROR_POPUP_ALREADY_ACTIVE",
  1447: "ERROR_NO_SCROLLBARS",
  1448: "ERROR_INVALID_SCROLLBAR_RANGE",
  1449: "ERROR_INVALID_SHOWWIN_COMMAND",
  1450: "ERROR_NO_SYSTEM_RESOURCES",
  1451: "ERROR_NONPAGED_SYSTEM_RESOURCES",
  1452: "ERROR_PAGED_SYSTEM_RESOURCES",
  1453: "ERROR_WORKING_SET_QUOTA",
  1454: "ERROR_PAGEFILE_QUOTA",
  1455: "ERROR_COMMITMENT_LIMIT",
  1456: "ERROR_MENU_ITEM_NOT_FOUND",
  1457: "ERROR_INVALID_KEYBOARD_HANDLE",
  1458: "ERROR_HOOK_TYPE_NOT_ALLOWED",
  1459: "ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION",
  1460: "ERROR_TIMEOUT",
  1461: "ERROR_INVALID_MONITOR_HANDLE",
  1462: "ERROR_INCORRECT_SIZE",
  1463: "ERROR_SYMLINK_CLASS_DISABLED",
  1464: "ERROR_SYMLINK_NOT_SUPPORTED",
  1465: "ERROR_XML_PARSE_ERROR",
  1466: "ERROR_XMLDSIG_ERROR",
  1467: "ERROR_RESTART_APPLICATION",
  1468: "ERROR_WRONG_COMPARTMENT",
  1469: "ERROR_AUTHIP_FAILURE",
  1470: "ERROR_NO_NVRAM_RESOURCES",
  1471: "ERROR_NOT_GUI_PROCESS",
  1500: "ERROR_EVENTLOG_FILE_CORRUPT",
  1501: "ERROR_EVENTLOG_CANT_START",
  1502: "ERROR_LOG_FILE_FULL",
  1503: "ERROR_EVENTLOG_FILE_CHANGED",
  1504: "ERROR_CONTAINER_ASSIGNED",
  1505: "ERROR_JOB_NO_CONTAINER",
  1550: "ERROR_INVALID_TASK_NAME",
  1551: "ERROR_INVALID_TASK_INDEX",
  1552: "ERROR_THREAD_ALREADY_IN_TASK",
  1601: "ERROR_INSTALL_SERVICE_FAILURE",
  1602: "ERROR_INSTALL_USEREXIT",
  1603: "ERROR_INSTALL_FAILURE",
  1604: "ERROR_INSTALL_SUSPEND",
  1605: "ERROR_UNKNOWN_PRODUCT",
  1606: "ERROR_UNKNOWN_FEATURE",
  1607: "ERROR_UNKNOWN_COMPONENT",
  1608: "ERROR_UNKNOWN_PROPERTY",
  1609: "ERROR_INVALID_HANDLE_STATE",
  1610: "ERROR_BAD_CONFIGURATION",
  1611: "ERROR_INDEX_ABSENT",
  1612: "ERROR_INSTALL_SOURCE_ABSENT",
  1613: "ERROR_INSTALL_PACKAGE_VERSION",
  1614: "ERROR_PRODUCT_UNINSTALLED",
  1615: "ERROR_BAD_QUERY_SYNTAX",
  1616: "ERROR_INVALID_FIELD",
  1617: "ERROR_DEVICE_REMOVED",
  1618: "ERROR_INSTALL_ALREADY_RUNNING",
  1619: "ERROR_INSTALL_PACKAGE_OPEN_FAILED",
  1620: "ERROR_INSTALL_PACKAGE_INVALID",
  1621: "ERROR_INSTALL_UI_FAILURE",
  1622: "ERROR_INSTALL_LOG_FAILURE",
  1623: "ERROR_INSTALL_LANGUAGE_UNSUPPORTED",
  1624: "ERROR_INSTALL_TRANSFORM_FAILURE",
  1625: "ERROR_INSTALL_PACKAGE_REJECTED",
  1626: "ERROR_FUNCTION_NOT_CALLED",
  1627: "ERROR_FUNCTION_FAILED",
  1628: "ERROR_INVALID_TABLE",
  1629: "ERROR_DATATYPE_MISMATCH",
  1630: "ERROR_UNSUPPORTED_TYPE",
  1631: "ERROR_CREATE_FAILED",
  1632: "ERROR_INSTALL_TEMP_UNWRITABLE",
  1633: "ERROR_INSTALL_PLATFORM_UNSUPPORTED",
  1634: "ERROR_INSTALL_NOTUSED",
  1635: "ERROR_PATCH_PACKAGE_OPEN_FAILED",
  1636: "ERROR_PATCH_PACKAGE_INVALID",
  1637: "ERROR_PATCH_PACKAGE_UNSUPPORTED",
  1638: "ERROR_PRODUCT_VERSION",
  1639: "ERROR_INVALID_COMMAND_LINE",
  1640: "ERROR_INSTALL_REMOTE_DISALLOWED",
  1641: "ERROR_SUCCESS_REBOOT_INITIATED",
  1642: "ERROR_PATCH_TARGET_NOT_FOUND",
  1643: "ERROR_PATCH_PACKAGE_REJECTED",
  1644: "ERROR_INSTALL_TRANSFORM_REJECTED",
  1645: "ERROR_INSTALL_REMOTE_PROHIBITED",
  1646: "ERROR_PATCH_REMOVAL_UNSUPPORTED",
  1647: "ERROR_UNKNOWN_PATCH",
  1648: "ERROR_PATCH_NO_SEQUENCE",
  1649: "ERROR_PATCH_REMOVAL_DISALLOWED",
  1650: "ERROR_INVALID_PATCH_XML",
  1651: "ERROR_PATCH_MANAGED_ADVERTISED_PRODUCT",
  1652: "ERROR_INSTALL_SERVICE_SAFEBOOT",
  1653: "ERROR_FAIL_FAST_EXCEPTION",
  1654: "ERROR_INSTALL_REJECTED",
  1655: "ERROR_DYNAMIC_CODE_BLOCKED",
  1656: "ERROR_NOT_SAME_OBJECT",
  1657: "ERROR_STRICT_CFG_VIOLATION",
  1660: "ERROR_SET_CONTEXT_DENIED",
  1661: "ERROR_CROSS_PARTITION_VIOLATION",
  1700: "RPC_S_INVALID_STRING_BINDING",
  1701: "RPC_S_WRONG_KIND_OF_BINDING",
  1702: "RPC_S_INVALID_BINDING",
  1703: "RPC_S_PROTSEQ_NOT_SUPPORTED",
  1704: "RPC_S_INVALID_RPC_PROTSEQ",
  1705: "RPC_S_INVALID_STRING_UUID",
  1706: "RPC_S_INVALID_ENDPOINT_FORMAT",
  1707: "RPC_S_INVALID_NET_ADDR",
  1708: "RPC_S_NO_ENDPOINT_FOUND",
  1709: "RPC_S_INVALID_TIMEOUT",
  1710: "RPC_S_OBJECT_NOT_FOUND",
  1711: "RPC_S_ALREADY_REGISTERED",
  1712: "RPC_S_TYPE_ALREADY_REGISTERED",
  1713: "RPC_S_ALREADY_LISTENING",
  1714: "RPC_S_NO_PROTSEQS_REGISTERED",
  1715: "RPC_S_NOT_LISTENING",
  1716: "RPC_S_UNKNOWN_MGR_TYPE",
  1717: "RPC_S_UNKNOWN_IF",
  1718: "RPC_S_NO_BINDINGS",
  1719: "RPC_S_NO_PROTSEQS",
  1720: "RPC_S_CANT_CREATE_ENDPOINT",
  1721: "RPC_S_OUT_OF_RESOURCES",
  1722: "RPC_S_SERVER_UNAVAILABLE",
  1723: "RPC_S_SERVER_TOO_BUSY",
  1724: "RPC_S_INVALID_NETWORK_OPTIONS",
  1725: "RPC_S_NO_CALL_ACTIVE",
  1726: "RPC_S_CALL_FAILED",
  1727: "RPC_S_CALL_FAILED_DNE",
  1728: "RPC_S_PROTOCOL_ERROR",
  1729: "RPC_S_PROXY_ACCESS_DENIED",
  1730: "RPC_S_UNSUPPORTED_TRANS_SYN",
  1732: "RPC_S_UNSUPPORTED_TYPE",
  1733: "RPC_S_INVALID_TAG",
  1734: "RPC_S_INVALID_BOUND",
  1735: "RPC_S_NO_ENTRY_NAME",
  1736: "RPC_S_INVALID_NAME_SYNTAX",
  1737: "RPC_S_UNSUPPORTED_NAME_SYNTAX",
  1739: "RPC_S_UUID_NO_ADDRESS",
  1740: "RPC_S_DUPLICATE_ENDPOINT",
  1741: "RPC_S_UNKNOWN_AUTHN_TYPE",
  1742: "RPC_S_MAX_CALLS_TOO_SMALL",
  1743: "RPC_S_STRING_TOO_LONG",
  1744: "RPC_S_PROTSEQ_NOT_FOUND",
  1745: "RPC_S_PROCNUM_OUT_OF_RANGE",
  1746: "RPC_S_BINDING_HAS_NO_AUTH",
  1747: "RPC_S_UNKNOWN_AUTHN_SERVICE",
  1748: "RPC_S_UNKNOWN_AUTHN_LEVEL",
  1749: "RPC_S_INVALID_AUTH_IDENTITY",
  1750: "RPC_S_UNKNOWN_AUTHZ_SERVICE",
  1751: "EPT_S_INVALID_ENTRY",
  1752: "EPT_S_CANT_PERFORM_OP",
  1753: "EPT_S_NOT_REGISTERED",
  1754: "RPC_S_NOTHING_TO_EXPORT",
  1755: "RPC_S_INCOMPLETE_NAME",
  1756: "RPC_S_INVALID_VERS_OPTION",
  1757: "RPC_S_NO_MORE_MEMBERS",
  1758: "RPC_S_NOT_ALL_OBJS_UNEXPORTED",
  1759: "RPC_S_INTERFACE_NOT_FOUND",
  1760: "RPC_S_ENTRY_ALREADY_EXISTS",
  1761: "RPC_S_ENTRY_NOT_FOUND",
  1762: "RPC_S_NAME_SERVICE_UNAVAILABLE",
  1763: "RPC_S_INVALID_NAF_ID",
  1764: "RPC_S_CANNOT_SUPPORT",
  1765: "RPC_S_NO_CONTEXT_AVAILABLE",
  1766: "RPC_S_INTERNAL_ERROR",
  1767: "RPC_S_ZERO_DIVIDE",
  1768: "RPC_S_ADDRESS_ERROR",
  1769: "RPC_S_FP_DIV_ZERO",
  1770: "RPC_S_FP_UNDERFLOW",
  1771: "RPC_S_FP_OVERFLOW",
  1772: "RPC_X_NO_MORE_ENTRIES",
  1773: "RPC_X_SS_CHAR_TRANS_OPEN_FAIL",
  1774: "RPC_X_SS_CHAR_TRANS_SHORT_FILE",
  1775: "RPC_X_SS_IN_NULL_CONTEXT",
  1777: "RPC_X_SS_CONTEXT_DAMAGED",
  1778: "RPC_X_SS_HANDLES_MISMATCH",
  1779: "RPC_X_SS_CANNOT_GET_CALL_HANDLE",
  1780: "RPC_X_NULL_REF_POINTER",
  1781: "RPC_X_ENUM_VALUE_OUT_OF_RANGE",
  1782: "RPC_X_BYTE_COUNT_TOO_SMALL",
  1783: "RPC_X_BAD_STUB_DATA",
  1784: "ERROR_INVALID_USER_BUFFER",
  1785: "ERROR_UNRECOGNIZED_MEDIA",
  1786: "ERROR_NO_TRUST_LSA_SECRET",
  1787: "ERROR_NO_TRUST_SAM_ACCOUNT",
  1788: "ERROR_TRUSTED_DOMAIN_FAILURE",
  1789: "ERROR_TRUSTED_RELATIONSHIP_FAILURE",
  1790: "ERROR_TRUST_FAILURE",
  1791: "RPC_S_CALL_IN_PROGRESS",
  1792: "ERROR_NETLOGON_NOT_STARTED",
  1793: "ERROR_ACCOUNT_EXPIRED",
  1794: "ERROR_REDIRECTOR_HAS_OPEN_HANDLES",
  1795: "ERROR_PRINTER_DRIVER_ALREADY_INSTALLED",
  1796: "ERROR_UNKNOWN_PORT",
  1797: "ERROR_UNKNOWN_PRINTER_DRIVER",
  1798: "ERROR_UNKNOWN_PRINTPROCESSOR",
  1799: "ERROR_INVALID_SEPARATOR_FILE",
  1800: "ERROR_INVALID_PRIORITY",
  1801: "ERROR_INVALID_PRINTER_NAME",
  1802: "ERROR_PRINTER_ALREADY_EXISTS",
  1803: "ERROR_INVALID_PRINTER_COMMAND",
  1804: "ERROR_INVALID_DATATYPE",
  1805: "ERROR_INVALID_ENVIRONMENT",
  1806: "RPC_S_NO_MORE_BINDINGS",
  1807: "ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT",
  1808: "ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT",
  1809: "ERROR_NOLOGON_SERVER_TRUST_ACCOUNT",
  1810: "ERROR_DOMAIN_TRUST_INCONSISTENT",
  1811: "ERROR_SERVER_HAS_OPEN_HANDLES",
  1812: "ERROR_RESOURCE_DATA_NOT_FOUND",
  1813: "ERROR_RESOURCE_TYPE_NOT_FOUND",
  1814: "ERROR_RESOURCE_NAME_NOT_FOUND",
  1815: "ERROR_RESOURCE_LANG_NOT_FOUND",
  1816: "ERROR_NOT_ENOUGH_QUOTA",
  1817: "RPC_S_NO_INTERFACES",
  1818: "RPC_S_CALL_CANCELLED",
  1819: "RPC_S_BINDING_INCOMPLETE",
  1820: "RPC_S_COMM_FAILURE",
  1821: "RPC_S_UNSUPPORTED_AUTHN_LEVEL",
  1822: "RPC_S_NO_PRINC_NAME",
  1823: "RPC_S_NOT_RPC_ERROR",
  1824: "RPC_S_UUID_LOCAL_ONLY",
  1825: "RPC_S_SEC_PKG_ERROR",
  1826: "RPC_S_NOT_CANCELLED",
  1827: "RPC_X_INVALID_ES_ACTION",
  1828: "RPC_X_WRONG_ES_VERSION",
  1829: "RPC_X_WRONG_STUB_VERSION",
  1830: "RPC_X_INVALID_PIPE_OBJECT",
  1831: "RPC_X_WRONG_PIPE_ORDER",
  1832: "RPC_X_WRONG_PIPE_VERSION",
  1833: "RPC_S_COOKIE_AUTH_FAILED",
  1834: "RPC_S_DO_NOT_DISTURB",
  1835: "RPC_S_SYSTEM_HANDLE_COUNT_EXCEEDED",
  1836: "RPC_S_SYSTEM_HANDLE_TYPE_MISMATCH",
  1898: "RPC_S_GROUP_MEMBER_NOT_FOUND",
  1899: "EPT_S_CANT_CREATE",
  1900: "RPC_S_INVALID_OBJECT",
  1901: "ERROR_INVALID_TIME",
  1902: "ERROR_INVALID_FORM_NAME",
  1903: "ERROR_INVALID_FORM_SIZE",
  1904: "ERROR_ALREADY_WAITING",
  1905: "ERROR_PRINTER_DELETED",
  1906: "ERROR_INVALID_PRINTER_STATE",
  1907: "ERROR_PASSWORD_MUST_CHANGE",
  1908: "ERROR_DOMAIN_CONTROLLER_NOT_FOUND",
  1909: "ERROR_ACCOUNT_LOCKED_OUT",
  1910: "OR_INVALID_OXID",
  1911: "OR_INVALID_OID",
  1912: "OR_INVALID_SET",
  1913: "RPC_S_SEND_INCOMPLETE",
  1914: "RPC_S_INVALID_ASYNC_HANDLE",
  1915: "RPC_S_INVALID_ASYNC_CALL",
  1916: "RPC_X_PIPE_CLOSED",
  1917: "RPC_X_PIPE_DISCIPLINE_ERROR",
  1918: "RPC_X_PIPE_EMPTY",
  1919: "ERROR_NO_SITENAME",
  1920: "ERROR_CANT_ACCESS_FILE",
  1921: "ERROR_CANT_RESOLVE_FILENAME",
  1922: "RPC_S_ENTRY_TYPE_MISMATCH",
  1923: "RPC_S_NOT_ALL_OBJS_EXPORTED",
  1924: "RPC_S_INTERFACE_NOT_EXPORTED",
  1925: "RPC_S_PROFILE_NOT_ADDED",
  1926: "RPC_S_PRF_ELT_NOT_ADDED",
  1927: "RPC_S_PRF_ELT_NOT_REMOVED",
  1928: "RPC_S_GRP_ELT_NOT_ADDED",
  1929: "RPC_S_GRP_ELT_NOT_REMOVED",
  1930: "ERROR_KM_DRIVER_BLOCKED",
  1931: "ERROR_CONTEXT_EXPIRED",
  1932: "ERROR_PER_USER_TRUST_QUOTA_EXCEEDED",
  1933: "ERROR_ALL_USER_TRUST_QUOTA_EXCEEDED",
  1934: "ERROR_USER_DELETE_TRUST_QUOTA_EXCEEDED",
  1935: "ERROR_AUTHENTICATION_FIREWALL_FAILED",
  1936: "ERROR_REMOTE_PRINT_CONNECTIONS_BLOCKED",
  1937: "ERROR_NTLM_BLOCKED",
  1938: "ERROR_PASSWORD_CHANGE_REQUIRED",
  1939: "ERROR_LOST_MODE_LOGON_RESTRICTION",
  2000: "ERROR_INVALID_PIXEL_FORMAT",
  2001: "ERROR_BAD_DRIVER",
  2002: "ERROR_INVALID_WINDOW_STYLE",
  2003: "ERROR_METAFILE_NOT_SUPPORTED",
  2004: "ERROR_TRANSFORM_NOT_SUPPORTED",
  2005: "ERROR_CLIPPING_NOT_SUPPORTED",
  2010: "ERROR_INVALID_CMM",
  2011: "ERROR_INVALID_PROFILE",
  2012: "ERROR_TAG_NOT_FOUND",
  2013: "ERROR_TAG_NOT_PRESENT",
  2014: "ERROR_DUPLICATE_TAG",
  2015: "ERROR_PROFILE_NOT_ASSOCIATED_WITH_DEVICE",
  2016: "ERROR_PROFILE_NOT_FOUND",
  2017: "ERROR_INVALID_COLORSPACE",
  2018: "ERROR_ICM_NOT_ENABLED",
  2019: "ERROR_DELETING_ICM_XFORM",
  2020: "ERROR_INVALID_TRANSFORM",
  2021: "ERROR_COLORSPACE_MISMATCH",
  2022: "ERROR_INVALID_COLORINDEX",
  2023: "ERROR_PROFILE_DOES_NOT_MATCH_DEVICE",
  2108: "ERROR_CONNECTED_OTHER_PASSWORD",
  2109: "ERROR_CONNECTED_OTHER_PASSWORD_DEFAULT",
  2202: "ERROR_BAD_USERNAME",
  2250: "ERROR_NOT_CONNECTED",
  2401: "ERROR_OPEN_FILES",
  2402: "ERROR_ACTIVE_CONNECTIONS",
  2404: "ERROR_DEVICE_IN_USE",
  3000: "ERROR_UNKNOWN_PRINT_MONITOR",
  3001: "ERROR_PRINTER_DRIVER_IN_USE",
  3002: "ERROR_SPOOL_FILE_NOT_FOUND",
  3003: "ERROR_SPL_NO_STARTDOC",
  3004: "ERROR_SPL_NO_ADDJOB",
  3005: "ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED",
  3006: "ERROR_PRINT_MONITOR_ALREADY_INSTALLED",
  3007: "ERROR_INVALID_PRINT_MONITOR",
  3008: "ERROR_PRINT_MONITOR_IN_USE",
  3009: "ERROR_PRINTER_HAS_JOBS_QUEUED",
  3010: "ERROR_SUCCESS_REBOOT_REQUIRED",
  3011: "ERROR_SUCCESS_RESTART_REQUIRED",
  3012: "ERROR_PRINTER_NOT_FOUND",
  3013: "ERROR_PRINTER_DRIVER_WARNED",
  3014: "ERROR_PRINTER_DRIVER_BLOCKED",
  3015: "ERROR_PRINTER_DRIVER_PACKAGE_IN_USE",
  3016: "ERROR_CORE_DRIVER_PACKAGE_NOT_FOUND",
  3017: "ERROR_FAIL_REBOOT_REQUIRED",
  3018: "ERROR_FAIL_REBOOT_INITIATED",
  3019: "ERROR_PRINTER_DRIVER_DOWNLOAD_NEEDED",
  3020: "ERROR_PRINT_JOB_RESTART_REQUIRED",
  3021: "ERROR_INVALID_PRINTER_DRIVER_MANIFEST",
  3022: "ERROR_PRINTER_NOT_SHAREABLE",
  3050: "ERROR_REQUEST_PAUSED",
  3950: "ERROR_IO_REISSUE_AS_CACHED",
  4000: "ERROR_WINS_INTERNAL",
  4001: "ERROR_CAN_NOT_DEL_LOCAL_WINS",
  4002: "ERROR_STATIC_INIT",
  4003: "ERROR_INC_BACKUP",
  4004: "ERROR_FULL_BACKUP",
  4005: "ERROR_REC_NON_EXISTENT",
  4006: "ERROR_RPL_NOT_ALLOWED",
  4050: "PEERDIST_ERROR_CONTENTINFO_VERSION_UNSUPPORTED",
  4051: "PEERDIST_ERROR_CANNOT_PARSE_CONTENTINFO",
  4052: "PEERDIST_ERROR_MISSING_DATA",
  4053: "PEERDIST_ERROR_NO_MORE",
  4054: "PEERDIST_ERROR_NOT_INITIALIZED",
  4055: "PEERDIST_ERROR_ALREADY_INITIALIZED",
  4056: "PEERDIST_ERROR_SHUTDOWN_IN_PROGRESS",
  4057: "PEERDIST_ERROR_INVALIDATED",
  4058: "PEERDIST_ERROR_ALREADY_EXISTS",
  4059: "PEERDIST_ERROR_OPERATION_NOTFOUND",
  4060: "PEERDIST_ERROR_ALREADY_COMPLETED",
  4061: "PEERDIST_ERROR_OUT_OF_BOUNDS",
  4062: "PEERDIST_ERROR_VERSION_UNSUPPORTED",
  4063: "PEERDIST_ERROR_INVALID_CONFIGURATION",
  4064: "PEERDIST_ERROR_NOT_LICENSED",
  4065: "PEERDIST_ERROR_SERVICE_UNAVAILABLE",
  4066: "PEERDIST_ERROR_TRUST_FAILURE",
  4100: "ERROR_DHCP_ADDRESS_CONFLICT",
  4200: "ERROR_WMI_GUID_NOT_FOUND",
  4201: "ERROR_WMI_INSTANCE_NOT_FOUND",
  4202: "ERROR_WMI_ITEMID_NOT_FOUND",
  4203: "ERROR_WMI_TRY_AGAIN",
  4204: "ERROR_WMI_DP_NOT_FOUND",
  4205: "ERROR_WMI_UNRESOLVED_INSTANCE_REF",
  4206: "ERROR_WMI_ALREADY_ENABLED",
  4207: "ERROR_WMI_GUID_DISCONNECTED",
  4208: "ERROR_WMI_SERVER_UNAVAILABLE",
  4209: "ERROR_WMI_DP_FAILED",
  4210: "ERROR_WMI_INVALID_MOF",
  4211: "ERROR_WMI_INVALID_REGINFO",
  4212: "ERROR_WMI_ALREADY_DISABLED",
  4213: "ERROR_WMI_READ_ONLY",
  4214: "ERROR_WMI_SET_FAILURE",
  4250: "ERROR_NOT_APPCONTAINER",
  4251: "ERROR_APPCONTAINER_REQUIRED",
  4252: "ERROR_NOT_SUPPORTED_IN_APPCONTAINER",
  4253: "ERROR_INVALID_PACKAGE_SID_LENGTH",
  4300: "ERROR_INVALID_MEDIA",
  4301: "ERROR_INVALID_LIBRARY",
  4302: "ERROR_INVALID_MEDIA_POOL",
  4303: "ERROR_DRIVE_MEDIA_MISMATCH",
  4304: "ERROR_MEDIA_OFFLINE",
  4305: "ERROR_LIBRARY_OFFLINE",
  4306: "ERROR_EMPTY",
  4307: "ERROR_NOT_EMPTY",
  4308: "ERROR_MEDIA_UNAVAILABLE",
  4309: "ERROR_RESOURCE_DISABLED",
  4310: "ERROR_INVALID_CLEANER",
  4311: "ERROR_UNABLE_TO_CLEAN",
  4312: "ERROR_OBJECT_NOT_FOUND",
  4313: "ERROR_DATABASE_FAILURE",
  4314: "ERROR_DATABASE_FULL",
  4315: "ERROR_MEDIA_INCOMPATIBLE",
  4316: "ERROR_RESOURCE_NOT_PRESENT",
  4317: "ERROR_INVALID_OPERATION",
  4318: "ERROR_MEDIA_NOT_AVAILABLE",
  4319: "ERROR_DEVICE_NOT_AVAILABLE",
  4320: "ERROR_REQUEST_REFUSED",
  4321: "ERROR_INVALID_DRIVE_OBJECT",
  4322: "ERROR_LIBRARY_FULL",
  4323: "ERROR_MEDIUM_NOT_ACCESSIBLE",
  4324: "ERROR_UNABLE_TO_LOAD_MEDIUM",
  4325: "ERROR_UNABLE_TO_INVENTORY_DRIVE",
  4326: "ERROR_UNABLE_TO_INVENTORY_SLOT",
  4327: "ERROR_UNABLE_TO_INVENTORY_TRANSPORT",
  4328: "ERROR_TRANSPORT_FULL",
  4329: "ERROR_CONTROLLING_IEPORT",
  4330: "ERROR_UNABLE_TO_EJECT_MOUNTED_MEDIA",
  4331: "ERROR_CLEANER_SLOT_SET",
  4332: "ERROR_CLEANER_SLOT_NOT_SET",
  4333: "ERROR_CLEANER_CARTRIDGE_SPENT",
  4334: "ERROR_UNEXPECTED_OMID",
  4335: "ERROR_CANT_DELETE_LAST_ITEM",
  4336: "ERROR_MESSAGE_EXCEEDS_MAX_SIZE",
  4337: "ERROR_VOLUME_CONTAINS_SYS_FILES",
  4338: "ERROR_INDIGENOUS_TYPE",
  4339: "ERROR_NO_SUPPORTING_DRIVES",
  4340: "ERROR_CLEANER_CARTRIDGE_INSTALLED",
  4341: "ERROR_IEPORT_FULL",
  4350: "ERROR_FILE_OFFLINE",
  4351: "ERROR_REMOTE_STORAGE_NOT_ACTIVE",
  4352: "ERROR_REMOTE_STORAGE_MEDIA_ERROR",
  4390: "ERROR_NOT_A_REPARSE_POINT",
  4391: "ERROR_REPARSE_ATTRIBUTE_CONFLICT",
  4392: "ERROR_INVALID_REPARSE_DATA",
  4393: "ERROR_REPARSE_TAG_INVALID",
  4394: "ERROR_REPARSE_TAG_MISMATCH",
  4395: "ERROR_REPARSE_POINT_ENCOUNTERED",
  4400: "ERROR_APP_DATA_NOT_FOUND",
  4401: "ERROR_APP_DATA_EXPIRED",
  4402: "ERROR_APP_DATA_CORRUPT",
  4403: "ERROR_APP_DATA_LIMIT_EXCEEDED",
  4404: "ERROR_APP_DATA_REBOOT_REQUIRED",
  4420: "ERROR_SECUREBOOT_ROLLBACK_DETECTED",
  4421: "ERROR_SECUREBOOT_POLICY_VIOLATION",
  4422: "ERROR_SECUREBOOT_INVALID_POLICY",
  4423: "ERROR_SECUREBOOT_POLICY_PUBLISHER_NOT_FOUND",
  4424: "ERROR_SECUREBOOT_POLICY_NOT_SIGNED",
  4425: "ERROR_SECUREBOOT_NOT_ENABLED",
  4426: "ERROR_SECUREBOOT_FILE_REPLACED",
  4427: "ERROR_SECUREBOOT_POLICY_NOT_AUTHORIZED",
  4428: "ERROR_SECUREBOOT_POLICY_UNKNOWN",
  4429: "ERROR_SECUREBOOT_POLICY_MISSING_ANTIROLLBACKVERSION",
  4430: "ERROR_SECUREBOOT_PLATFORM_ID_MISMATCH",
  4431: "ERROR_SECUREBOOT_POLICY_ROLLBACK_DETECTED",
  4432: "ERROR_SECUREBOOT_POLICY_UPGRADE_MISMATCH",
  4433: "ERROR_SECUREBOOT_REQUIRED_POLICY_FILE_MISSING",
  4434: "ERROR_SECUREBOOT_NOT_BASE_POLICY",
  4435: "ERROR_SECUREBOOT_NOT_SUPPLEMENTAL_POLICY",
  4440: "ERROR_OFFLOAD_READ_FLT_NOT_SUPPORTED",
  4441: "ERROR_OFFLOAD_WRITE_FLT_NOT_SUPPORTED",
  4442: "ERROR_OFFLOAD_READ_FILE_NOT_SUPPORTED",
  4443: "ERROR_OFFLOAD_WRITE_FILE_NOT_SUPPORTED",
  4444: "ERROR_ALREADY_HAS_STREAM_ID",
  4445: "ERROR_SMR_GARBAGE_COLLECTION_REQUIRED",
  4500: "ERROR_VOLUME_NOT_SIS_ENABLED",
  4550: "ERROR_SYSTEM_INTEGRITY_ROLLBACK_DETECTED",
  4551: "ERROR_SYSTEM_INTEGRITY_POLICY_VIOLATION",
  4552: "ERROR_SYSTEM_INTEGRITY_INVALID_POLICY",
  4553: "ERROR_SYSTEM_INTEGRITY_POLICY_NOT_SIGNED",
  4560: "ERROR_VSM_NOT_INITIALIZED",
  4561: "ERROR_VSM_DMA_PROTECTION_NOT_IN_USE",
  4570: "ERROR_PLATFORM_MANIFEST_NOT_AUTHORIZED",
  4571: "ERROR_PLATFORM_MANIFEST_INVALID",
  4572: "ERROR_PLATFORM_MANIFEST_FILE_NOT_AUTHORIZED",
  4573: "ERROR_PLATFORM_MANIFEST_CATALOG_NOT_AUTHORIZED",
  4574: "ERROR_PLATFORM_MANIFEST_BINARY_ID_NOT_FOUND",
  4575: "ERROR_PLATFORM_MANIFEST_NOT_ACTIVE",
  4576: "ERROR_PLATFORM_MANIFEST_NOT_SIGNED",
  5001: "ERROR_DEPENDENT_RESOURCE_EXISTS",
  5002: "ERROR_DEPENDENCY_NOT_FOUND",
  5003: "ERROR_DEPENDENCY_ALREADY_EXISTS",
  5004: "ERROR_RESOURCE_NOT_ONLINE",
  5005: "ERROR_HOST_NODE_NOT_AVAILABLE",
  5006: "ERROR_RESOURCE_NOT_AVAILABLE",
  5007: "ERROR_RESOURCE_NOT_FOUND",
  5008: "ERROR_SHUTDOWN_CLUSTER",
  5009: "ERROR_CANT_EVICT_ACTIVE_NODE",
  5010: "ERROR_OBJECT_ALREADY_EXISTS",
  5011: "ERROR_OBJECT_IN_LIST",
  5012: "ERROR_GROUP_NOT_AVAILABLE",
  5013: "ERROR_GROUP_NOT_FOUND",
  5014: "ERROR_GROUP_NOT_ONLINE",
  5015: "ERROR_HOST_NODE_NOT_RESOURCE_OWNER",
  5016: "ERROR_HOST_NODE_NOT_GROUP_OWNER",
  5017: "ERROR_RESMON_CREATE_FAILED",
  5018: "ERROR_RESMON_ONLINE_FAILED",
  5019: "ERROR_RESOURCE_ONLINE",
  5020: "ERROR_QUORUM_RESOURCE",
  5021: "ERROR_NOT_QUORUM_CAPABLE",
  5022: "ERROR_CLUSTER_SHUTTING_DOWN",
  5023: "ERROR_INVALID_STATE",
  5024: "ERROR_RESOURCE_PROPERTIES_STORED",
  5025: "ERROR_NOT_QUORUM_CLASS",
  5026: "ERROR_CORE_RESOURCE",
  5027: "ERROR_QUORUM_RESOURCE_ONLINE_FAILED",
  5028: "ERROR_QUORUMLOG_OPEN_FAILED",
  5029: "ERROR_CLUSTERLOG_CORRUPT",
  5030: "ERROR_CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE",
  5031: "ERROR_CLUSTERLOG_EXCEEDS_MAXSIZE",
  5032: "ERROR_CLUSTERLOG_CHKPOINT_NOT_FOUND",
  5033: "ERROR_CLUSTERLOG_NOT_ENOUGH_SPACE",
  5034: "ERROR_QUORUM_OWNER_ALIVE",
  5035: "ERROR_NETWORK_NOT_AVAILABLE",
  5036: "ERROR_NODE_NOT_AVAILABLE",
  5037: "ERROR_ALL_NODES_NOT_AVAILABLE",
  5038: "ERROR_RESOURCE_FAILED",
  5039: "ERROR_CLUSTER_INVALID_NODE",
  5040: "ERROR_CLUSTER_NODE_EXISTS",
  5041: "ERROR_CLUSTER_JOIN_IN_PROGRESS",
  5042: "ERROR_CLUSTER_NODE_NOT_FOUND",
  5043: "ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND",
  5044: "ERROR_CLUSTER_NETWORK_EXISTS",
  5045: "ERROR_CLUSTER_NETWORK_NOT_FOUND",
  5046: "ERROR_CLUSTER_NETINTERFACE_EXISTS",
  5047: "ERROR_CLUSTER_NETINTERFACE_NOT_FOUND",
  5048: "ERROR_CLUSTER_INVALID_REQUEST",
  5049: "ERROR_CLUSTER_INVALID_NETWORK_PROVIDER",
  5050: "ERROR_CLUSTER_NODE_DOWN",
  5051: "ERROR_CLUSTER_NODE_UNREACHABLE",
  5052: "ERROR_CLUSTER_NODE_NOT_MEMBER",
  5053: "ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS",
  5054: "ERROR_CLUSTER_INVALID_NETWORK",
  5056: "ERROR_CLUSTER_NODE_UP",
  5057: "ERROR_CLUSTER_IPADDR_IN_USE",
  5058: "ERROR_CLUSTER_NODE_NOT_PAUSED",
  5059: "ERROR_CLUSTER_NO_SECURITY_CONTEXT",
  5060: "ERROR_CLUSTER_NETWORK_NOT_INTERNAL",
  5061: "ERROR_CLUSTER_NODE_ALREADY_UP",
  5062: "ERROR_CLUSTER_NODE_ALREADY_DOWN",
  5063: "ERROR_CLUSTER_NETWORK_ALREADY_ONLINE",
  5064: "ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE",
  5065: "ERROR_CLUSTER_NODE_ALREADY_MEMBER",
  5066: "ERROR_CLUSTER_LAST_INTERNAL_NETWORK",
  5067: "ERROR_CLUSTER_NETWORK_HAS_DEPENDENTS",
  5068: "ERROR_INVALID_OPERATION_ON_QUORUM",
  5069: "ERROR_DEPENDENCY_NOT_ALLOWED",
  5070: "ERROR_CLUSTER_NODE_PAUSED",
  5071: "ERROR_NODE_CANT_HOST_RESOURCE",
  5072: "ERROR_CLUSTER_NODE_NOT_READY",
  5073: "ERROR_CLUSTER_NODE_SHUTTING_DOWN",
  5074: "ERROR_CLUSTER_JOIN_ABORTED",
  5075: "ERROR_CLUSTER_INCOMPATIBLE_VERSIONS",
  5076: "ERROR_CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED",
  5077: "ERROR_CLUSTER_SYSTEM_CONFIG_CHANGED",
  5078: "ERROR_CLUSTER_RESOURCE_TYPE_NOT_FOUND",
  5079: "ERROR_CLUSTER_RESTYPE_NOT_SUPPORTED",
  5080: "ERROR_CLUSTER_RESNAME_NOT_FOUND",
  5081: "ERROR_CLUSTER_NO_RPC_PACKAGES_REGISTERED",
  5082: "ERROR_CLUSTER_OWNER_NOT_IN_PREFLIST",
  5083: "ERROR_CLUSTER_DATABASE_SEQMISMATCH",
  5084: "ERROR_RESMON_INVALID_STATE",
  5085: "ERROR_CLUSTER_GUM_NOT_LOCKER",
  5086: "ERROR_QUORUM_DISK_NOT_FOUND",
  5087: "ERROR_DATABASE_BACKUP_CORRUPT",
  5088: "ERROR_CLUSTER_NODE_ALREADY_HAS_DFS_ROOT",
  5089: "ERROR_RESOURCE_PROPERTY_UNCHANGEABLE",
  5090: "ERROR_NO_ADMIN_ACCESS_POINT",
  5890: "ERROR_CLUSTER_MEMBERSHIP_INVALID_STATE",
  5891: "ERROR_CLUSTER_QUORUMLOG_NOT_FOUND",
  5892: "ERROR_CLUSTER_MEMBERSHIP_HALT",
  5893: "ERROR_CLUSTER_INSTANCE_ID_MISMATCH",
  5894: "ERROR_CLUSTER_NETWORK_NOT_FOUND_FOR_IP",
  5895: "ERROR_CLUSTER_PROPERTY_DATA_TYPE_MISMATCH",
  5896: "ERROR_CLUSTER_EVICT_WITHOUT_CLEANUP",
  5897: "ERROR_CLUSTER_PARAMETER_MISMATCH",
  5898: "ERROR_NODE_CANNOT_BE_CLUSTERED",
  5899: "ERROR_CLUSTER_WRONG_OS_VERSION",
  5900: "ERROR_CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME",
  5901: "ERROR_CLUSCFG_ALREADY_COMMITTED",
  5902: "ERROR_CLUSCFG_ROLLBACK_FAILED",
  5903: "ERROR_CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT",
  5904: "ERROR_CLUSTER_OLD_VERSION",
  5905: "ERROR_CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME",
  5906: "ERROR_CLUSTER_NO_NET_ADAPTERS",
  5907: "ERROR_CLUSTER_POISONED",
  5908: "ERROR_CLUSTER_GROUP_MOVING",
  5909: "ERROR_CLUSTER_RESOURCE_TYPE_BUSY",
  5910: "ERROR_RESOURCE_CALL_TIMED_OUT",
  5911: "ERROR_INVALID_CLUSTER_IPV6_ADDRESS",
  5912: "ERROR_CLUSTER_INTERNAL_INVALID_FUNCTION",
  5913: "ERROR_CLUSTER_PARAMETER_OUT_OF_BOUNDS",
  5914: "ERROR_CLUSTER_PARTIAL_SEND",
  5915: "ERROR_CLUSTER_REGISTRY_INVALID_FUNCTION",
  5916: "ERROR_CLUSTER_INVALID_STRING_TERMINATION",
  5917: "ERROR_CLUSTER_INVALID_STRING_FORMAT",
  5918: "ERROR_CLUSTER_DATABASE_TRANSACTION_IN_PROGRESS",
  5919: "ERROR_CLUSTER_DATABASE_TRANSACTION_NOT_IN_PROGRESS",
  5920: "ERROR_CLUSTER_NULL_DATA",
  5921: "ERROR_CLUSTER_PARTIAL_READ",
  5922: "ERROR_CLUSTER_PARTIAL_WRITE",
  5923: "ERROR_CLUSTER_CANT_DESERIALIZE_DATA",
  5924: "ERROR_DEPENDENT_RESOURCE_PROPERTY_CONFLICT",
  5925: "ERROR_CLUSTER_NO_QUORUM",
  5926: "ERROR_CLUSTER_INVALID_IPV6_NETWORK",
  5927: "ERROR_CLUSTER_INVALID_IPV6_TUNNEL_NETWORK",
  5928: "ERROR_QUORUM_NOT_ALLOWED_IN_THIS_GROUP",
  5929: "ERROR_DEPENDENCY_TREE_TOO_COMPLEX",
  5930: "ERROR_EXCEPTION_IN_RESOURCE_CALL",
  5931: "ERROR_CLUSTER_RHS_FAILED_INITIALIZATION",
  5932: "ERROR_CLUSTER_NOT_INSTALLED",
  5933: "ERROR_CLUSTER_RESOURCES_MUST_BE_ONLINE_ON_THE_SAME_NODE",
  5934: "ERROR_CLUSTER_MAX_NODES_IN_CLUSTER",
  5935: "ERROR_CLUSTER_TOO_MANY_NODES",
  5936: "ERROR_CLUSTER_OBJECT_ALREADY_USED",
  5937: "ERROR_NONCORE_GROUPS_FOUND",
  5938: "ERROR_FILE_SHARE_RESOURCE_CONFLICT",
  5939: "ERROR_CLUSTER_EVICT_INVALID_REQUEST",
  5940: "ERROR_CLUSTER_SINGLETON_RESOURCE",
  5941: "ERROR_CLUSTER_GROUP_SINGLETON_RESOURCE",
  5942: "ERROR_CLUSTER_RESOURCE_PROVIDER_FAILED",
  5943: "ERROR_CLUSTER_RESOURCE_CONFIGURATION_ERROR",
  5944: "ERROR_CLUSTER_GROUP_BUSY",
  5945: "ERROR_CLUSTER_NOT_SHARED_VOLUME",
  5946: "ERROR_CLUSTER_INVALID_SECURITY_DESCRIPTOR",
  5947: "ERROR_CLUSTER_SHARED_VOLUMES_IN_USE",
  5948: "ERROR_CLUSTER_USE_SHARED_VOLUMES_API",
  5949: "ERROR_CLUSTER_BACKUP_IN_PROGRESS",
  5950: "ERROR_NON_CSV_PATH",
  5951: "ERROR_CSV_VOLUME_NOT_LOCAL",
  5952: "ERROR_CLUSTER_WATCHDOG_TERMINATING",
  5953: "ERROR_CLUSTER_RESOURCE_VETOED_MOVE_INCOMPATIBLE_NODES",
  5954: "ERROR_CLUSTER_INVALID_NODE_WEIGHT",
  5955: "ERROR_CLUSTER_RESOURCE_VETOED_CALL",
  5956: "ERROR_RESMON_SYSTEM_RESOURCES_LACKING",
  5957: "ERROR_CLUSTER_RESOURCE_VETOED_MOVE_NOT_ENOUGH_RESOURCES_ON_DESTINATION",
  5958: "ERROR_CLUSTER_RESOURCE_VETOED_MOVE_NOT_ENOUGH_RESOURCES_ON_SOURCE",
  5959: "ERROR_CLUSTER_GROUP_QUEUED",
  5960: "ERROR_CLUSTER_RESOURCE_LOCKED_STATUS",
  5961: "ERROR_CLUSTER_SHARED_VOLUME_FAILOVER_NOT_ALLOWED",
  5962: "ERROR_CLUSTER_NODE_DRAIN_IN_PROGRESS",
  5963: "ERROR_CLUSTER_DISK_NOT_CONNECTED",
  5964: "ERROR_DISK_NOT_CSV_CAPABLE",
  5965: "ERROR_RESOURCE_NOT_IN_AVAILABLE_STORAGE",
  5966: "ERROR_CLUSTER_SHARED_VOLUME_REDIRECTED",
  5967: "ERROR_CLUSTER_SHARED_VOLUME_NOT_REDIRECTED",
  5968: "ERROR_CLUSTER_CANNOT_RETURN_PROPERTIES",
  5969: "ERROR_CLUSTER_RESOURCE_CONTAINS_UNSUPPORTED_DIFF_AREA_FOR_SHARED_VOLUMES",
  5970: "ERROR_CLUSTER_RESOURCE_IS_IN_MAINTENANCE_MODE",
  5971: "ERROR_CLUSTER_AFFINITY_CONFLICT",
  5972: "ERROR_CLUSTER_RESOURCE_IS_REPLICA_VIRTUAL_MACHINE",
  5973: "ERROR_CLUSTER_UPGRADE_INCOMPATIBLE_VERSIONS",
  5974: "ERROR_CLUSTER_UPGRADE_FIX_QUORUM_NOT_SUPPORTED",
  5975: "ERROR_CLUSTER_UPGRADE_RESTART_REQUIRED",
  5976: "ERROR_CLUSTER_UPGRADE_IN_PROGRESS",
  5977: "ERROR_CLUSTER_UPGRADE_INCOMPLETE",
  5978: "ERROR_CLUSTER_NODE_IN_GRACE_PERIOD",
  5979: "ERROR_CLUSTER_CSV_IO_PAUSE_TIMEOUT",
  5980: "ERROR_NODE_NOT_ACTIVE_CLUSTER_MEMBER",
  5981: "ERROR_CLUSTER_RESOURCE_NOT_MONITORED",
  5982: "ERROR_CLUSTER_RESOURCE_DOES_NOT_SUPPORT_UNMONITORED",
  5983: "ERROR_CLUSTER_RESOURCE_IS_REPLICATED",
  5984: "ERROR_CLUSTER_NODE_ISOLATED",
  5985: "ERROR_CLUSTER_NODE_QUARANTINED",
  5986: "ERROR_CLUSTER_DATABASE_UPDATE_CONDITION_FAILED",
  5987: "ERROR_CLUSTER_SPACE_DEGRADED",
  5988: "ERROR_CLUSTER_TOKEN_DELEGATION_NOT_SUPPORTED",
  5989: "ERROR_CLUSTER_CSV_INVALID_HANDLE",
  5990: "ERROR_CLUSTER_CSV_SUPPORTED_ONLY_ON_COORDINATOR",
  5991: "ERROR_GROUPSET_NOT_AVAILABLE",
  5992: "ERROR_GROUPSET_NOT_FOUND",
  5993: "ERROR_GROUPSET_CANT_PROVIDE",
  5994: "ERROR_CLUSTER_FAULT_DOMAIN_PARENT_NOT_FOUND",
  5995: "ERROR_CLUSTER_FAULT_DOMAIN_INVALID_HIERARCHY",
  5996: "ERROR_CLUSTER_FAULT_DOMAIN_FAILED_S2D_VALIDATION",
  5997: "ERROR_CLUSTER_FAULT_DOMAIN_S2D_CONNECTIVITY_LOSS",
  5998: "ERROR_CLUSTER_INVALID_INFRASTRUCTURE_FILESERVER_NAME",
  5999: "ERROR_CLUSTERSET_MANAGEMENT_CLUSTER_UNREACHABLE",
  6000: "ERROR_ENCRYPTION_FAILED",
  6001: "ERROR_DECRYPTION_FAILED",
  6002: "ERROR_FILE_ENCRYPTED",
  6003: "ERROR_NO_RECOVERY_POLICY",
  6004: "ERROR_NO_EFS",
  6005: "ERROR_WRONG_EFS",
  6006: "ERROR_NO_USER_KEYS",
  6007: "ERROR_FILE_NOT_ENCRYPTED",
  6008: "ERROR_NOT_EXPORT_FORMAT",
  6009: "ERROR_FILE_READ_ONLY",
  6010: "ERROR_DIR_EFS_DISALLOWED",
  6011: "ERROR_EFS_SERVER_NOT_TRUSTED",
  6012: "ERROR_BAD_RECOVERY_POLICY",
  6013: "ERROR_EFS_ALG_BLOB_TOO_BIG",
  6014: "ERROR_VOLUME_NOT_SUPPORT_EFS",
  6015: "ERROR_EFS_DISABLED",
  6016: "ERROR_EFS_VERSION_NOT_SUPPORT",
  6017: "ERROR_CS_ENCRYPTION_INVALID_SERVER_RESPONSE",
  6018: "ERROR_CS_ENCRYPTION_UNSUPPORTED_SERVER",
  6019: "ERROR_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE",
  6020: "ERROR_CS_ENCRYPTION_NEW_ENCRYPTED_FILE",
  6021: "ERROR_CS_ENCRYPTION_FILE_NOT_CSE",
  6022: "ERROR_ENCRYPTION_POLICY_DENIES_OPERATION",
  6118: "ERROR_NO_BROWSER_SERVERS_FOUND",
  6200: "SCHED_E_SERVICE_NOT_LOCALSYSTEM",
  6600: "ERROR_LOG_SECTOR_INVALID",
  6601: "ERROR_LOG_SECTOR_PARITY_INVALID",
  6602: "ERROR_LOG_SECTOR_REMAPPED",
  6603: "ERROR_LOG_BLOCK_INCOMPLETE",
  6604: "ERROR_LOG_INVALID_RANGE",
  6605: "ERROR_LOG_BLOCKS_EXHAUSTED",
  6606: "ERROR_LOG_READ_CONTEXT_INVALID",
  6607: "ERROR_LOG_RESTART_INVALID",
  6608: "ERROR_LOG_BLOCK_VERSION",
  6609: "ERROR_LOG_BLOCK_INVALID",
  6610: "ERROR_LOG_READ_MODE_INVALID",
  6611: "ERROR_LOG_NO_RESTART",
  6612: "ERROR_LOG_METADATA_CORRUPT",
  6613: "ERROR_LOG_METADATA_INVALID",
  6614: "ERROR_LOG_METADATA_INCONSISTENT",
  6615: "ERROR_LOG_RESERVATION_INVALID",
  6616: "ERROR_LOG_CANT_DELETE",
  6617: "ERROR_LOG_CONTAINER_LIMIT_EXCEEDED",
  6618: "ERROR_LOG_START_OF_LOG",
  6619: "ERROR_LOG_POLICY_ALREADY_INSTALLED",
  6620: "ERROR_LOG_POLICY_NOT_INSTALLED",
  6621: "ERROR_LOG_POLICY_INVALID",
  6622: "ERROR_LOG_POLICY_CONFLICT",
  6623: "ERROR_LOG_PINNED_ARCHIVE_TAIL",
  6624: "ERROR_LOG_RECORD_NONEXISTENT",
  6625: "ERROR_LOG_RECORDS_RESERVED_INVALID",
  6626: "ERROR_LOG_SPACE_RESERVED_INVALID",
  6627: "ERROR_LOG_TAIL_INVALID",
  6628: "ERROR_LOG_FULL",
  6629: "ERROR_COULD_NOT_RESIZE_LOG",
  6630: "ERROR_LOG_MULTIPLEXED",
  6631: "ERROR_LOG_DEDICATED",
  6632: "ERROR_LOG_ARCHIVE_NOT_IN_PROGRESS",
  6633: "ERROR_LOG_ARCHIVE_IN_PROGRESS",
  6634: "ERROR_LOG_EPHEMERAL",
  6635: "ERROR_LOG_NOT_ENOUGH_CONTAINERS",
  6636: "ERROR_LOG_CLIENT_ALREADY_REGISTERED",
  6637: "ERROR_LOG_CLIENT_NOT_REGISTERED",
  6638: "ERROR_LOG_FULL_HANDLER_IN_PROGRESS",
  6639: "ERROR_LOG_CONTAINER_READ_FAILED",
  6640: "ERROR_LOG_CONTAINER_WRITE_FAILED",
  6641: "ERROR_LOG_CONTAINER_OPEN_FAILED",
  6642: "ERROR_LOG_CONTAINER_STATE_INVALID",
  6643: "ERROR_LOG_STATE_INVALID",
  6644: "ERROR_LOG_PINNED",
  6645: "ERROR_LOG_METADATA_FLUSH_FAILED",
  6646: "ERROR_LOG_INCONSISTENT_SECURITY",
  6647: "ERROR_LOG_APPENDED_FLUSH_FAILED",
  6648: "ERROR_LOG_PINNED_RESERVATION",
  6700: "ERROR_INVALID_TRANSACTION",
  6701: "ERROR_TRANSACTION_NOT_ACTIVE",
  6702: "ERROR_TRANSACTION_REQUEST_NOT_VALID",
  6703: "ERROR_TRANSACTION_NOT_REQUESTED",
  6704: "ERROR_TRANSACTION_ALREADY_ABORTED",
  6705: "ERROR_TRANSACTION_ALREADY_COMMITTED",
  6706: "ERROR_TM_INITIALIZATION_FAILED",
  6707: "ERROR_RESOURCEMANAGER_READ_ONLY",
  6708: "ERROR_TRANSACTION_NOT_JOINED",
  6709: "ERROR_TRANSACTION_SUPERIOR_EXISTS",
  6710: "ERROR_CRM_PROTOCOL_ALREADY_EXISTS",
  6711: "ERROR_TRANSACTION_PROPAGATION_FAILED",
  6712: "ERROR_CRM_PROTOCOL_NOT_FOUND",
  6713: "ERROR_TRANSACTION_INVALID_MARSHALL_BUFFER",
  6714: "ERROR_CURRENT_TRANSACTION_NOT_VALID",
  6715: "ERROR_TRANSACTION_NOT_FOUND",
  6716: "ERROR_RESOURCEMANAGER_NOT_FOUND",
  6717: "ERROR_ENLISTMENT_NOT_FOUND",
  6718: "ERROR_TRANSACTIONMANAGER_NOT_FOUND",
  6719: "ERROR_TRANSACTIONMANAGER_NOT_ONLINE",
  6720: "ERROR_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION",
  6721: "ERROR_TRANSACTION_NOT_ROOT",
  6722: "ERROR_TRANSACTION_OBJECT_EXPIRED",
  6723: "ERROR_TRANSACTION_RESPONSE_NOT_ENLISTED",
  6724: "ERROR_TRANSACTION_RECORD_TOO_LONG",
  6725: "ERROR_IMPLICIT_TRANSACTION_NOT_SUPPORTED",
  6726: "ERROR_TRANSACTION_INTEGRITY_VIOLATED",
  6727: "ERROR_TRANSACTIONMANAGER_IDENTITY_MISMATCH",
  6728: "ERROR_RM_CANNOT_BE_FROZEN_FOR_SNAPSHOT",
  6729: "ERROR_TRANSACTION_MUST_WRITETHROUGH",
  6730: "ERROR_TRANSACTION_NO_SUPERIOR",
  6731: "ERROR_HEURISTIC_DAMAGE_POSSIBLE",
  6800: "ERROR_TRANSACTIONAL_CONFLICT",
  6801: "ERROR_RM_NOT_ACTIVE",
  6802: "ERROR_RM_METADATA_CORRUPT",
  6803: "ERROR_DIRECTORY_NOT_RM",
  6805: "ERROR_TRANSACTIONS_UNSUPPORTED_REMOTE",
  6806: "ERROR_LOG_RESIZE_INVALID_SIZE",
  6807: "ERROR_OBJECT_NO_LONGER_EXISTS",
  6808: "ERROR_STREAM_MINIVERSION_NOT_FOUND",
  6809: "ERROR_STREAM_MINIVERSION_NOT_VALID",
  6810: "ERROR_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION",
  6811: "ERROR_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT",
  6812: "ERROR_CANT_CREATE_MORE_STREAM_MINIVERSIONS",
  6814: "ERROR_REMOTE_FILE_VERSION_MISMATCH",
  6815: "ERROR_HANDLE_NO_LONGER_VALID",
  6816: "ERROR_NO_TXF_METADATA",
  6817: "ERROR_LOG_CORRUPTION_DETECTED",
  6818: "ERROR_CANT_RECOVER_WITH_HANDLE_OPEN",
  6819: "ERROR_RM_DISCONNECTED",
  6820: "ERROR_ENLISTMENT_NOT_SUPERIOR",
  6821: "ERROR_RECOVERY_NOT_NEEDED",
  6822: "ERROR_RM_ALREADY_STARTED",
  6823: "ERROR_FILE_IDENTITY_NOT_PERSISTENT",
  6824: "ERROR_CANT_BREAK_TRANSACTIONAL_DEPENDENCY",
  6825: "ERROR_CANT_CROSS_RM_BOUNDARY",
  6826: "ERROR_TXF_DIR_NOT_EMPTY",
  6827: "ERROR_INDOUBT_TRANSACTIONS_EXIST",
  6828: "ERROR_TM_VOLATILE",
  6829: "ERROR_ROLLBACK_TIMER_EXPIRED",
  6830: "ERROR_TXF_ATTRIBUTE_CORRUPT",
  6831: "ERROR_EFS_NOT_ALLOWED_IN_TRANSACTION",
  6832: "ERROR_TRANSACTIONAL_OPEN_NOT_ALLOWED",
  6833: "ERROR_LOG_GROWTH_FAILED",
  6834: "ERROR_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE",
  6835: "ERROR_TXF_METADATA_ALREADY_PRESENT",
  6836: "ERROR_TRANSACTION_SCOPE_CALLBACKS_NOT_SET",
  6837: "ERROR_TRANSACTION_REQUIRED_PROMOTION",
  6838: "ERROR_CANNOT_EXECUTE_FILE_IN_TRANSACTION",
  6839: "ERROR_TRANSACTIONS_NOT_FROZEN",
  6840: "ERROR_TRANSACTION_FREEZE_IN_PROGRESS",
  6841: "ERROR_NOT_SNAPSHOT_VOLUME",
  6842: "ERROR_NO_SAVEPOINT_WITH_OPEN_FILES",
  6843: "ERROR_DATA_LOST_REPAIR",
  6844: "ERROR_SPARSE_NOT_ALLOWED_IN_TRANSACTION",
  6845: "ERROR_TM_IDENTITY_MISMATCH",
  6846: "ERROR_FLOATED_SECTION",
  6847: "ERROR_CANNOT_ACCEPT_TRANSACTED_WORK",
  6848: "ERROR_CANNOT_ABORT_TRANSACTIONS",
  6849: "ERROR_BAD_CLUSTERS",
  6850: "ERROR_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION",
  6851: "ERROR_VOLUME_DIRTY",
  6852: "ERROR_NO_LINK_TRACKING_IN_TRANSACTION",
  6853: "ERROR_OPERATION_NOT_SUPPORTED_IN_TRANSACTION",
  6854: "ERROR_EXPIRED_HANDLE",
  6855: "ERROR_TRANSACTION_NOT_ENLISTED",
  7001: "ERROR_CTX_WINSTATION_NAME_INVALID",
  7002: "ERROR_CTX_INVALID_PD",
  7003: "ERROR_CTX_PD_NOT_FOUND",
  7004: "ERROR_CTX_WD_NOT_FOUND",
  7005: "ERROR_CTX_CANNOT_MAKE_EVENTLOG_ENTRY",
  7006: "ERROR_CTX_SERVICE_NAME_COLLISION",
  7007: "ERROR_CTX_CLOSE_PENDING",
  7008: "ERROR_CTX_NO_OUTBUF",
  7009: "ERROR_CTX_MODEM_INF_NOT_FOUND",
  7010: "ERROR_CTX_INVALID_MODEMNAME",
  7011: "ERROR_CTX_MODEM_RESPONSE_ERROR",
  7012: "ERROR_CTX_MODEM_RESPONSE_TIMEOUT",
  7013: "ERROR_CTX_MODEM_RESPONSE_NO_CARRIER",
  7014: "ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE",
  7015: "ERROR_CTX_MODEM_RESPONSE_BUSY",
  7016: "ERROR_CTX_MODEM_RESPONSE_VOICE",
  7017: "ERROR_CTX_TD_ERROR",
  7022: "ERROR_CTX_WINSTATION_NOT_FOUND",
  7023: "ERROR_CTX_WINSTATION_ALREADY_EXISTS",
  7024: "ERROR_CTX_WINSTATION_BUSY",
  7025: "ERROR_CTX_BAD_VIDEO_MODE",
  7035: "ERROR_CTX_GRAPHICS_INVALID",
  7037: "ERROR_CTX_LOGON_DISABLED",
  7038: "ERROR_CTX_NOT_CONSOLE",
  7040: "ERROR_CTX_CLIENT_QUERY_TIMEOUT",
  7041: "ERROR_CTX_CONSOLE_DISCONNECT",
  7042: "ERROR_CTX_CONSOLE_CONNECT",
  7044: "ERROR_CTX_SHADOW_DENIED",
  7045: "ERROR_CTX_WINSTATION_ACCESS_DENIED",
  7049: "ERROR_CTX_INVALID_WD",
  7050: "ERROR_CTX_SHADOW_INVALID",
  7051: "ERROR_CTX_SHADOW_DISABLED",
  7052: "ERROR_CTX_CLIENT_LICENSE_IN_USE",
  7053: "ERROR_CTX_CLIENT_LICENSE_NOT_SET",
  7054: "ERROR_CTX_LICENSE_NOT_AVAILABLE",
  7055: "ERROR_CTX_LICENSE_CLIENT_INVALID",
  7056: "ERROR_CTX_LICENSE_EXPIRED",
  7057: "ERROR_CTX_SHADOW_NOT_RUNNING",
  7058: "ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE",
  7059: "ERROR_ACTIVATION_COUNT_EXCEEDED",
  7060: "ERROR_CTX_WINSTATIONS_DISABLED",
  7061: "ERROR_CTX_ENCRYPTION_LEVEL_REQUIRED",
  7062: "ERROR_CTX_SESSION_IN_USE",
  7063: "ERROR_CTX_NO_FORCE_LOGOFF",
  7064: "ERROR_CTX_ACCOUNT_RESTRICTION",
  7065: "ERROR_RDP_PROTOCOL_ERROR",
  7066: "ERROR_CTX_CDM_CONNECT",
  7067: "ERROR_CTX_CDM_DISCONNECT",
  7068: "ERROR_CTX_SECURITY_LAYER_ERROR",
  7069: "ERROR_TS_INCOMPATIBLE_SESSIONS",
  7070: "ERROR_TS_VIDEO_SUBSYSTEM_ERROR",
  8001: "FRS_ERR_INVALID_API_SEQUENCE",
  8002: "FRS_ERR_STARTING_SERVICE",
  8003: "FRS_ERR_STOPPING_SERVICE",
  8004: "FRS_ERR_INTERNAL_API",
  8005: "FRS_ERR_INTERNAL",
  8006: "FRS_ERR_SERVICE_COMM",
  8007: "FRS_ERR_INSUFFICIENT_PRIV",
  8008: "FRS_ERR_AUTHENTICATION",
  8009: "FRS_ERR_PARENT_INSUFFICIENT_PRIV",
  8010: "FRS_ERR_PARENT_AUTHENTICATION",
  8011: "FRS_ERR_CHILD_TO_PARENT_COMM",
  8012: "FRS_ERR_PARENT_TO_CHILD_COMM",
  8013: "FRS_ERR_SYSVOL_POPULATE",
  8014: "FRS_ERR_SYSVOL_POPULATE_TIMEOUT",
  8015: "FRS_ERR_SYSVOL_IS_BUSY",
  8016: "FRS_ERR_SYSVOL_DEMOTE",
  8017: "FRS_ERR_INVALID_SERVICE_PARAMETER",
  8200: "ERROR_DS_NOT_INSTALLED",
  8201: "ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY",
  8202: "ERROR_DS_NO_ATTRIBUTE_OR_VALUE",
  8203: "ERROR_DS_INVALID_ATTRIBUTE_SYNTAX",
  8204: "ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED",
  8205: "ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS",
  8206: "ERROR_DS_BUSY",
  8207: "ERROR_DS_UNAVAILABLE",
  8208: "ERROR_DS_NO_RIDS_ALLOCATED",
  8209: "ERROR_DS_NO_MORE_RIDS",
  8210: "ERROR_DS_INCORRECT_ROLE_OWNER",
  8211: "ERROR_DS_RIDMGR_INIT_ERROR",
  8212: "ERROR_DS_OBJ_CLASS_VIOLATION",
  8213: "ERROR_DS_CANT_ON_NON_LEAF",
  8214: "ERROR_DS_CANT_ON_RDN",
  8215: "ERROR_DS_CANT_MOD_OBJ_CLASS",
  8216: "ERROR_DS_CROSS_DOM_MOVE_ERROR",
  8217: "ERROR_DS_GC_NOT_AVAILABLE",
  8218: "ERROR_SHARED_POLICY",
  8219: "ERROR_POLICY_OBJECT_NOT_FOUND",
  8220: "ERROR_POLICY_ONLY_IN_DS",
  8221: "ERROR_PROMOTION_ACTIVE",
  8222: "ERROR_NO_PROMOTION_ACTIVE",
  8224: "ERROR_DS_OPERATIONS_ERROR",
  8225: "ERROR_DS_PROTOCOL_ERROR",
  8226: "ERROR_DS_TIMELIMIT_EXCEEDED",
  8227: "ERROR_DS_SIZELIMIT_EXCEEDED",
  8228: "ERROR_DS_ADMIN_LIMIT_EXCEEDED",
  8229: "ERROR_DS_COMPARE_FALSE",
  8230: "ERROR_DS_COMPARE_TRUE",
  8231: "ERROR_DS_AUTH_METHOD_NOT_SUPPORTED",
  8232: "ERROR_DS_STRONG_AUTH_REQUIRED",
  8233: "ERROR_DS_INAPPROPRIATE_AUTH",
  8234: "ERROR_DS_AUTH_UNKNOWN",
  8235: "ERROR_DS_REFERRAL",
  8236: "ERROR_DS_UNAVAILABLE_CRIT_EXTENSION",
  8237: "ERROR_DS_CONFIDENTIALITY_REQUIRED",
  8238: "ERROR_DS_INAPPROPRIATE_MATCHING",
  8239: "ERROR_DS_CONSTRAINT_VIOLATION",
  8240: "ERROR_DS_NO_SUCH_OBJECT",
  8241: "ERROR_DS_ALIAS_PROBLEM",
  8242: "ERROR_DS_INVALID_DN_SYNTAX",
  8243: "ERROR_DS_IS_LEAF",
  8244: "ERROR_DS_ALIAS_DEREF_PROBLEM",
  8245: "ERROR_DS_UNWILLING_TO_PERFORM",
  8246: "ERROR_DS_LOOP_DETECT",
  8247: "ERROR_DS_NAMING_VIOLATION",
  8248: "ERROR_DS_OBJECT_RESULTS_TOO_LARGE",
  8249: "ERROR_DS_AFFECTS_MULTIPLE_DSAS",
  8250: "ERROR_DS_SERVER_DOWN",
  8251: "ERROR_DS_LOCAL_ERROR",
  8252: "ERROR_DS_ENCODING_ERROR",
  8253: "ERROR_DS_DECODING_ERROR",
  8254: "ERROR_DS_FILTER_UNKNOWN",
  8255: "ERROR_DS_PARAM_ERROR",
  8256: "ERROR_DS_NOT_SUPPORTED",
  8257: "ERROR_DS_NO_RESULTS_RETURNED",
  8258: "ERROR_DS_CONTROL_NOT_FOUND",
  8259: "ERROR_DS_CLIENT_LOOP",
  8260: "ERROR_DS_REFERRAL_LIMIT_EXCEEDED",
  8261: "ERROR_DS_SORT_CONTROL_MISSING",
  8262: "ERROR_DS_OFFSET_RANGE_ERROR",
  8263: "ERROR_DS_RIDMGR_DISABLED",
  8301: "ERROR_DS_ROOT_MUST_BE_NC",
  8302: "ERROR_DS_ADD_REPLICA_INHIBITED",
  8303: "ERROR_DS_ATT_NOT_DEF_IN_SCHEMA",
  8304: "ERROR_DS_MAX_OBJ_SIZE_EXCEEDED",
  8305: "ERROR_DS_OBJ_STRING_NAME_EXISTS",
  8306: "ERROR_DS_NO_RDN_DEFINED_IN_SCHEMA",
  8307: "ERROR_DS_RDN_DOESNT_MATCH_SCHEMA",
  8308: "ERROR_DS_NO_REQUESTED_ATTS_FOUND",
  8309: "ERROR_DS_USER_BUFFER_TO_SMALL",
  8310: "ERROR_DS_ATT_IS_NOT_ON_OBJ",
  8311: "ERROR_DS_ILLEGAL_MOD_OPERATION",
  8312: "ERROR_DS_OBJ_TOO_LARGE",
  8313: "ERROR_DS_BAD_INSTANCE_TYPE",
  8314: "ERROR_DS_MASTERDSA_REQUIRED",
  8315: "ERROR_DS_OBJECT_CLASS_REQUIRED",
  8316: "ERROR_DS_MISSING_REQUIRED_ATT",
  8317: "ERROR_DS_ATT_NOT_DEF_FOR_CLASS",
  8318: "ERROR_DS_ATT_ALREADY_EXISTS",
  8320: "ERROR_DS_CANT_ADD_ATT_VALUES",
  8321: "ERROR_DS_SINGLE_VALUE_CONSTRAINT",
  8322: "ERROR_DS_RANGE_CONSTRAINT",
  8323: "ERROR_DS_ATT_VAL_ALREADY_EXISTS",
  8324: "ERROR_DS_CANT_REM_MISSING_ATT",
  8325: "ERROR_DS_CANT_REM_MISSING_ATT_VAL",
  8326: "ERROR_DS_ROOT_CANT_BE_SUBREF",
  8327: "ERROR_DS_NO_CHAINING",
  8328: "ERROR_DS_NO_CHAINED_EVAL",
  8329: "ERROR_DS_NO_PARENT_OBJECT",
  8330: "ERROR_DS_PARENT_IS_AN_ALIAS",
  8331: "ERROR_DS_CANT_MIX_MASTER_AND_REPS",
  8332: "ERROR_DS_CHILDREN_EXIST",
  8333: "ERROR_DS_OBJ_NOT_FOUND",
  8334: "ERROR_DS_ALIASED_OBJ_MISSING",
  8335: "ERROR_DS_BAD_NAME_SYNTAX",
  8336: "ERROR_DS_ALIAS_POINTS_TO_ALIAS",
  8337: "ERROR_DS_CANT_DEREF_ALIAS",
  8338: "ERROR_DS_OUT_OF_SCOPE",
  8339: "ERROR_DS_OBJECT_BEING_REMOVED",
  8340: "ERROR_DS_CANT_DELETE_DSA_OBJ",
  8341: "ERROR_DS_GENERIC_ERROR",
  8342: "ERROR_DS_DSA_MUST_BE_INT_MASTER",
  8343: "ERROR_DS_CLASS_NOT_DSA",
  8344: "ERROR_DS_INSUFF_ACCESS_RIGHTS",
  8345: "ERROR_DS_ILLEGAL_SUPERIOR",
  8346: "ERROR_DS_ATTRIBUTE_OWNED_BY_SAM",
  8347: "ERROR_DS_NAME_TOO_MANY_PARTS",
  8348: "ERROR_DS_NAME_TOO_LONG",
  8349: "ERROR_DS_NAME_VALUE_TOO_LONG",
  8350: "ERROR_DS_NAME_UNPARSEABLE",
  8351: "ERROR_DS_NAME_TYPE_UNKNOWN",
  8352: "ERROR_DS_NOT_AN_OBJECT",
  8353: "ERROR_DS_SEC_DESC_TOO_SHORT",
  8354: "ERROR_DS_SEC_DESC_INVALID",
  8355: "ERROR_DS_NO_DELETED_NAME",
  8356: "ERROR_DS_SUBREF_MUST_HAVE_PARENT",
  8357: "ERROR_DS_NCNAME_MUST_BE_NC",
  8358: "ERROR_DS_CANT_ADD_SYSTEM_ONLY",
  8359: "ERROR_DS_CLASS_MUST_BE_CONCRETE",
  8360: "ERROR_DS_INVALID_DMD",
  8361: "ERROR_DS_OBJ_GUID_EXISTS",
  8362: "ERROR_DS_NOT_ON_BACKLINK",
  8363: "ERROR_DS_NO_CROSSREF_FOR_NC",
  8364: "ERROR_DS_SHUTTING_DOWN",
  8365: "ERROR_DS_UNKNOWN_OPERATION",
  8366: "ERROR_DS_INVALID_ROLE_OWNER",
  8367: "ERROR_DS_COULDNT_CONTACT_FSMO",
  8368: "ERROR_DS_CROSS_NC_DN_RENAME",
  8369: "ERROR_DS_CANT_MOD_SYSTEM_ONLY",
  8370: "ERROR_DS_REPLICATOR_ONLY",
  8371: "ERROR_DS_OBJ_CLASS_NOT_DEFINED",
  8372: "ERROR_DS_OBJ_CLASS_NOT_SUBCLASS",
  8373: "ERROR_DS_NAME_REFERENCE_INVALID",
  8374: "ERROR_DS_CROSS_REF_EXISTS",
  8375: "ERROR_DS_CANT_DEL_MASTER_CROSSREF",
  8376: "ERROR_DS_SUBTREE_NOTIFY_NOT_NC_HEAD",
  8377: "ERROR_DS_NOTIFY_FILTER_TOO_COMPLEX",
  8378: "ERROR_DS_DUP_RDN",
  8379: "ERROR_DS_DUP_OID",
  8380: "ERROR_DS_DUP_MAPI_ID",
  8381: "ERROR_DS_DUP_SCHEMA_ID_GUID",
  8382: "ERROR_DS_DUP_LDAP_DISPLAY_NAME",
  8383: "ERROR_DS_SEMANTIC_ATT_TEST",
  8384: "ERROR_DS_SYNTAX_MISMATCH",
  8385: "ERROR_DS_EXISTS_IN_MUST_HAVE",
  8386: "ERROR_DS_EXISTS_IN_MAY_HAVE",
  8387: "ERROR_DS_NONEXISTENT_MAY_HAVE",
  8388: "ERROR_DS_NONEXISTENT_MUST_HAVE",
  8389: "ERROR_DS_AUX_CLS_TEST_FAIL",
  8390: "ERROR_DS_NONEXISTENT_POSS_SUP",
  8391: "ERROR_DS_SUB_CLS_TEST_FAIL",
  8392: "ERROR_DS_BAD_RDN_ATT_ID_SYNTAX",
  8393: "ERROR_DS_EXISTS_IN_AUX_CLS",
  8394: "ERROR_DS_EXISTS_IN_SUB_CLS",
  8395: "ERROR_DS_EXISTS_IN_POSS_SUP",
  8396: "ERROR_DS_RECALCSCHEMA_FAILED",
  8397: "ERROR_DS_TREE_DELETE_NOT_FINISHED",
  8398: "ERROR_DS_CANT_DELETE",
  8399: "ERROR_DS_ATT_SCHEMA_REQ_ID",
  8400: "ERROR_DS_BAD_ATT_SCHEMA_SYNTAX",
  8401: "ERROR_DS_CANT_CACHE_ATT",
  8402: "ERROR_DS_CANT_CACHE_CLASS",
  8403: "ERROR_DS_CANT_REMOVE_ATT_CACHE",
  8404: "ERROR_DS_CANT_REMOVE_CLASS_CACHE",
  8405: "ERROR_DS_CANT_RETRIEVE_DN",
  8406: "ERROR_DS_MISSING_SUPREF",
  8407: "ERROR_DS_CANT_RETRIEVE_INSTANCE",
  8408: "ERROR_DS_CODE_INCONSISTENCY",
  8409: "ERROR_DS_DATABASE_ERROR",
  8410: "ERROR_DS_GOVERNSID_MISSING",
  8411: "ERROR_DS_MISSING_EXPECTED_ATT",
  8412: "ERROR_DS_NCNAME_MISSING_CR_REF",
  8413: "ERROR_DS_SECURITY_CHECKING_ERROR",
  8414: "ERROR_DS_SCHEMA_NOT_LOADED",
  8415: "ERROR_DS_SCHEMA_ALLOC_FAILED",
  8416: "ERROR_DS_ATT_SCHEMA_REQ_SYNTAX",
  8417: "ERROR_DS_GCVERIFY_ERROR",
  8418: "ERROR_DS_DRA_SCHEMA_MISMATCH",
  8419: "ERROR_DS_CANT_FIND_DSA_OBJ",
  8420: "ERROR_DS_CANT_FIND_EXPECTED_NC",
  8421: "ERROR_DS_CANT_FIND_NC_IN_CACHE",
  8422: "ERROR_DS_CANT_RETRIEVE_CHILD",
  8423: "ERROR_DS_SECURITY_ILLEGAL_MODIFY",
  8424: "ERROR_DS_CANT_REPLACE_HIDDEN_REC",
  8425: "ERROR_DS_BAD_HIERARCHY_FILE",
  8426: "ERROR_DS_BUILD_HIERARCHY_TABLE_FAILED",
  8427: "ERROR_DS_CONFIG_PARAM_MISSING",
  8428: "ERROR_DS_COUNTING_AB_INDICES_FAILED",
  8429: "ERROR_DS_HIERARCHY_TABLE_MALLOC_FAILED",
  8430: "ERROR_DS_INTERNAL_FAILURE",
  8431: "ERROR_DS_UNKNOWN_ERROR",
  8432: "ERROR_DS_ROOT_REQUIRES_CLASS_TOP",
  8433: "ERROR_DS_REFUSING_FSMO_ROLES",
  8434: "ERROR_DS_MISSING_FSMO_SETTINGS",
  8435: "ERROR_DS_UNABLE_TO_SURRENDER_ROLES",
  8436: "ERROR_DS_DRA_GENERIC",
  8437: "ERROR_DS_DRA_INVALID_PARAMETER",
  8438: "ERROR_DS_DRA_BUSY",
  8439: "ERROR_DS_DRA_BAD_DN",
  8440: "ERROR_DS_DRA_BAD_NC",
  8441: "ERROR_DS_DRA_DN_EXISTS",
  8442: "ERROR_DS_DRA_INTERNAL_ERROR",
  8443: "ERROR_DS_DRA_INCONSISTENT_DIT",
  8444: "ERROR_DS_DRA_CONNECTION_FAILED",
  8445: "ERROR_DS_DRA_BAD_INSTANCE_TYPE",
  8446: "ERROR_DS_DRA_OUT_OF_MEM",
  8447: "ERROR_DS_DRA_MAIL_PROBLEM",
  8448: "ERROR_DS_DRA_REF_ALREADY_EXISTS",
  8449: "ERROR_DS_DRA_REF_NOT_FOUND",
  8450: "ERROR_DS_DRA_OBJ_IS_REP_SOURCE",
  8451: "ERROR_DS_DRA_DB_ERROR",
  8452: "ERROR_DS_DRA_NO_REPLICA",
  8453: "ERROR_DS_DRA_ACCESS_DENIED",
  8454: "ERROR_DS_DRA_NOT_SUPPORTED",
  8455: "ERROR_DS_DRA_RPC_CANCELLED",
  8456: "ERROR_DS_DRA_SOURCE_DISABLED",
  8457: "ERROR_DS_DRA_SINK_DISABLED",
  8458: "ERROR_DS_DRA_NAME_COLLISION",
  8459: "ERROR_DS_DRA_SOURCE_REINSTALLED",
  8460: "ERROR_DS_DRA_MISSING_PARENT",
  8461: "ERROR_DS_DRA_PREEMPTED",
  8462: "ERROR_DS_DRA_ABANDON_SYNC",
  8463: "ERROR_DS_DRA_SHUTDOWN",
  8464: "ERROR_DS_DRA_INCOMPATIBLE_PARTIAL_SET",
  8465: "ERROR_DS_DRA_SOURCE_IS_PARTIAL_REPLICA",
  8466: "ERROR_DS_DRA_EXTN_CONNECTION_FAILED",
  8467: "ERROR_DS_INSTALL_SCHEMA_MISMATCH",
  8468: "ERROR_DS_DUP_LINK_ID",
  8469: "ERROR_DS_NAME_ERROR_RESOLVING",
  8470: "ERROR_DS_NAME_ERROR_NOT_FOUND",
  8471: "ERROR_DS_NAME_ERROR_NOT_UNIQUE",
  8472: "ERROR_DS_NAME_ERROR_NO_MAPPING",
  8473: "ERROR_DS_NAME_ERROR_DOMAIN_ONLY",
  8474: "ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING",
  8475: "ERROR_DS_CONSTRUCTED_ATT_MOD",
  8476: "ERROR_DS_WRONG_OM_OBJ_CLASS",
  8477: "ERROR_DS_DRA_REPL_PENDING",
  8478: "ERROR_DS_DS_REQUIRED",
  8479: "ERROR_DS_INVALID_LDAP_DISPLAY_NAME",
  8480: "ERROR_DS_NON_BASE_SEARCH",
  8481: "ERROR_DS_CANT_RETRIEVE_ATTS",
  8482: "ERROR_DS_BACKLINK_WITHOUT_LINK",
  8483: "ERROR_DS_EPOCH_MISMATCH",
  8484: "ERROR_DS_SRC_NAME_MISMATCH",
  8485: "ERROR_DS_SRC_AND_DST_NC_IDENTICAL",
  8486: "ERROR_DS_DST_NC_MISMATCH",
  8487: "ERROR_DS_NOT_AUTHORITIVE_FOR_DST_NC",
  8488: "ERROR_DS_SRC_GUID_MISMATCH",
  8489: "ERROR_DS_CANT_MOVE_DELETED_OBJECT",
  8490: "ERROR_DS_PDC_OPERATION_IN_PROGRESS",
  8491: "ERROR_DS_CROSS_DOMAIN_CLEANUP_REQD",
  8492: "ERROR_DS_ILLEGAL_XDOM_MOVE_OPERATION",
  8493: "ERROR_DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS",
  8494: "ERROR_DS_NC_MUST_HAVE_NC_PARENT",
  8495: "ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE",
  8496: "ERROR_DS_DST_DOMAIN_NOT_NATIVE",
  8497: "ERROR_DS_MISSING_INFRASTRUCTURE_CONTAINER",
  8498: "ERROR_DS_CANT_MOVE_ACCOUNT_GROUP",
  8499: "ERROR_DS_CANT_MOVE_RESOURCE_GROUP",
  8500: "ERROR_DS_INVALID_SEARCH_FLAG",
  8501: "ERROR_DS_NO_TREE_DELETE_ABOVE_NC",
  8502: "ERROR_DS_COULDNT_LOCK_TREE_FOR_DELETE",
  8503: "ERROR_DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE",
  8504: "ERROR_DS_SAM_INIT_FAILURE",
  8505: "ERROR_DS_SENSITIVE_GROUP_VIOLATION",
  8506: "ERROR_DS_CANT_MOD_PRIMARYGROUPID",
  8507: "ERROR_DS_ILLEGAL_BASE_SCHEMA_MOD",
  8508: "ERROR_DS_NONSAFE_SCHEMA_CHANGE",
  8509: "ERROR_DS_SCHEMA_UPDATE_DISALLOWED",
  8510: "ERROR_DS_CANT_CREATE_UNDER_SCHEMA",
  8511: "ERROR_DS_INSTALL_NO_SRC_SCH_VERSION",
  8512: "ERROR_DS_INSTALL_NO_SCH_VERSION_IN_INIFILE",
  8513: "ERROR_DS_INVALID_GROUP_TYPE",
  8514: "ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN",
  8515: "ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN",
  8516: "ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER",
  8517: "ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER",
  8518: "ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER",
  8519: "ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER",
  8520: "ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER",
  8521: "ERROR_DS_HAVE_PRIMARY_MEMBERS",
  8522: "ERROR_DS_STRING_SD_CONVERSION_FAILED",
  8523: "ERROR_DS_NAMING_MASTER_GC",
  8524: "ERROR_DS_DNS_LOOKUP_FAILURE",
  8525: "ERROR_DS_COULDNT_UPDATE_SPNS",
  8526: "ERROR_DS_CANT_RETRIEVE_SD",
  8527: "ERROR_DS_KEY_NOT_UNIQUE",
  8528: "ERROR_DS_WRONG_LINKED_ATT_SYNTAX",
  8529: "ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD",
  8530: "ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY",
  8531: "ERROR_DS_CANT_START",
  8532: "ERROR_DS_INIT_FAILURE",
  8533: "ERROR_DS_NO_PKT_PRIVACY_ON_CONNECTION",
  8534: "ERROR_DS_SOURCE_DOMAIN_IN_FOREST",
  8535: "ERROR_DS_DESTINATION_DOMAIN_NOT_IN_FOREST",
  8536: "ERROR_DS_DESTINATION_AUDITING_NOT_ENABLED",
  8537: "ERROR_DS_CANT_FIND_DC_FOR_SRC_DOMAIN",
  8538: "ERROR_DS_SRC_OBJ_NOT_GROUP_OR_USER",
  8539: "ERROR_DS_SRC_SID_EXISTS_IN_FOREST",
  8540: "ERROR_DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH",
  8541: "ERROR_SAM_INIT_FAILURE",
  8542: "ERROR_DS_DRA_SCHEMA_INFO_SHIP",
  8543: "ERROR_DS_DRA_SCHEMA_CONFLICT",
  8544: "ERROR_DS_DRA_EARLIER_SCHEMA_CONFLICT",
  8545: "ERROR_DS_DRA_OBJ_NC_MISMATCH",
  8546: "ERROR_DS_NC_STILL_HAS_DSAS",
  8547: "ERROR_DS_GC_REQUIRED",
  8548: "ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY",
  8549: "ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS",
  8550: "ERROR_DS_CANT_ADD_TO_GC",
  8551: "ERROR_DS_NO_CHECKPOINT_WITH_PDC",
  8552: "ERROR_DS_SOURCE_AUDITING_NOT_ENABLED",
  8553: "ERROR_DS_CANT_CREATE_IN_NONDOMAIN_NC",
  8554: "ERROR_DS_INVALID_NAME_FOR_SPN",
  8555: "ERROR_DS_FILTER_USES_CONTRUCTED_ATTRS",
  8556: "ERROR_DS_UNICODEPWD_NOT_IN_QUOTES",
  8557: "ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED",
  8558: "ERROR_DS_MUST_BE_RUN_ON_DST_DC",
  8559: "ERROR_DS_SRC_DC_MUST_BE_SP4_OR_GREATER",
  8560: "ERROR_DS_CANT_TREE_DELETE_CRITICAL_OBJ",
  8561: "ERROR_DS_INIT_FAILURE_CONSOLE",
  8562: "ERROR_DS_SAM_INIT_FAILURE_CONSOLE",
  8563: "ERROR_DS_FOREST_VERSION_TOO_HIGH",
  8564: "ERROR_DS_DOMAIN_VERSION_TOO_HIGH",
  8565: "ERROR_DS_FOREST_VERSION_TOO_LOW",
  8566: "ERROR_DS_DOMAIN_VERSION_TOO_LOW",
  8567: "ERROR_DS_INCOMPATIBLE_VERSION",
  8568: "ERROR_DS_LOW_DSA_VERSION",
  8569: "ERROR_DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN",
  8570: "ERROR_DS_NOT_SUPPORTED_SORT_ORDER",
  8571: "ERROR_DS_NAME_NOT_UNIQUE",
  8572: "ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4",
  8573: "ERROR_DS_OUT_OF_VERSION_STORE",
  8574: "ERROR_DS_INCOMPATIBLE_CONTROLS_USED",
  8575: "ERROR_DS_NO_REF_DOMAIN",
  8576: "ERROR_DS_RESERVED_LINK_ID",
  8577: "ERROR_DS_LINK_ID_NOT_AVAILABLE",
  8578: "ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER",
  8579: "ERROR_DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE",
  8580: "ERROR_DS_NO_OBJECT_MOVE_IN_SCHEMA_NC",
  8581: "ERROR_DS_MODIFYDN_DISALLOWED_BY_FLAG",
  8582: "ERROR_DS_MODIFYDN_WRONG_GRANDPARENT",
  8583: "ERROR_DS_NAME_ERROR_TRUST_REFERRAL",
  8584: "ERROR_NOT_SUPPORTED_ON_STANDARD_SERVER",
  8585: "ERROR_DS_CANT_ACCESS_REMOTE_PART_OF_AD",
  8586: "ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE_V2",
  8587: "ERROR_DS_THREAD_LIMIT_EXCEEDED",
  8588: "ERROR_DS_NOT_CLOSEST",
  8589: "ERROR_DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF",
  8590: "ERROR_DS_SINGLE_USER_MODE_FAILED",
  8591: "ERROR_DS_NTDSCRIPT_SYNTAX_ERROR",
  8592: "ERROR_DS_NTDSCRIPT_PROCESS_ERROR",
  8593: "ERROR_DS_DIFFERENT_REPL_EPOCHS",
  8594: "ERROR_DS_DRS_EXTENSIONS_CHANGED",
  8595: "ERROR_DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR",
  8596: "ERROR_DS_NO_MSDS_INTID",
  8597: "ERROR_DS_DUP_MSDS_INTID",
  8598: "ERROR_DS_EXISTS_IN_RDNATTID",
  8599: "ERROR_DS_AUTHORIZATION_FAILED",
  8600: "ERROR_DS_INVALID_SCRIPT",
  8601: "ERROR_DS_REMOTE_CROSSREF_OP_FAILED",
  8602: "ERROR_DS_CROSS_REF_BUSY",
  8603: "ERROR_DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN",
  8604: "ERROR_DS_CANT_DEMOTE_WITH_WRITEABLE_NC",
  8605: "ERROR_DS_DUPLICATE_ID_FOUND",
  8606: "ERROR_DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT",
  8607: "ERROR_DS_GROUP_CONVERSION_ERROR",
  8608: "ERROR_DS_CANT_MOVE_APP_BASIC_GROUP",
  8609: "ERROR_DS_CANT_MOVE_APP_QUERY_GROUP",
  8610: "ERROR_DS_ROLE_NOT_VERIFIED",
  8611: "ERROR_DS_WKO_CONTAINER_CANNOT_BE_SPECIAL",
  8612: "ERROR_DS_DOMAIN_RENAME_IN_PROGRESS",
  8613: "ERROR_DS_EXISTING_AD_CHILD_NC",
  8614: "ERROR_DS_REPL_LIFETIME_EXCEEDED",
  8615: "ERROR_DS_DISALLOWED_IN_SYSTEM_CONTAINER",
  8616: "ERROR_DS_LDAP_SEND_QUEUE_FULL",
  8617: "ERROR_DS_DRA_OUT_SCHEDULE_WINDOW",
  8618: "ERROR_DS_POLICY_NOT_KNOWN",
  8619: "ERROR_NO_SITE_SETTINGS_OBJECT",
  8620: "ERROR_NO_SECRETS",
  8621: "ERROR_NO_WRITABLE_DC_FOUND",
  8622: "ERROR_DS_NO_SERVER_OBJECT",
  8623: "ERROR_DS_NO_NTDSA_OBJECT",
  8624: "ERROR_DS_NON_ASQ_SEARCH",
  8625: "ERROR_DS_AUDIT_FAILURE",
  8626: "ERROR_DS_INVALID_SEARCH_FLAG_SUBTREE",
  8627: "ERROR_DS_INVALID_SEARCH_FLAG_TUPLE",
  8628: "ERROR_DS_HIERARCHY_TABLE_TOO_DEEP",
  8629: "ERROR_DS_DRA_CORRUPT_UTD_VECTOR",
  8630: "ERROR_DS_DRA_SECRETS_DENIED",
  8631: "ERROR_DS_RESERVED_MAPI_ID",
  8632: "ERROR_DS_MAPI_ID_NOT_AVAILABLE",
  8633: "ERROR_DS_DRA_MISSING_KRBTGT_SECRET",
  8634: "ERROR_DS_DOMAIN_NAME_EXISTS_IN_FOREST",
  8635: "ERROR_DS_FLAT_NAME_EXISTS_IN_FOREST",
  8636: "ERROR_INVALID_USER_PRINCIPAL_NAME",
  8637: "ERROR_DS_OID_MAPPED_GROUP_CANT_HAVE_MEMBERS",
  8638: "ERROR_DS_OID_NOT_FOUND",
  8639: "ERROR_DS_DRA_RECYCLED_TARGET",
  8640: "ERROR_DS_DISALLOWED_NC_REDIRECT",
  8641: "ERROR_DS_HIGH_ADLDS_FFL",
  8642: "ERROR_DS_HIGH_DSA_VERSION",
  8643: "ERROR_DS_LOW_ADLDS_FFL",
  8644: "ERROR_DOMAIN_SID_SAME_AS_LOCAL_WORKSTATION",
  8645: "ERROR_DS_UNDELETE_SAM_VALIDATION_FAILED",
  8646: "ERROR_INCORRECT_ACCOUNT_TYPE",
  8647: "ERROR_DS_SPN_VALUE_NOT_UNIQUE_IN_FOREST",
  8648: "ERROR_DS_UPN_VALUE_NOT_UNIQUE_IN_FOREST",
  8649: "ERROR_DS_MISSING_FOREST_TRUST",
  8650: "ERROR_DS_VALUE_KEY_NOT_UNIQUE",
  9000: "DNS_ERROR_RESPONSE_CODES_BASE",
  9001: "DNS_ERROR_RCODE_FORMAT_ERROR",
  9002: "DNS_ERROR_RCODE_SERVER_FAILURE",
  9003: "DNS_ERROR_RCODE_NAME_ERROR",
  9004: "DNS_ERROR_RCODE_NOT_IMPLEMENTED",
  9005: "DNS_ERROR_RCODE_REFUSED",
  9006: "DNS_ERROR_RCODE_YXDOMAIN",
  9007: "DNS_ERROR_RCODE_YXRRSET",
  9008: "DNS_ERROR_RCODE_NXRRSET",
  9009: "DNS_ERROR_RCODE_NOTAUTH",
  9010: "DNS_ERROR_RCODE_NOTZONE",
  9016: "DNS_ERROR_RCODE_BADSIG",
  9017: "DNS_ERROR_RCODE_BADKEY",
  9018: "DNS_ERROR_RCODE_BADTIME",
  9100: "DNS_ERROR_DNSSEC_BASE",
  9101: "DNS_ERROR_KEYMASTER_REQUIRED",
  9102: "DNS_ERROR_NOT_ALLOWED_ON_SIGNED_ZONE",
  9103: "DNS_ERROR_NSEC3_INCOMPATIBLE_WITH_RSA_SHA1",
  9104: "DNS_ERROR_NOT_ENOUGH_SIGNING_KEY_DESCRIPTORS",
  9105: "DNS_ERROR_UNSUPPORTED_ALGORITHM",
  9106: "DNS_ERROR_INVALID_KEY_SIZE",
  9107: "DNS_ERROR_SIGNING_KEY_NOT_ACCESSIBLE",
  9108: "DNS_ERROR_KSP_DOES_NOT_SUPPORT_PROTECTION",
  9109: "DNS_ERROR_UNEXPECTED_DATA_PROTECTION_ERROR",
  9110: "DNS_ERROR_UNEXPECTED_CNG_ERROR",
  9111: "DNS_ERROR_UNKNOWN_SIGNING_PARAMETER_VERSION",
  9112: "DNS_ERROR_KSP_NOT_ACCESSIBLE",
  9113: "DNS_ERROR_TOO_MANY_SKDS",
  9114: "DNS_ERROR_INVALID_ROLLOVER_PERIOD",
  9115: "DNS_ERROR_INVALID_INITIAL_ROLLOVER_OFFSET",
  9116: "DNS_ERROR_ROLLOVER_IN_PROGRESS",
  9117: "DNS_ERROR_STANDBY_KEY_NOT_PRESENT",
  9118: "DNS_ERROR_NOT_ALLOWED_ON_ZSK",
  9119: "DNS_ERROR_NOT_ALLOWED_ON_ACTIVE_SKD",
  9120: "DNS_ERROR_ROLLOVER_ALREADY_QUEUED",
  9121: "DNS_ERROR_NOT_ALLOWED_ON_UNSIGNED_ZONE",
  9122: "DNS_ERROR_BAD_KEYMASTER",
  9123: "DNS_ERROR_INVALID_SIGNATURE_VALIDITY_PERIOD",
  9124: "DNS_ERROR_INVALID_NSEC3_ITERATION_COUNT",
  9125: "DNS_ERROR_DNSSEC_IS_DISABLED",
  9126: "DNS_ERROR_INVALID_XML",
  9127: "DNS_ERROR_NO_VALID_TRUST_ANCHORS",
  9128: "DNS_ERROR_ROLLOVER_NOT_POKEABLE",
  9129: "DNS_ERROR_NSEC3_NAME_COLLISION",
  9130: "DNS_ERROR_NSEC_INCOMPATIBLE_WITH_NSEC3_RSA_SHA1",
  9500: "DNS_ERROR_PACKET_FMT_BASE",
  9501: "DNS_INFO_NO_RECORDS",
  9502: "DNS_ERROR_BAD_PACKET",
  9503: "DNS_ERROR_NO_PACKET",
  9504: "DNS_ERROR_RCODE",
  9505: "DNS_ERROR_UNSECURE_PACKET",
  9506: "DNS_REQUEST_PENDING",
  9550: "DNS_ERROR_GENERAL_API_BASE",
  9551: "DNS_ERROR_INVALID_TYPE",
  9552: "DNS_ERROR_INVALID_IP_ADDRESS",
  9553: "DNS_ERROR_INVALID_PROPERTY",
  9554: "DNS_ERROR_TRY_AGAIN_LATER",
  9555: "DNS_ERROR_NOT_UNIQUE",
  9556: "DNS_ERROR_NON_RFC_NAME",
  9557: "DNS_STATUS_FQDN",
  9558: "DNS_STATUS_DOTTED_NAME",
  9559: "DNS_STATUS_SINGLE_PART_NAME",
  9560: "DNS_ERROR_INVALID_NAME_CHAR",
  9561: "DNS_ERROR_NUMERIC_NAME",
  9562: "DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER",
  9563: "DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION",
  9564: "DNS_ERROR_CANNOT_FIND_ROOT_HINTS",
  9565: "DNS_ERROR_INCONSISTENT_ROOT_HINTS",
  9566: "DNS_ERROR_DWORD_VALUE_TOO_SMALL",
  9567: "DNS_ERROR_DWORD_VALUE_TOO_LARGE",
  9568: "DNS_ERROR_BACKGROUND_LOADING",
  9569: "DNS_ERROR_NOT_ALLOWED_ON_RODC",
  9570: "DNS_ERROR_NOT_ALLOWED_UNDER_DNAME",
  9571: "DNS_ERROR_DELEGATION_REQUIRED",
  9572: "DNS_ERROR_INVALID_POLICY_TABLE",
  9573: "DNS_ERROR_ADDRESS_REQUIRED",
  9600: "DNS_ERROR_ZONE_BASE",
  9601: "DNS_ERROR_ZONE_DOES_NOT_EXIST",
  9602: "DNS_ERROR_NO_ZONE_INFO",
  9603: "DNS_ERROR_INVALID_ZONE_OPERATION",
  9604: "DNS_ERROR_ZONE_CONFIGURATION_ERROR",
  9605: "DNS_ERROR_ZONE_HAS_NO_SOA_RECORD",
  9606: "DNS_ERROR_ZONE_HAS_NO_NS_RECORDS",
  9607: "DNS_ERROR_ZONE_LOCKED",
  9608: "DNS_ERROR_ZONE_CREATION_FAILED",
  9609: "DNS_ERROR_ZONE_ALREADY_EXISTS",
  9610: "DNS_ERROR_AUTOZONE_ALREADY_EXISTS",
  9611: "DNS_ERROR_INVALID_ZONE_TYPE",
  9612: "DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP",
  9613: "DNS_ERROR_ZONE_NOT_SECONDARY",
  9614: "DNS_ERROR_NEED_SECONDARY_ADDRESSES",
  9615: "DNS_ERROR_WINS_INIT_FAILED",
  9616: "DNS_ERROR_NEED_WINS_SERVERS",
  9617: "DNS_ERROR_NBSTAT_INIT_FAILED",
  9618: "DNS_ERROR_SOA_DELETE_INVALID",
  9619: "DNS_ERROR_FORWARDER_ALREADY_EXISTS",
  9620: "DNS_ERROR_ZONE_REQUIRES_MASTER_IP",
  9621: "DNS_ERROR_ZONE_IS_SHUTDOWN",
  9622: "DNS_ERROR_ZONE_LOCKED_FOR_SIGNING",
  9650: "DNS_ERROR_DATAFILE_BASE",
  9651: "DNS_ERROR_PRIMARY_REQUIRES_DATAFILE",
  9652: "DNS_ERROR_INVALID_DATAFILE_NAME",
  9653: "DNS_ERROR_DATAFILE_OPEN_FAILURE",
  9654: "DNS_ERROR_FILE_WRITEBACK_FAILED",
  9655: "DNS_ERROR_DATAFILE_PARSING",
  9700: "DNS_ERROR_DATABASE_BASE",
  9701: "DNS_ERROR_RECORD_DOES_NOT_EXIST",
  9702: "DNS_ERROR_RECORD_FORMAT",
  9703: "DNS_ERROR_NODE_CREATION_FAILED",
  9704: "DNS_ERROR_UNKNOWN_RECORD_TYPE",
  9705: "DNS_ERROR_RECORD_TIMED_OUT",
  9706: "DNS_ERROR_NAME_NOT_IN_ZONE",
  9707: "DNS_ERROR_CNAME_LOOP",
  9708: "DNS_ERROR_NODE_IS_CNAME",
  9709: "DNS_ERROR_CNAME_COLLISION",
  9710: "DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT",
  9711: "DNS_ERROR_RECORD_ALREADY_EXISTS",
  9712: "DNS_ERROR_SECONDARY_DATA",
  9713: "DNS_ERROR_NO_CREATE_CACHE_DATA",
  9714: "DNS_ERROR_NAME_DOES_NOT_EXIST",
  9715: "DNS_WARNING_PTR_CREATE_FAILED",
  9716: "DNS_WARNING_DOMAIN_UNDELETED",
  9717: "DNS_ERROR_DS_UNAVAILABLE",
  9718: "DNS_ERROR_DS_ZONE_ALREADY_EXISTS",
  9719: "DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE",
  9720: "DNS_ERROR_NODE_IS_DNAME",
  9721: "DNS_ERROR_DNAME_COLLISION",
  9722: "DNS_ERROR_ALIAS_LOOP",
  9750: "DNS_ERROR_OPERATION_BASE",
  9751: "DNS_INFO_AXFR_COMPLETE",
  9752: "DNS_ERROR_AXFR",
  9753: "DNS_INFO_ADDED_LOCAL_WINS",
  9800: "DNS_ERROR_SECURE_BASE",
  9801: "DNS_STATUS_CONTINUE_NEEDED",
  9850: "DNS_ERROR_SETUP_BASE",
  9851: "DNS_ERROR_NO_TCPIP",
  9852: "DNS_ERROR_NO_DNS_SERVERS",
  9900: "DNS_ERROR_DP_BASE",
  9901: "DNS_ERROR_DP_DOES_NOT_EXIST",
  9902: "DNS_ERROR_DP_ALREADY_EXISTS",
  9903: "DNS_ERROR_DP_NOT_ENLISTED",
  9904: "DNS_ERROR_DP_ALREADY_ENLISTED",
  9905: "DNS_ERROR_DP_NOT_AVAILABLE",
  9906: "DNS_ERROR_DP_FSMO_ERROR",
  9911: "DNS_ERROR_RRL_NOT_ENABLED",
  9912: "DNS_ERROR_RRL_INVALID_WINDOW_SIZE",
  9913: "DNS_ERROR_RRL_INVALID_IPV4_PREFIX",
  9914: "DNS_ERROR_RRL_INVALID_IPV6_PREFIX",
  9915: "DNS_ERROR_RRL_INVALID_TC_RATE",
  9916: "DNS_ERROR_RRL_INVALID_LEAK_RATE",
  9917: "DNS_ERROR_RRL_LEAK_RATE_LESSTHAN_TC_RATE",
  9921: "DNS_ERROR_VIRTUALIZATION_INSTANCE_ALREADY_EXISTS",
  9922: "DNS_ERROR_VIRTUALIZATION_INSTANCE_DOES_NOT_EXIST",
  9923: "DNS_ERROR_VIRTUALIZATION_TREE_LOCKED",
  9924: "DNS_ERROR_INVAILD_VIRTUALIZATION_INSTANCE_NAME",
  9925: "DNS_ERROR_DEFAULT_VIRTUALIZATION_INSTANCE",
  9951: "DNS_ERROR_ZONESCOPE_ALREADY_EXISTS",
  9952: "DNS_ERROR_ZONESCOPE_DOES_NOT_EXIST",
  9953: "DNS_ERROR_DEFAULT_ZONESCOPE",
  9954: "DNS_ERROR_INVALID_ZONESCOPE_NAME",
  9955: "DNS_ERROR_NOT_ALLOWED_WITH_ZONESCOPES",
  9956: "DNS_ERROR_LOAD_ZONESCOPE_FAILED",
  9957: "DNS_ERROR_ZONESCOPE_FILE_WRITEBACK_FAILED",
  9958: "DNS_ERROR_INVALID_SCOPE_NAME",
  9959: "DNS_ERROR_SCOPE_DOES_NOT_EXIST",
  9960: "DNS_ERROR_DEFAULT_SCOPE",
  9961: "DNS_ERROR_INVALID_SCOPE_OPERATION",
  9962: "DNS_ERROR_SCOPE_LOCKED",
  9963: "DNS_ERROR_SCOPE_ALREADY_EXISTS",
  9971: "DNS_ERROR_POLICY_ALREADY_EXISTS",
  9972: "DNS_ERROR_POLICY_DOES_NOT_EXIST",
  9973: "DNS_ERROR_POLICY_INVALID_CRITERIA",
  9974: "DNS_ERROR_POLICY_INVALID_SETTINGS",
  9975: "DNS_ERROR_CLIENT_SUBNET_IS_ACCESSED",
  9976: "DNS_ERROR_CLIENT_SUBNET_DOES_NOT_EXIST",
  9977: "DNS_ERROR_CLIENT_SUBNET_ALREADY_EXISTS",
  9978: "DNS_ERROR_SUBNET_DOES_NOT_EXIST",
  9979: "DNS_ERROR_SUBNET_ALREADY_EXISTS",
  9980: "DNS_ERROR_POLICY_LOCKED",
  9981: "DNS_ERROR_POLICY_INVALID_WEIGHT",
  9982: "DNS_ERROR_POLICY_INVALID_NAME",
  9983: "DNS_ERROR_POLICY_MISSING_CRITERIA",
  9984: "DNS_ERROR_INVALID_CLIENT_SUBNET_NAME",
  9985: "DNS_ERROR_POLICY_PROCESSING_ORDER_INVALID",
  9986: "DNS_ERROR_POLICY_SCOPE_MISSING",
  9987: "DNS_ERROR_POLICY_SCOPE_NOT_ALLOWED",
  9988: "DNS_ERROR_SERVERSCOPE_IS_REFERENCED",
  9989: "DNS_ERROR_ZONESCOPE_IS_REFERENCED",
  9990: "DNS_ERROR_POLICY_INVALID_CRITERIA_CLIENT_SUBNET",
  9991: "DNS_ERROR_POLICY_INVALID_CRITERIA_TRANSPORT_PROTOCOL",
  9992: "DNS_ERROR_POLICY_INVALID_CRITERIA_NETWORK_PROTOCOL",
  9993: "DNS_ERROR_POLICY_INVALID_CRITERIA_INTERFACE",
  9994: "DNS_ERROR_POLICY_INVALID_CRITERIA_FQDN",
  9995: "DNS_ERROR_POLICY_INVALID_CRITERIA_QUERY_TYPE",
  9996: "DNS_ERROR_POLICY_INVALID_CRITERIA_TIME_OF_DAY",
  10000: "WSABASEERR",
  10004: "WSAEINTR",
  10009: "WSAEBADF",
  10013: "WSAEACCES",
  10014: "WSAEFAULT",
  10022: "WSAEINVAL",
  10024: "WSAEMFILE",
  10035: "WSAEWOULDBLOCK",
  10036: "WSAEINPROGRESS",
  10037: "WSAEALREADY",
  10038: "WSAENOTSOCK",
  10039: "WSAEDESTADDRREQ",
  10040: "WSAEMSGSIZE",
  10041: "WSAEPROTOTYPE",
  10042: "WSAENOPROTOOPT",
  10043: "WSAEPROTONOSUPPORT",
  10044: "WSAESOCKTNOSUPPORT",
  10045: "WSAEOPNOTSUPP",
  10046: "WSAEPFNOSUPPORT",
  10047: "WSAEAFNOSUPPORT",
  10048: "WSAEADDRINUSE",
  10049: "WSAEADDRNOTAVAIL",
  10050: "WSAENETDOWN",
  10051: "WSAENETUNREACH",
  10052: "WSAENETRESET",
  10053: "WSAECONNABORTED",
  10054: "WSAECONNRESET",
  10055: "WSAENOBUFS",
  10056: "WSAEISCONN",
  10057: "WSAENOTCONN",
  10058: "WSAESHUTDOWN",
  10059: "WSAETOOMANYREFS",
  10060: "WSAETIMEDOUT",
  10061: "WSAECONNREFUSED",
  10062: "WSAELOOP",
  10063: "WSAENAMETOOLONG",
  10064: "WSAEHOSTDOWN",
  10065: "WSAEHOSTUNREACH",
  10066: "WSAENOTEMPTY",
  10067: "WSAEPROCLIM",
  10068: "WSAEUSERS",
  10069: "WSAEDQUOT",
  10070: "WSAESTALE",
  10071: "WSAEREMOTE",
  10091: "WSASYSNOTREADY",
  10092: "WSAVERNOTSUPPORTED",
  10093: "WSANOTINITIALISED",
  10101: "WSAEDISCON",
  10102: "WSAENOMORE",
  10103: "WSAECANCELLED",
  10104: "WSAEINVALIDPROCTABLE",
  10105: "WSAEINVALIDPROVIDER",
  10106: "WSAEPROVIDERFAILEDINIT",
  10107: "WSASYSCALLFAILURE",
  10108: "WSASERVICE_NOT_FOUND",
  10109: "WSATYPE_NOT_FOUND",
  10110: "WSA_E_NO_MORE",
  10111: "WSA_E_CANCELLED",
  10112: "WSAEREFUSED",
  11001: "WSAHOST_NOT_FOUND",
  11002: "WSATRY_AGAIN",
  11003: "WSANO_RECOVERY",
  11004: "WSANO_DATA",
  11005: "WSA_QOS_RECEIVERS",
  11006: "WSA_QOS_SENDERS",
  11007: "WSA_QOS_NO_SENDERS",
  11008: "WSA_QOS_NO_RECEIVERS",
  11009: "WSA_QOS_REQUEST_CONFIRMED",
  11010: "WSA_QOS_ADMISSION_FAILURE",
  11011: "WSA_QOS_POLICY_FAILURE",
  11012: "WSA_QOS_BAD_STYLE",
  11013: "WSA_QOS_BAD_OBJECT",
  11014: "WSA_QOS_TRAFFIC_CTRL_ERROR",
  11015: "WSA_QOS_GENERIC_ERROR",
  11016: "WSA_QOS_ESERVICETYPE",
  11017: "WSA_QOS_EFLOWSPEC",
  11018: "WSA_QOS_EPROVSPECBUF",
  11019: "WSA_QOS_EFILTERSTYLE",
  11020: "WSA_QOS_EFILTERTYPE",
  11021: "WSA_QOS_EFILTERCOUNT",
  11022: "WSA_QOS_EOBJLENGTH",
  11023: "WSA_QOS_EFLOWCOUNT",
  11024: "WSA_QOS_EUNKOWNPSOBJ",
  11025: "WSA_QOS_EPOLICYOBJ",
  11026: "WSA_QOS_EFLOWDESC",
  11027: "WSA_QOS_EPSFLOWSPEC",
  11028: "WSA_QOS_EPSFILTERSPEC",
  11029: "WSA_QOS_ESDMODEOBJ",
  11030: "WSA_QOS_ESHAPERATEOBJ",
  11031: "WSA_QOS_RESERVED_PETYPE",
  11032: "WSA_SECURE_HOST_NOT_FOUND",
  11033: "WSA_IPSEC_NAME_POLICY_ERROR",
  13000: "ERROR_IPSEC_QM_POLICY_EXISTS",
  13001: "ERROR_IPSEC_QM_POLICY_NOT_FOUND",
  13002: "ERROR_IPSEC_QM_POLICY_IN_USE",
  13003: "ERROR_IPSEC_MM_POLICY_EXISTS",
  13004: "ERROR_IPSEC_MM_POLICY_NOT_FOUND",
  13005: "ERROR_IPSEC_MM_POLICY_IN_USE",
  13006: "ERROR_IPSEC_MM_FILTER_EXISTS",
  13007: "ERROR_IPSEC_MM_FILTER_NOT_FOUND",
  13008: "ERROR_IPSEC_TRANSPORT_FILTER_EXISTS",
  13009: "ERROR_IPSEC_TRANSPORT_FILTER_NOT_FOUND",
  13010: "ERROR_IPSEC_MM_AUTH_EXISTS",
  13011: "ERROR_IPSEC_MM_AUTH_NOT_FOUND",
  13012: "ERROR_IPSEC_MM_AUTH_IN_USE",
  13013: "ERROR_IPSEC_DEFAULT_MM_POLICY_NOT_FOUND",
  13014: "ERROR_IPSEC_DEFAULT_MM_AUTH_NOT_FOUND",
  13015: "ERROR_IPSEC_DEFAULT_QM_POLICY_NOT_FOUND",
  13016: "ERROR_IPSEC_TUNNEL_FILTER_EXISTS",
  13017: "ERROR_IPSEC_TUNNEL_FILTER_NOT_FOUND",
  13018: "ERROR_IPSEC_MM_FILTER_PENDING_DELETION",
  13019: "ERROR_IPSEC_TRANSPORT_FILTER_PENDING_DELETION",
  13020: "ERROR_IPSEC_TUNNEL_FILTER_PENDING_DELETION",
  13021: "ERROR_IPSEC_MM_POLICY_PENDING_DELETION",
  13022: "ERROR_IPSEC_MM_AUTH_PENDING_DELETION",
  13023: "ERROR_IPSEC_QM_POLICY_PENDING_DELETION",
  13024: "WARNING_IPSEC_MM_POLICY_PRUNED",
  13025: "WARNING_IPSEC_QM_POLICY_PRUNED",
  13800: "ERROR_IPSEC_IKE_NEG_STATUS_BEGIN",
  13801: "ERROR_IPSEC_IKE_AUTH_FAIL",
  13802: "ERROR_IPSEC_IKE_ATTRIB_FAIL",
  13803: "ERROR_IPSEC_IKE_NEGOTIATION_PENDING",
  13804: "ERROR_IPSEC_IKE_GENERAL_PROCESSING_ERROR",
  13805: "ERROR_IPSEC_IKE_TIMED_OUT",
  13806: "ERROR_IPSEC_IKE_NO_CERT",
  13807: "ERROR_IPSEC_IKE_SA_DELETED",
  13808: "ERROR_IPSEC_IKE_SA_REAPED",
  13809: "ERROR_IPSEC_IKE_MM_ACQUIRE_DROP",
  13810: "ERROR_IPSEC_IKE_QM_ACQUIRE_DROP",
  13811: "ERROR_IPSEC_IKE_QUEUE_DROP_MM",
  13812: "ERROR_IPSEC_IKE_QUEUE_DROP_NO_MM",
  13813: "ERROR_IPSEC_IKE_DROP_NO_RESPONSE",
  13814: "ERROR_IPSEC_IKE_MM_DELAY_DROP",
  13815: "ERROR_IPSEC_IKE_QM_DELAY_DROP",
  13816: "ERROR_IPSEC_IKE_ERROR",
  13817: "ERROR_IPSEC_IKE_CRL_FAILED",
  13818: "ERROR_IPSEC_IKE_INVALID_KEY_USAGE",
  13819: "ERROR_IPSEC_IKE_INVALID_CERT_TYPE",
  13820: "ERROR_IPSEC_IKE_NO_PRIVATE_KEY",
  13821: "ERROR_IPSEC_IKE_SIMULTANEOUS_REKEY",
  13822: "ERROR_IPSEC_IKE_DH_FAIL",
  13823: "ERROR_IPSEC_IKE_CRITICAL_PAYLOAD_NOT_RECOGNIZED",
  13824: "ERROR_IPSEC_IKE_INVALID_HEADER",
  13825: "ERROR_IPSEC_IKE_NO_POLICY",
  13826: "ERROR_IPSEC_IKE_INVALID_SIGNATURE",
  13827: "ERROR_IPSEC_IKE_KERBEROS_ERROR",
  13828: "ERROR_IPSEC_IKE_NO_PUBLIC_KEY",
  13829: "ERROR_IPSEC_IKE_PROCESS_ERR",
  13830: "ERROR_IPSEC_IKE_PROCESS_ERR_SA",
  13831: "ERROR_IPSEC_IKE_PROCESS_ERR_PROP",
  13832: "ERROR_IPSEC_IKE_PROCESS_ERR_TRANS",
  13833: "ERROR_IPSEC_IKE_PROCESS_ERR_KE",
  13834: "ERROR_IPSEC_IKE_PROCESS_ERR_ID",
  13835: "ERROR_IPSEC_IKE_PROCESS_ERR_CERT",
  13836: "ERROR_IPSEC_IKE_PROCESS_ERR_CERT_REQ",
  13837: "ERROR_IPSEC_IKE_PROCESS_ERR_HASH",
  13838: "ERROR_IPSEC_IKE_PROCESS_ERR_SIG",
  13839: "ERROR_IPSEC_IKE_PROCESS_ERR_NONCE",
  13840: "ERROR_IPSEC_IKE_PROCESS_ERR_NOTIFY",
  13841: "ERROR_IPSEC_IKE_PROCESS_ERR_DELETE",
  13842: "ERROR_IPSEC_IKE_PROCESS_ERR_VENDOR",
  13843: "ERROR_IPSEC_IKE_INVALID_PAYLOAD",
  13844: "ERROR_IPSEC_IKE_LOAD_SOFT_SA",
  13845: "ERROR_IPSEC_IKE_SOFT_SA_TORN_DOWN",
  13846: "ERROR_IPSEC_IKE_INVALID_COOKIE",
  13847: "ERROR_IPSEC_IKE_NO_PEER_CERT",
  13848: "ERROR_IPSEC_IKE_PEER_CRL_FAILED",
  13849: "ERROR_IPSEC_IKE_POLICY_CHANGE",
  13850: "ERROR_IPSEC_IKE_NO_MM_POLICY",
  13851: "ERROR_IPSEC_IKE_NOTCBPRIV",
  13852: "ERROR_IPSEC_IKE_SECLOADFAIL",
  13853: "ERROR_IPSEC_IKE_FAILSSPINIT",
  13854: "ERROR_IPSEC_IKE_FAILQUERYSSP",
  13855: "ERROR_IPSEC_IKE_SRVACQFAIL",
  13856: "ERROR_IPSEC_IKE_SRVQUERYCRED",
  13857: "ERROR_IPSEC_IKE_GETSPIFAIL",
  13858: "ERROR_IPSEC_IKE_INVALID_FILTER",
  13859: "ERROR_IPSEC_IKE_OUT_OF_MEMORY",
  13860: "ERROR_IPSEC_IKE_ADD_UPDATE_KEY_FAILED",
  13861: "ERROR_IPSEC_IKE_INVALID_POLICY",
  13862: "ERROR_IPSEC_IKE_UNKNOWN_DOI",
  13863: "ERROR_IPSEC_IKE_INVALID_SITUATION",
  13864: "ERROR_IPSEC_IKE_DH_FAILURE",
  13865: "ERROR_IPSEC_IKE_INVALID_GROUP",
  13866: "ERROR_IPSEC_IKE_ENCRYPT",
  13867: "ERROR_IPSEC_IKE_DECRYPT",
  13868: "ERROR_IPSEC_IKE_POLICY_MATCH",
  13869: "ERROR_IPSEC_IKE_UNSUPPORTED_ID",
  13870: "ERROR_IPSEC_IKE_INVALID_HASH",
  13871: "ERROR_IPSEC_IKE_INVALID_HASH_ALG",
  13872: "ERROR_IPSEC_IKE_INVALID_HASH_SIZE",
  13873: "ERROR_IPSEC_IKE_INVALID_ENCRYPT_ALG",
  13874: "ERROR_IPSEC_IKE_INVALID_AUTH_ALG",
  13875: "ERROR_IPSEC_IKE_INVALID_SIG",
  13876: "ERROR_IPSEC_IKE_LOAD_FAILED",
  13877: "ERROR_IPSEC_IKE_RPC_DELETE",
  13878: "ERROR_IPSEC_IKE_BENIGN_REINIT",
  13879: "ERROR_IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY",
  13880: "ERROR_IPSEC_IKE_INVALID_MAJOR_VERSION",
  13881: "ERROR_IPSEC_IKE_INVALID_CERT_KEYLEN",
  13882: "ERROR_IPSEC_IKE_MM_LIMIT",
  13883: "ERROR_IPSEC_IKE_NEGOTIATION_DISABLED",
  13884: "ERROR_IPSEC_IKE_QM_LIMIT",
  13885: "ERROR_IPSEC_IKE_MM_EXPIRED",
  13886: "ERROR_IPSEC_IKE_PEER_MM_ASSUMED_INVALID",
  13887: "ERROR_IPSEC_IKE_CERT_CHAIN_POLICY_MISMATCH",
  13888: "ERROR_IPSEC_IKE_UNEXPECTED_MESSAGE_ID",
  13889: "ERROR_IPSEC_IKE_INVALID_AUTH_PAYLOAD",
  13890: "ERROR_IPSEC_IKE_DOS_COOKIE_SENT",
  13891: "ERROR_IPSEC_IKE_SHUTTING_DOWN",
  13892: "ERROR_IPSEC_IKE_CGA_AUTH_FAILED",
  13893: "ERROR_IPSEC_IKE_PROCESS_ERR_NATOA",
  13894: "ERROR_IPSEC_IKE_INVALID_MM_FOR_QM",
  13895: "ERROR_IPSEC_IKE_QM_EXPIRED",
  13896: "ERROR_IPSEC_IKE_TOO_MANY_FILTERS",
  13897: "ERROR_IPSEC_IKE_NEG_STATUS_END",
  13898: "ERROR_IPSEC_IKE_KILL_DUMMY_NAP_TUNNEL",
  13899: "ERROR_IPSEC_IKE_INNER_IP_ASSIGNMENT_FAILURE",
  13900: "ERROR_IPSEC_IKE_REQUIRE_CP_PAYLOAD_MISSING",
  13901: "ERROR_IPSEC_KEY_MODULE_IMPERSONATION_NEGOTIATION_PENDING",
  13902: "ERROR_IPSEC_IKE_COEXISTENCE_SUPPRESS",
  13903: "ERROR_IPSEC_IKE_RATELIMIT_DROP",
  13904: "ERROR_IPSEC_IKE_PEER_DOESNT_SUPPORT_MOBIKE",
  13905: "ERROR_IPSEC_IKE_AUTHORIZATION_FAILURE",
  13906: "ERROR_IPSEC_IKE_STRONG_CRED_AUTHORIZATION_FAILURE",
  13907: "ERROR_IPSEC_IKE_AUTHORIZATION_FAILURE_WITH_OPTIONAL_RETRY",
  13908: "ERROR_IPSEC_IKE_STRONG_CRED_AUTHORIZATION_AND_CERTMAP_FAILURE",
  13909: "ERROR_IPSEC_IKE_NEG_STATUS_EXTENDED_END",
  13910: "ERROR_IPSEC_BAD_SPI",
  13911: "ERROR_IPSEC_SA_LIFETIME_EXPIRED",
  13912: "ERROR_IPSEC_WRONG_SA",
  13913: "ERROR_IPSEC_REPLAY_CHECK_FAILED",
  13914: "ERROR_IPSEC_INVALID_PACKET",
  13915: "ERROR_IPSEC_INTEGRITY_CHECK_FAILED",
  13916: "ERROR_IPSEC_CLEAR_TEXT_DROP",
  13917: "ERROR_IPSEC_AUTH_FIREWALL_DROP",
  13918: "ERROR_IPSEC_THROTTLE_DROP",
  13925: "ERROR_IPSEC_DOSP_BLOCK",
  13926: "ERROR_IPSEC_DOSP_RECEIVED_MULTICAST",
  13927: "ERROR_IPSEC_DOSP_INVALID_PACKET",
  13928: "ERROR_IPSEC_DOSP_STATE_LOOKUP_FAILED",
  13929: "ERROR_IPSEC_DOSP_MAX_ENTRIES",
  13930: "ERROR_IPSEC_DOSP_KEYMOD_NOT_ALLOWED",
  13931: "ERROR_IPSEC_DOSP_NOT_INSTALLED",
  13932: "ERROR_IPSEC_DOSP_MAX_PER_IP_RATELIMIT_QUEUES",
  14000: "ERROR_SXS_SECTION_NOT_FOUND",
  14001: "ERROR_SXS_CANT_GEN_ACTCTX",
  14002: "ERROR_SXS_INVALID_ACTCTXDATA_FORMAT",
  14003: "ERROR_SXS_ASSEMBLY_NOT_FOUND",
  14004: "ERROR_SXS_MANIFEST_FORMAT_ERROR",
  14005: "ERROR_SXS_MANIFEST_PARSE_ERROR",
  14006: "ERROR_SXS_ACTIVATION_CONTEXT_DISABLED",
  14007: "ERROR_SXS_KEY_NOT_FOUND",
  14008: "ERROR_SXS_VERSION_CONFLICT",
  14009: "ERROR_SXS_WRONG_SECTION_TYPE",
  14010: "ERROR_SXS_THREAD_QUERIES_DISABLED",
  14011: "ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET",
  14012: "ERROR_SXS_UNKNOWN_ENCODING_GROUP",
  14013: "ERROR_SXS_UNKNOWN_ENCODING",
  14014: "ERROR_SXS_INVALID_XML_NAMESPACE_URI",
  14015: "ERROR_SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED",
  14016: "ERROR_SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED",
  14017: "ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE",
  14018: "ERROR_SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE",
  14019: "ERROR_SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE",
  14020: "ERROR_SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT",
  14021: "ERROR_SXS_DUPLICATE_DLL_NAME",
  14022: "ERROR_SXS_DUPLICATE_WINDOWCLASS_NAME",
  14023: "ERROR_SXS_DUPLICATE_CLSID",
  14024: "ERROR_SXS_DUPLICATE_IID",
  14025: "ERROR_SXS_DUPLICATE_TLBID",
  14026: "ERROR_SXS_DUPLICATE_PROGID",
  14027: "ERROR_SXS_DUPLICATE_ASSEMBLY_NAME",
  14028: "ERROR_SXS_FILE_HASH_MISMATCH",
  14029: "ERROR_SXS_POLICY_PARSE_ERROR",
  14030: "ERROR_SXS_XML_E_MISSINGQUOTE",
  14031: "ERROR_SXS_XML_E_COMMENTSYNTAX",
  14032: "ERROR_SXS_XML_E_BADSTARTNAMECHAR",
  14033: "ERROR_SXS_XML_E_BADNAMECHAR",
  14034: "ERROR_SXS_XML_E_BADCHARINSTRING",
  14035: "ERROR_SXS_XML_E_XMLDECLSYNTAX",
  14036: "ERROR_SXS_XML_E_BADCHARDATA",
  14037: "ERROR_SXS_XML_E_MISSINGWHITESPACE",
  14038: "ERROR_SXS_XML_E_EXPECTINGTAGEND",
  14039: "ERROR_SXS_XML_E_MISSINGSEMICOLON",
  14040: "ERROR_SXS_XML_E_UNBALANCEDPAREN",
  14041: "ERROR_SXS_XML_E_INTERNALERROR",
  14042: "ERROR_SXS_XML_E_UNEXPECTED_WHITESPACE",
  14043: "ERROR_SXS_XML_E_INCOMPLETE_ENCODING",
  14044: "ERROR_SXS_XML_E_MISSING_PAREN",
  14045: "ERROR_SXS_XML_E_EXPECTINGCLOSEQUOTE",
  14046: "ERROR_SXS_XML_E_MULTIPLE_COLONS",
  14047: "ERROR_SXS_XML_E_INVALID_DECIMAL",
  14048: "ERROR_SXS_XML_E_INVALID_HEXIDECIMAL",
  14049: "ERROR_SXS_XML_E_INVALID_UNICODE",
  14050: "ERROR_SXS_XML_E_WHITESPACEORQUESTIONMARK",
  14051: "ERROR_SXS_XML_E_UNEXPECTEDENDTAG",
  14052: "ERROR_SXS_XML_E_UNCLOSEDTAG",
  14053: "ERROR_SXS_XML_E_DUPLICATEATTRIBUTE",
  14054: "ERROR_SXS_XML_E_MULTIPLEROOTS",
  14055: "ERROR_SXS_XML_E_INVALIDATROOTLEVEL",
  14056: "ERROR_SXS_XML_E_BADXMLDECL",
  14057: "ERROR_SXS_XML_E_MISSINGROOT",
  14058: "ERROR_SXS_XML_E_UNEXPECTEDEOF",
  14059: "ERROR_SXS_XML_E_BADPEREFINSUBSET",
  14060: "ERROR_SXS_XML_E_UNCLOSEDSTARTTAG",
  14061: "ERROR_SXS_XML_E_UNCLOSEDENDTAG",
  14062: "ERROR_SXS_XML_E_UNCLOSEDSTRING",
  14063: "ERROR_SXS_XML_E_UNCLOSEDCOMMENT",
  14064: "ERROR_SXS_XML_E_UNCLOSEDDECL",
  14065: "ERROR_SXS_XML_E_UNCLOSEDCDATA",
  14066: "ERROR_SXS_XML_E_RESERVEDNAMESPACE",
  14067: "ERROR_SXS_XML_E_INVALIDENCODING",
  14068: "ERROR_SXS_XML_E_INVALIDSWITCH",
  14069: "ERROR_SXS_XML_E_BADXMLCASE",
  14070: "ERROR_SXS_XML_E_INVALID_STANDALONE",
  14071: "ERROR_SXS_XML_E_UNEXPECTED_STANDALONE",
  14072: "ERROR_SXS_XML_E_INVALID_VERSION",
  14073: "ERROR_SXS_XML_E_MISSINGEQUALS",
  14074: "ERROR_SXS_PROTECTION_RECOVERY_FAILED",
  14075: "ERROR_SXS_PROTECTION_PUBLIC_KEY_TOO_SHORT",
  14076: "ERROR_SXS_PROTECTION_CATALOG_NOT_VALID",
  14077: "ERROR_SXS_UNTRANSLATABLE_HRESULT",
  14078: "ERROR_SXS_PROTECTION_CATALOG_FILE_MISSING",
  14079: "ERROR_SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE",
  14080: "ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME",
  14081: "ERROR_SXS_ASSEMBLY_MISSING",
  14082: "ERROR_SXS_CORRUPT_ACTIVATION_STACK",
  14083: "ERROR_SXS_CORRUPTION",
  14084: "ERROR_SXS_EARLY_DEACTIVATION",
  14085: "ERROR_SXS_INVALID_DEACTIVATION",
  14086: "ERROR_SXS_MULTIPLE_DEACTIVATION",
  14087: "ERROR_SXS_PROCESS_TERMINATION_REQUESTED",
  14088: "ERROR_SXS_RELEASE_ACTIVATION_CONTEXT",
  14089: "ERROR_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY",
  14090: "ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE",
  14091: "ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME",
  14092: "ERROR_SXS_IDENTITY_DUPLICATE_ATTRIBUTE",
  14093: "ERROR_SXS_IDENTITY_PARSE_ERROR",
  14094: "ERROR_MALFORMED_SUBSTITUTION_STRING",
  14095: "ERROR_SXS_INCORRECT_PUBLIC_KEY_TOKEN",
  14096: "ERROR_UNMAPPED_SUBSTITUTION_STRING",
  14097: "ERROR_SXS_ASSEMBLY_NOT_LOCKED",
  14098: "ERROR_SXS_COMPONENT_STORE_CORRUPT",
  14099: "ERROR_ADVANCED_INSTALLER_FAILED",
  14100: "ERROR_XML_ENCODING_MISMATCH",
  14101: "ERROR_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT",
  14102: "ERROR_SXS_IDENTITIES_DIFFERENT",
  14103: "ERROR_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT",
  14104: "ERROR_SXS_FILE_NOT_PART_OF_ASSEMBLY",
  14105: "ERROR_SXS_MANIFEST_TOO_BIG",
  14106: "ERROR_SXS_SETTING_NOT_REGISTERED",
  14107: "ERROR_SXS_TRANSACTION_CLOSURE_INCOMPLETE",
  14108: "ERROR_SMI_PRIMITIVE_INSTALLER_FAILED",
  14109: "ERROR_GENERIC_COMMAND_FAILED",
  14110: "ERROR_SXS_FILE_HASH_MISSING",
  15000: "ERROR_EVT_INVALID_CHANNEL_PATH",
  15001: "ERROR_EVT_INVALID_QUERY",
  15002: "ERROR_EVT_PUBLISHER_METADATA_NOT_FOUND",
  15003: "ERROR_EVT_EVENT_TEMPLATE_NOT_FOUND",
  15004: "ERROR_EVT_INVALID_PUBLISHER_NAME",
  15005: "ERROR_EVT_INVALID_EVENT_DATA",
  15007: "ERROR_EVT_CHANNEL_NOT_FOUND",
  15008: "ERROR_EVT_MALFORMED_XML_TEXT",
  15009: "ERROR_EVT_SUBSCRIPTION_TO_DIRECT_CHANNEL",
  15010: "ERROR_EVT_CONFIGURATION_ERROR",
  15011: "ERROR_EVT_QUERY_RESULT_STALE",
  15012: "ERROR_EVT_QUERY_RESULT_INVALID_POSITION",
  15013: "ERROR_EVT_NON_VALIDATING_MSXML",
  15014: "ERROR_EVT_FILTER_ALREADYSCOPED",
  15015: "ERROR_EVT_FILTER_NOTELTSET",
  15016: "ERROR_EVT_FILTER_INVARG",
  15017: "ERROR_EVT_FILTER_INVTEST",
  15018: "ERROR_EVT_FILTER_INVTYPE",
  15019: "ERROR_EVT_FILTER_PARSEERR",
  15020: "ERROR_EVT_FILTER_UNSUPPORTEDOP",
  15021: "ERROR_EVT_FILTER_UNEXPECTEDTOKEN",
  15022: "ERROR_EVT_INVALID_OPERATION_OVER_ENABLED_DIRECT_CHANNEL",
  15023: "ERROR_EVT_INVALID_CHANNEL_PROPERTY_VALUE",
  15024: "ERROR_EVT_INVALID_PUBLISHER_PROPERTY_VALUE",
  15025: "ERROR_EVT_CHANNEL_CANNOT_ACTIVATE",
  15026: "ERROR_EVT_FILTER_TOO_COMPLEX",
  15027: "ERROR_EVT_MESSAGE_NOT_FOUND",
  15028: "ERROR_EVT_MESSAGE_ID_NOT_FOUND",
  15029: "ERROR_EVT_UNRESOLVED_VALUE_INSERT",
  15030: "ERROR_EVT_UNRESOLVED_PARAMETER_INSERT",
  15031: "ERROR_EVT_MAX_INSERTS_REACHED",
  15032: "ERROR_EVT_EVENT_DEFINITION_NOT_FOUND",
  15033: "ERROR_EVT_MESSAGE_LOCALE_NOT_FOUND",
  15034: "ERROR_EVT_VERSION_TOO_OLD",
  15035: "ERROR_EVT_VERSION_TOO_NEW",
  15036: "ERROR_EVT_CANNOT_OPEN_CHANNEL_OF_QUERY",
  15037: "ERROR_EVT_PUBLISHER_DISABLED",
  15038: "ERROR_EVT_FILTER_OUT_OF_RANGE",
  15080: "ERROR_EC_SUBSCRIPTION_CANNOT_ACTIVATE",
  15081: "ERROR_EC_LOG_DISABLED",
  15082: "ERROR_EC_CIRCULAR_FORWARDING",
  15083: "ERROR_EC_CREDSTORE_FULL",
  15084: "ERROR_EC_CRED_NOT_FOUND",
  15085: "ERROR_EC_NO_ACTIVE_CHANNEL",
  15100: "ERROR_MUI_FILE_NOT_FOUND",
  15101: "ERROR_MUI_INVALID_FILE",
  15102: "ERROR_MUI_INVALID_RC_CONFIG",
  15103: "ERROR_MUI_INVALID_LOCALE_NAME",
  15104: "ERROR_MUI_INVALID_ULTIMATEFALLBACK_NAME",
  15105: "ERROR_MUI_FILE_NOT_LOADED",
  15106: "ERROR_RESOURCE_ENUM_USER_STOP",
  15107: "ERROR_MUI_INTLSETTINGS_UILANG_NOT_INSTALLED",
  15108: "ERROR_MUI_INTLSETTINGS_INVALID_LOCALE_NAME",
  15110: "ERROR_MRM_RUNTIME_NO_DEFAULT_OR_NEUTRAL_RESOURCE",
  15111: "ERROR_MRM_INVALID_PRICONFIG",
  15112: "ERROR_MRM_INVALID_FILE_TYPE",
  15113: "ERROR_MRM_UNKNOWN_QUALIFIER",
  15114: "ERROR_MRM_INVALID_QUALIFIER_VALUE",
  15115: "ERROR_MRM_NO_CANDIDATE",
  15116: "ERROR_MRM_NO_MATCH_OR_DEFAULT_CANDIDATE",
  15117: "ERROR_MRM_RESOURCE_TYPE_MISMATCH",
  15118: "ERROR_MRM_DUPLICATE_MAP_NAME",
  15119: "ERROR_MRM_DUPLICATE_ENTRY",
  15120: "ERROR_MRM_INVALID_RESOURCE_IDENTIFIER",
  15121: "ERROR_MRM_FILEPATH_TOO_LONG",
  15122: "ERROR_MRM_UNSUPPORTED_DIRECTORY_TYPE",
  15126: "ERROR_MRM_INVALID_PRI_FILE",
  15127: "ERROR_MRM_NAMED_RESOURCE_NOT_FOUND",
  15135: "ERROR_MRM_MAP_NOT_FOUND",
  15136: "ERROR_MRM_UNSUPPORTED_PROFILE_TYPE",
  15137: "ERROR_MRM_INVALID_QUALIFIER_OPERATOR",
  15138: "ERROR_MRM_INDETERMINATE_QUALIFIER_VALUE",
  15139: "ERROR_MRM_AUTOMERGE_ENABLED",
  15140: "ERROR_MRM_TOO_MANY_RESOURCES",
  15141: "ERROR_MRM_UNSUPPORTED_FILE_TYPE_FOR_MERGE",
  15142: "ERROR_MRM_UNSUPPORTED_FILE_TYPE_FOR_LOAD_UNLOAD_PRI_FILE",
  15143: "ERROR_MRM_NO_CURRENT_VIEW_ON_THREAD",
  15144: "ERROR_DIFFERENT_PROFILE_RESOURCE_MANAGER_EXIST",
  15145: "ERROR_OPERATION_NOT_ALLOWED_FROM_SYSTEM_COMPONENT",
  15146: "ERROR_MRM_DIRECT_REF_TO_NON_DEFAULT_RESOURCE",
  15147: "ERROR_MRM_GENERATION_COUNT_MISMATCH",
  15148: "ERROR_PRI_MERGE_VERSION_MISMATCH",
  15149: "ERROR_PRI_MERGE_MISSING_SCHEMA",
  15150: "ERROR_PRI_MERGE_LOAD_FILE_FAILED",
  15151: "ERROR_PRI_MERGE_ADD_FILE_FAILED",
  15152: "ERROR_PRI_MERGE_WRITE_FILE_FAILED",
  15153: "ERROR_PRI_MERGE_MULTIPLE_PACKAGE_FAMILIES_NOT_ALLOWED",
  15154: "ERROR_PRI_MERGE_MULTIPLE_MAIN_PACKAGES_NOT_ALLOWED",
  15155: "ERROR_PRI_MERGE_BUNDLE_PACKAGES_NOT_ALLOWED",
  15156: "ERROR_PRI_MERGE_MAIN_PACKAGE_REQUIRED",
  15157: "ERROR_PRI_MERGE_RESOURCE_PACKAGE_REQUIRED",
  15158: "ERROR_PRI_MERGE_INVALID_FILE_NAME",
  15200: "ERROR_MCA_INVALID_CAPABILITIES_STRING",
  15201: "ERROR_MCA_INVALID_VCP_VERSION",
  15202: "ERROR_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION",
  15203: "ERROR_MCA_MCCS_VERSION_MISMATCH",
  15204: "ERROR_MCA_UNSUPPORTED_MCCS_VERSION",
  15205: "ERROR_MCA_INTERNAL_ERROR",
  15206: "ERROR_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED",
  15207: "ERROR_MCA_UNSUPPORTED_COLOR_TEMPERATURE",
  15250: "ERROR_AMBIGUOUS_SYSTEM_DEVICE",
  15299: "ERROR_SYSTEM_DEVICE_NOT_FOUND",
  15300: "ERROR_HASH_NOT_SUPPORTED",
  15301: "ERROR_HASH_NOT_PRESENT",
  15321: "ERROR_SECONDARY_IC_PROVIDER_NOT_REGISTERED",
  15322: "ERROR_GPIO_CLIENT_INFORMATION_INVALID",
  15323: "ERROR_GPIO_VERSION_NOT_SUPPORTED",
  15324: "ERROR_GPIO_INVALID_REGISTRATION_PACKET",
  15325: "ERROR_GPIO_OPERATION_DENIED",
  15326: "ERROR_GPIO_INCOMPATIBLE_CONNECT_MODE",
  15327: "ERROR_GPIO_INTERRUPT_ALREADY_UNMASKED",
  15400: "ERROR_CANNOT_SWITCH_RUNLEVEL",
  15401: "ERROR_INVALID_RUNLEVEL_SETTING",
  15402: "ERROR_RUNLEVEL_SWITCH_TIMEOUT",
  15403: "ERROR_RUNLEVEL_SWITCH_AGENT_TIMEOUT",
  15404: "ERROR_RUNLEVEL_SWITCH_IN_PROGRESS",
  15405: "ERROR_SERVICES_FAILED_AUTOSTART",
  15501: "ERROR_COM_TASK_STOP_PENDING",
  15600: "ERROR_INSTALL_OPEN_PACKAGE_FAILED",
  15601: "ERROR_INSTALL_PACKAGE_NOT_FOUND",
  15602: "ERROR_INSTALL_INVALID_PACKAGE",
  15603: "ERROR_INSTALL_RESOLVE_DEPENDENCY_FAILED",
  15604: "ERROR_INSTALL_OUT_OF_DISK_SPACE",
  15605: "ERROR_INSTALL_NETWORK_FAILURE",
  15606: "ERROR_INSTALL_REGISTRATION_FAILURE",
  15607: "ERROR_INSTALL_DEREGISTRATION_FAILURE",
  15608: "ERROR_INSTALL_CANCEL",
  15609: "ERROR_INSTALL_FAILED",
  15610: "ERROR_REMOVE_FAILED",
  15611: "ERROR_PACKAGE_ALREADY_EXISTS",
  15612: "ERROR_NEEDS_REMEDIATION",
  15613: "ERROR_INSTALL_PREREQUISITE_FAILED",
  15614: "ERROR_PACKAGE_REPOSITORY_CORRUPTED",
  15615: "ERROR_INSTALL_POLICY_FAILURE",
  15616: "ERROR_PACKAGE_UPDATING",
  15617: "ERROR_DEPLOYMENT_BLOCKED_BY_POLICY",
  15618: "ERROR_PACKAGES_IN_USE",
  15619: "ERROR_RECOVERY_FILE_CORRUPT",
  15620: "ERROR_INVALID_STAGED_SIGNATURE",
  15621: "ERROR_DELETING_EXISTING_APPLICATIONDATA_STORE_FAILED",
  15622: "ERROR_INSTALL_PACKAGE_DOWNGRADE",
  15623: "ERROR_SYSTEM_NEEDS_REMEDIATION",
  15624: "ERROR_APPX_INTEGRITY_FAILURE_CLR_NGEN",
  15625: "ERROR_RESILIENCY_FILE_CORRUPT",
  15626: "ERROR_INSTALL_FIREWALL_SERVICE_NOT_RUNNING",
  15627: "ERROR_PACKAGE_MOVE_FAILED",
  15628: "ERROR_INSTALL_VOLUME_NOT_EMPTY",
  15629: "ERROR_INSTALL_VOLUME_OFFLINE",
  15630: "ERROR_INSTALL_VOLUME_CORRUPT",
  15631: "ERROR_NEEDS_REGISTRATION",
  15632: "ERROR_INSTALL_WRONG_PROCESSOR_ARCHITECTURE",
  15633: "ERROR_DEV_SIDELOAD_LIMIT_EXCEEDED",
  15634: "ERROR_INSTALL_OPTIONAL_PACKAGE_REQUIRES_MAIN_PACKAGE",
  15635: "ERROR_PACKAGE_NOT_SUPPORTED_ON_FILESYSTEM",
  15636: "ERROR_PACKAGE_MOVE_BLOCKED_BY_STREAMING",
  15637: "ERROR_INSTALL_OPTIONAL_PACKAGE_APPLICATIONID_NOT_UNIQUE",
  15638: "ERROR_PACKAGE_STAGING_ONHOLD",
  15639: "ERROR_INSTALL_INVALID_RELATED_SET_UPDATE",
  15640: "ERROR_INSTALL_OPTIONAL_PACKAGE_REQUIRES_MAIN_PACKAGE_FULLTRUST_CAPABILITY",
  15641: "ERROR_DEPLOYMENT_BLOCKED_BY_USER_LOG_OFF",
  15642: "ERROR_PROVISION_OPTIONAL_PACKAGE_REQUIRES_MAIN_PACKAGE_PROVISIONED",
  15643: "ERROR_PACKAGES_REPUTATION_CHECK_FAILED",
  15644: "ERROR_PACKAGES_REPUTATION_CHECK_TIMEDOUT",
  15700: "APPMODEL_ERROR_NO_PACKAGE",
  15701: "APPMODEL_ERROR_PACKAGE_RUNTIME_CORRUPT",
  15702: "APPMODEL_ERROR_PACKAGE_IDENTITY_CORRUPT",
  15703: "APPMODEL_ERROR_NO_APPLICATION",
  15704: "APPMODEL_ERROR_DYNAMIC_PROPERTY_READ_FAILED",
  15705: "APPMODEL_ERROR_DYNAMIC_PROPERTY_INVALID",
  15706: "APPMODEL_ERROR_PACKAGE_NOT_AVAILABLE",
  15800: "ERROR_STATE_LOAD_STORE_FAILED",
  15801: "ERROR_STATE_GET_VERSION_FAILED",
  15802: "ERROR_STATE_SET_VERSION_FAILED",
  15803: "ERROR_STATE_STRUCTURED_RESET_FAILED",
  15804: "ERROR_STATE_OPEN_CONTAINER_FAILED",
  15805: "ERROR_STATE_CREATE_CONTAINER_FAILED",
  15806: "ERROR_STATE_DELETE_CONTAINER_FAILED",
  15807: "ERROR_STATE_READ_SETTING_FAILED",
  15808: "ERROR_STATE_WRITE_SETTING_FAILED",
  15809: "ERROR_STATE_DELETE_SETTING_FAILED",
  15810: "ERROR_STATE_QUERY_SETTING_FAILED",
  15811: "ERROR_STATE_READ_COMPOSITE_SETTING_FAILED",
  15812: "ERROR_STATE_WRITE_COMPOSITE_SETTING_FAILED",
  15813: "ERROR_STATE_ENUMERATE_CONTAINER_FAILED",
  15814: "ERROR_STATE_ENUMERATE_SETTINGS_FAILED",
  15815: "ERROR_STATE_COMPOSITE_SETTING_VALUE_SIZE_LIMIT_EXCEEDED",
  15816: "ERROR_STATE_SETTING_VALUE_SIZE_LIMIT_EXCEEDED",
  15817: "ERROR_STATE_SETTING_NAME_SIZE_LIMIT_EXCEEDED",
  15818: "ERROR_STATE_CONTAINER_NAME_SIZE_LIMIT_EXCEEDED",
  15841: "ERROR_API_UNAVAILABLE",
  15861: "STORE_ERROR_UNLICENSED",
  15862: "STORE_ERROR_UNLICENSED_USER",
  15863: "STORE_ERROR_PENDING_COM_TRANSACTION",
  15864: "STORE_ERROR_LICENSE_REVOKED",
}

def error_code_to_name(errno):
  return system_error_codes.get(errno)

